overrides = {tx -> 0.0254, tr -> 0.038099999999999995, m0 -> 0.3738, 
     I0y -> 0.000211996, I0z -> 0.00026846, I0x -> 0.000434854, COMx -> 0, 
     COMy -> 0, COMz -> -0.00265, tl0 -> 0.24929, dyaw1 -> 0.0157, 
     dyaw2 -> 0.10033, l0 -> Sqrt[(-dyaw1/2 + dyaw2/2)^2 + tl0^2], 
     dpitch -> -0.00165, r0 -> 0.0000762, kbz -> 1020.4401121583113*m0, 
     Y0 -> 2.1*^11}
 
overrides /: overrides::usage = "overrides is a list of substitutions that \
modify or replace those in defaultvalues."
 
tx /: tx::usage = "ux is thickness of optic."
 
tr /: tr::usage = "uy is radius of optic."
 
m0 /: m0::usage = "m0 is mass of optic."
 
I0y /: I0y::usage = "I0y is y-axis MOI of optic."
 
I0z /: I0z::usage = "I0z is z-axis MOI of optic."
 
I0x /: I0x::usage = "I0x is x-axis MOI of optic."
 
tl0 /: tl0::usage = "tl0 is the vertical distance from structure attachment \
point to the COM of the optic."
 
dyaw1 /: dyaw1::usage = "dyaw1 is the y-direction separation of the wire \
attachment points at the structure."
 
dyaw2 /: dyaw2::usage = "dyaw2 is the y-direction separation of the wire \
attachment points at the optic."
 
l0 /: l0::usage = "l0 is part of the specification of the model and \
represents the stretched wire (fibre) length from structure to optic."
 
dpitch /: dpitch::usage = "dpitch is the height of the wire attachment points \
above the center (not COM) of the optic."
 
r0 /: r0::usage = "r0 is radius of wires (fibres) from structure to optic."
 
Y0 /: Y0::usage = 
     "Y0 is Young's modulus of wires (fibres) from structure to optic."
