wirelist = {{{x00 + ql*Cos[pitch00]*Cos[rollbl]*Cos[yaw00]*Sin[pitchbl] + 
        (dyaw1/2 - ql*Sin[rollbl])*(Cos[yaw00]*Sin[pitch00]*Sin[roll00] - 
          Cos[roll00]*Sin[yaw00]) + ql*Cos[pitchbl]*Cos[rollbl]*
         (Cos[roll00]*Cos[yaw00]*Sin[pitch00] + Sin[roll00]*Sin[yaw00]), 
       y00 + ql*Cos[pitch00]*Cos[rollbl]*Sin[pitchbl]*Sin[yaw00] + 
        ql*Cos[pitchbl]*Cos[rollbl]*(-(Cos[yaw00]*Sin[roll00]) + 
          Cos[roll00]*Sin[pitch00]*Sin[yaw00]) + (dyaw1/2 - ql*Sin[rollbl])*
         (Cos[roll00]*Cos[yaw00] + Sin[pitch00]*Sin[roll00]*Sin[yaw00]), 
       z00 + ql*Cos[pitch00]*Cos[pitchbl]*Cos[roll00]*Cos[rollbl] - 
        ql*Cos[rollbl]*Sin[pitch00]*Sin[pitchbl] + Cos[pitch00]*Sin[roll00]*
         (dyaw1/2 - ql*Sin[rollbl]), yaw00, pitch00, roll00}, {0, 0, 0}, 
      bladelvec, {x0, y0, z0, yaw0, pitch0, roll0}, {0, dyaw2/2, dpitch}, 
      opticlvec, Y0, ul0, kw0, {1, 0, 0}, M01, M02, fibretype, fibreatype}, 
     {{x00 + qr*Cos[pitch00]*Cos[rollbr]*Cos[yaw00]*Sin[pitchbr] + 
        (-dyaw1/2 - qr*Sin[rollbr])*(Cos[yaw00]*Sin[pitch00]*Sin[roll00] - 
          Cos[roll00]*Sin[yaw00]) + qr*Cos[pitchbr]*Cos[rollbr]*
         (Cos[roll00]*Cos[yaw00]*Sin[pitch00] + Sin[roll00]*Sin[yaw00]), 
       y00 + qr*Cos[pitch00]*Cos[rollbr]*Sin[pitchbr]*Sin[yaw00] + 
        qr*Cos[pitchbr]*Cos[rollbr]*(-(Cos[yaw00]*Sin[roll00]) + 
          Cos[roll00]*Sin[pitch00]*Sin[yaw00]) + (-dyaw1/2 - qr*Sin[rollbr])*
         (Cos[roll00]*Cos[yaw00] + Sin[pitch00]*Sin[roll00]*Sin[yaw00]), 
       z00 + qr*Cos[pitch00]*Cos[pitchbr]*Cos[roll00]*Cos[rollbr] - 
        qr*Cos[rollbr]*Sin[pitch00]*Sin[pitchbr] + Cos[pitch00]*Sin[roll00]*
         (-dyaw1/2 - qr*Sin[rollbr]), yaw00, pitch00, roll00}, {0, 0, 0}, 
      bladervec, {x0, y0, z0, yaw0, pitch0, roll0}, {0, -dyaw2/2, dpitch}, 
      opticrvec, Y0, ul0, kw0, {1, 0, 0}, M01, M02, fibretype, fibreatype}}
 
wirelist /: wirelist::usage = "wirelist is part of the specification of the \
model. It is a list of structures defining wires. Each structure containing \
the following items:\n\n{\n\n\tcoordinate list defining first \
mass,\n\n\tattachment point for first mass (local \
coordinates),\n\n\tattachment vector for first mass,\n\n\tcoordinate list \
defining second mass,\n\n\tattachment point for second mass (local \
coordinates),\n\n\tattachment vector for second mass,\n\n\tYoung's \
modulus,\n\n\tunstretched length,\n\n\tlongitudinal elasticity,\n\n\tvector \
defining principal axis 1,\n\n\tmoment of area along principal axis \
1,\n\n\tmoment of area along principal axis 2,\n\n\tlinear elasticity \
type,\n\n\tangular elasticity type\n\n}"
 
dyaw1 /: dyaw1::usage = "dyaw1 is the y-direction separation of the wire \
attachment points at the structure."
 
dyaw2 /: dyaw2::usage = "dyaw2 is the y-direction separation of the wire \
attachment points at the optic."
 
dpitch /: dpitch::usage = "dpitch is the height of the wire attachment points \
above the center (not COM) of the optic."
 
Y0 /: Y0::usage = 
     "Y0 is Young's modulus of wires (fibres) from structure to optic."
 
ul0 /: ul0::usage = 
     "ul0 is unstretched wire (fibre) length from structure to optic."
 
kw0 /: kw0::usage = "kw0 is net longitudinal elasticity of wires (fibres) \
from structure to optic."
 
M01 /: M01::usage = "M31 is the moment of area of wires (fibres) from \
structure to optic in direction \"1\""
 
M02 /: M02::usage = "M32 is the moment of area of wires (fibres) from \
structure to optic in direction \"2\""
