(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    272434,       5976]
NotebookOptionsPosition[    258367,       5483]
NotebookOutlinePosition[    259163,       5513]
CellTagsIndexPosition[    259120,       5510]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["HamAux", "Section",
 CellChangeTimes->{{3.482519919751624*^9, 3.4825199312603817`*^9}, {
  3.482520361353119*^9, 3.482520361656309*^9}, {3.482521014929082*^9, 
  3.482521033197775*^9}, {3.483111704071*^9, 3.4831117059300003`*^9}}],

Cell["Open questions/todo", "Subsection",
 CellChangeTimes->{{3.483187217039*^9, 3.483187228068*^9}}],

Cell["Open questions:", "Subsubsection",
 CellChangeTimes->{{3.4831872438970003`*^9, 3.483187261613*^9}, {
  3.483286980776*^9, 3.483286987446*^9}}],

Cell["\<\
- is dpend actually the distance from suspension point to COM, ot to center \
of the optics?
- rollbl and rollbr: in my case the blades acts vertically, but the wire in \
mounted at an angle. Should I redefine them?\
\>", "Text",
 CellChangeTimes->{{3.483286988823*^9, 3.483287014133*^9}, {3.483287098084*^9,
   3.483287135217*^9}}],

Cell["To do:", "Subsubsection",
 CellChangeTimes->{{3.483187415979*^9, 3.483187452543*^9}}],

Cell["\<\
- Redefine thing considering center of front face of the optics as origin of \
local coordinate system (it should be the center of the optics now). This \
implies moving the COM in x (and maybe in y), and redefining the suspension \
points.\
\>", "Text",
 CellChangeTimes->{{3.4831874546870003`*^9, 3.4831874565*^9}, {
  3.483187719609*^9, 3.48318778188*^9}}],

Cell[CellGroupData[{

Cell["Switches, version numbers, paths etc", "Subsection"],

Cell["\<\
Switches to enable loading of previously saved results instead of \
recalculating from scratch\
\>", "Text"],

Cell["\<\
useprecomputed = True; (* set to True to use saved results from precomputed \
subdirectory *)
If[useprecomputed,
\texceptdamping = False, (* False by default, True to recalculate just \
damping-dependent stuff*)
\texceptdamping = True (* DON'T CHANGE *)
];\
\>", "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAmIQvf/jK/3ETy8dA7p/gWmZuB8xIFpFlS0WRIt/PDgb
RG8Uvwym1zBfXAKiJ3x+BqbL9z0PqgHSbwJZgkG0CXeO/wogvbl0C5g22Dr1
Foh+tuI6mJ6Rt836KpBeIPUbTJfvq++5CaS12/eB6eYDaktvAemQx6VgWvl2
Zunyzy8dL/tuA9Pl+8K3geic59lgmkn6lBzbl5eO+/ufgunImXERJT9fOiaE
FYJpp4R1rSD62/0jYFpoTeZXEO3bvQJM77oWyFEKpK/47QTT395FhvH8f+nI
sSsfTG/w9e0E0YdTisB0goGJShOQ9vzqAaY3dH73AdEtp7l9QfTuX4ve5LO9
cixL3Ammb851f1oIpOU8tz8D0fdfn7MqBtJL/j0F0xPKyz89kHrlKBbeDaav
KQRVPQTSxboZYBoACCPu7g==
  "]],

Cell[CellGroupData[{

Cell["\<\
Definition of the current case - label, descriptive comment, and \
specification in terms of overrides relative to the default parameters
**** EDIT THIS SECTION TO DEFINE A NEW CASE ****\
\>", "Text"],

Cell["modelcase = \"HAMAUX\";", "Input",
 CellChangeTimes->{{3.482520347386499*^9, 3.482520347728347*^9}, {
  3.4825755446540003`*^9, 3.482575545842*^9}}],

Cell["\<\
modelcasecomment = \"HAM Auxiliary suspensions, pre-prototype modeling\";\
\>", "Input",
 CellChangeTimes->{{3.482520351568468*^9, 3.482520353384877*^9}, {
   3.4825207866129417`*^9, 3.4825207942362547`*^9}, 3.482521043423732*^9, {
   3.482575550209*^9, 3.482575578979*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"overrides", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"tx", "\[Rule]", 
      RowBox[{"1", "*", "0.0254"}]}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"thickness", " ", "of", " ", "optic"}], ",", " ", 
       RowBox[{"USED", " ", "ONLY", " ", "FOR", " ", "DRAWING"}]}], " ", 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"tr", " ", "\[Rule]", 
      RowBox[{"0.0254", "*", 
       FractionBox["3", "2"]}]}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"radius", " ", "of", " ", "optic"}], ",", " ", 
       RowBox[{"USED", " ", "ONLY", " ", "FOR", " ", "DRAWING"}]}], " ", 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"m0", "\[Rule]", ".3738"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
      "mass", " ", "of", " ", "the", " ", "suspended", " ", "assembly"}], " ",
       "*)"}], "\[IndentingNewLine]", 
     RowBox[{"I0y", "\[Rule]", "0.000211996"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{"moment", " ", "of", " ", "inertia", " ", 
       RowBox[{"(", "pitch", ")"}], " ", "in", " ", "body", " ", 
       "coordinates"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"I0z", "\[Rule]", "0.000268460"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{"moment", " ", "of", " ", "inertia", " ", 
       RowBox[{"(", "yaw", ")"}], " ", "in", " ", "body", " ", 
       "coordinates"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"I0x", "\[Rule]", "0.000434854"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{"moment", " ", "of", " ", "inertia", " ", 
       RowBox[{"(", "roll", ")"}], " ", "in", " ", "body", " ", 
       "coordinates"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"COMx", "\[Rule]", "0"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
      "suspended", " ", "assembly", " ", "COM", " ", "x", " ", "cohordinate", 
       " ", 
       RowBox[{"(", 
        RowBox[{"in", " ", "local", " ", "cohordinates"}], ")"}]}], " ", 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"COMy", "\[Rule]", "0"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
      "suspended", " ", "assembly", " ", "COM", " ", "y", " ", "cohordinate", 
       " ", 
       RowBox[{"(", 
        RowBox[{"in", " ", "local", " ", "cohordinates"}], ")"}]}], " ", 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"COMz", "\[Rule]", 
      RowBox[{
       RowBox[{"-", "2.65"}], " ", 
       SuperscriptBox["10", 
        RowBox[{"-", "3"}]]}]}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
      "suspended", " ", "assembly", " ", "COM", " ", "z", " ", "cohordinate", 
       " ", 
       RowBox[{"(", 
        RowBox[{"in", " ", "local", " ", "cohordinates"}], ")"}]}], " ", 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"tl0", "\[Rule]", "0.24929"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
      "vertical", " ", "distance", " ", "between", " ", "wire", " ", 
       "attachment", " ", "points"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"dyaw1", "\[Rule]", "0.0157"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{"y", "-", 
       RowBox[{
       "separation", " ", "of", " ", "wires", " ", "at", " ", "structure"}]}],
       " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"dyaw2", "\[Rule]", "0.10033"}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{"y", "-", 
       RowBox[{
       "separation", " ", "of", " ", "wires", " ", "at", " ", "optic"}]}], 
      " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"l0", "\[Rule]", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["tl0", "2"], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"dyaw2", "/", "2"}], "-", 
           RowBox[{"dyaw1", "/", "2"}]}], ")"}], "2"]}]]}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{"wire", " ", "length"}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"dpitch", "\[Rule]", 
      RowBox[{"-", "0.00165"}]}], ",", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"height", " ", "of", " ", "wire", " ", "break"}], "-", 
       RowBox[{
       "off", " ", "above", " ", "optic", " ", "local", " ", "coordinate", 
        " ", "origin"}]}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"r0", "\[Rule]", 
      RowBox[{"0.003", " ", "0.0254"}]}], ",", 
     RowBox[{"(*", 
      RowBox[{"radius", " ", "of", " ", "wire"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"kbz", "\[Rule]", 
      RowBox[{
       SuperscriptBox["7.19", "2"], " ", "4", " ", 
       SuperscriptBox["\[Pi]", "2"], " ", 
       FractionBox["m0", "2"]}]}], ",", 
     RowBox[{"(*", 
      RowBox[{" ", 
       RowBox[{"GUESSTIMATE", "-", 
        RowBox[{
        "blade", " ", "strength", " ", "to", " ", "give", " ", "measured", 
         " ", "bounce", " ", "frequency", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"including", " ", 
            RowBox[{"wires", "'"}], " ", "effects"}], ")"}], ".", " ", 
          "The"}], " ", "value", " ", "coming", " ", "from", " ", "the", " ", 
         "blade", " ", "modeling", " ", "would", " ", "be", " ", "381", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"or", " ", 
            SuperscriptBox["7.19", "2"], " ", "4", " ", 
            SuperscriptBox["\[Pi]", "2"], " ", 
            FractionBox["m0", "2"]}], ")"}], ".", " ", "To"}], " ", "match", 
         " ", "a", " ", "resonace", " ", "frequency", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"calculated", " ", "for", " ", "the", " ", "blades"}], ",",
            " ", 
           RowBox[{
           "thus", " ", "not", " ", "accounting", " ", "for", " ", 
            "wires"}]}], ")"}], " ", 
         RowBox[{"use", ":", " ", 
          RowBox[{
           SuperscriptBox["f", "2"], " ", "4", " ", 
           SuperscriptBox["\[Pi]", "2"], " ", 
           FractionBox["m0", "2"]}]}]}]}], ")"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Y0", "\[Rule]", 
      RowBox[{"2.1", " ", 
       SuperscriptBox["10", "11"]}]}]}], 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"wires", "'"}], " ", 
      RowBox[{"Young", "'"}], "s", " ", "modulus"}], "*)"}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4827522666289997`*^9, 3.4827524332*^9}, {
   3.48275253058*^9, 3.482752531002*^9}, {3.4827659800629997`*^9, 
   3.482765980417*^9}, {3.482766574942*^9, 3.482766575033*^9}, {
   3.482768671829*^9, 3.482768671968*^9}, {3.483183032149*^9, 
   3.483183068626*^9}, {3.483183815192*^9, 3.4831838713599997`*^9}, {
   3.4831868649110003`*^9, 3.4831868934890003`*^9}, 3.483187066826*^9, {
   3.4831871037349997`*^9, 3.483187111442*^9}, {3.483188204407*^9, 
   3.483188206874*^9}, {3.483269925926*^9, 3.483269926842*^9}, {
   3.483270417315*^9, 3.483270419417*^9}, {3.4832718046949997`*^9, 
   3.483271804797*^9}, 3.483271898751*^9, {3.483271982373*^9, 
   3.483272005332*^9}, 3.4832751449230003`*^9, {3.483279450051*^9, 
   3.4832794509049997`*^9}, 3.4832795870690002`*^9, {3.4832797871359997`*^9, 
   3.4832797879230003`*^9}, {3.483280011637*^9, 3.4832800257460003`*^9}, {
   3.483280971865*^9, 3.483280986756*^9}, {3.48328513079*^9, 
   3.4832851311029997`*^9}, {3.4832865830690002`*^9, 3.483286634738*^9}, {
   3.483286666645*^9, 3.483286712417*^9}, {3.483286959177*^9, 
   3.48328697246*^9}, {3.4832874745769997`*^9, 3.48328747717*^9}, {
   3.483288221373*^9, 3.483288222477*^9}, {3.483294308748*^9, 
   3.483294318848*^9}, {3.4832943638120003`*^9, 3.4832944403199997`*^9}, {
   3.4862290547374296`*^9, 3.48622907245568*^9}, {3.486230468686478*^9, 
   3.486230469502582*^9}, 3.486230520732087*^9, {3.4862305533347273`*^9, 
   3.4862305715035343`*^9}, {3.4891620395950146`*^9, 3.48916203968902*^9}, {
   3.489162232984076*^9, 3.48916223410114*^9}, {3.489162302214036*^9, 
   3.4891623023300424`*^9}, {3.4894029628270764`*^9, 3.489402993672841*^9}, {
   3.4930359278810115`*^9, 3.4930360957726145`*^9}, {3.4930363337602267`*^9, 
   3.4930363353753195`*^9}, 3.493036400886066*^9, {3.493036613837246*^9, 
   3.4930366192405553`*^9}, {3.493036719645298*^9, 3.493036744074695*^9}, {
   3.4930371297767563`*^9, 3.4930372098573365`*^9}, {3.4930373123231974`*^9, 
   3.493037582449648*^9}, {3.4930400531989665`*^9, 3.493040056905178*^9}, {
   3.4930402624939375`*^9, 3.493040263555998*^9}, {3.4930407810255957`*^9, 
   3.493040782011652*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"chopsize", " ", "=", " ", 
   RowBox[{"10", "^", 
    RowBox[{"-", "10"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4756325542807302`*^9, 3.4756325634898577`*^9}}],

Cell["nonoptcoords = {};", "Input",
 CellChangeTimes->{{3.4756323558440857`*^9, 3.4756323577543707`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The path in which the core model definition and model-specific support files \
are installed. 
**** EDIT THE PATHS AND/OR ADD CLAUSES FOR NEW SYSTEMS AS APPROPRIATE ****\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"modeldirectory", " ", "=", " ", 
   RowBox[{"Switch", "[", "\[IndentingNewLine]", 
    RowBox[{
    "$System", ",", "\[IndentingNewLine]", "\"\<Power Macintosh\>\"", ",", 
     "\"\<Boadicea:Users:mbarton:Work:LIGO:analysis:AdvLIGOModel:\
twowiresimpleblades:current\>\"", ",", "\[IndentingNewLine]", 
     "\"\<Mac OS X\>\"", ",", 
     "\"\</Users/mbarton/Work/LIGO/analysis/AdvLIGOModel/twowiresimpleblades/\
current\>\"", ",", "\[IndentingNewLine]", "\"\<Mac OS X x86 (32-bit)\>\"", 
     ",", "\"\</Users/mbarton/Work/LIGO/analysis/AdvLIGOModel/\
twowiresimpleblades/current\>\"", ",", "\[IndentingNewLine]", 
     "\"\<Mac OS X x86 (64-bit)\>\"", ",", 
     "\"\</Users/mbarton/Work/LIGO/analysis/AdvLIGOModel/twowiresimpleblades/\
current\>\"", ",", "\[IndentingNewLine]", "\"\<Solaris\>\"", ",", 
     "\"\</home/mbarton/analysis/AdvLIGOModel/twowiresimpleblades/current\>\"\
", ",", "\[IndentingNewLine]", "\"\<Linux\>\"", ",", 
     "\"\</home/mbarton/analysis/AdvLIGOModel/twowiresimpleblades/current\>\"\
", ",", "\[IndentingNewLine]", "\"\<Linux x86 (64 bit)\>\"", ",", 
     "\"\</home/mbarton/analysis/AdvLIGOModel/twowiresimpleblades/current\>\"\
", ",", "\[IndentingNewLine]", "\"\<Microsoft Windows (32-bit)\>\"", ",", 
     "\"\<D:\\\\Giacomo\\\\Documents\\\\1-Lavoro\\\\UF\\\\Projects\\\\HAMAux\\\
\\MathematicaModels\\\\TwoWireSimpleBladesv5.1\\\\current\>\"", ",", 
     "\[IndentingNewLine]", "\"\<Microsoft Windows (64-bit)\>\"", ",", 
     "\"\<D:\\\\Giacomo\\\\Documents\\\\1-Lavoro\\\\UF\\\\Projects\\\\HAMAux\\\
\\MathematicaModels\\\\TwoWireSimpleBladesv5.1\\\\current\>\""}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.482519949552608*^9, 3.482519952755178*^9}, {
  3.482578189834*^9, 3.4825782153900003`*^9}, {3.4856305788570414`*^9, 
  3.4856305864696584`*^9}, {3.503751252456229*^9, 3.503751263720874*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The path in which custom packages are installed (if different from above). 
**** EDIT THE PATHS AND/OR ADD CLAUSES FOR NEW SYSTEMS AS APPROPRIATE ****\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"modelsupportdirectory", " ", "=", " ", 
   RowBox[{"Switch", "[", "\[IndentingNewLine]", 
    RowBox[{
    "$System", ",", "\[IndentingNewLine]", "\"\<Power Macintosh\>\"", ",", 
     "\"\<Boadicea:Users:mbarton:Work:MathLib\>\"", ",", 
     "\[IndentingNewLine]", "\"\<Mac OS X\>\"", ",", 
     "\"\</Users/mbarton/Work/MathLib\>\"", ",", "\[IndentingNewLine]", 
     "\"\<Mac OS X x86 (32-bit)\>\"", ",", 
     "\"\</Users/mbarton/Work/MathLib\>\"", ",", "\[IndentingNewLine]", 
     "\"\<Mac OS X x86 (64-bit)\>\"", ",", 
     "\"\</Users/mbarton/Work/MathLib\>\"", ",", "\[IndentingNewLine]", 
     "\"\<Solaris\>\"", ",", "\"\</home/mbarton/MathLib\>\"", ",", 
     "\[IndentingNewLine]", "\"\<Linux\>\"", ",", 
     "\"\</home/mbarton/MathLib\>\"", ",", "\[IndentingNewLine]", 
     "\"\<Linux x86 (64 bit)\>\"", ",", "\"\</home/mbarton/MathLib\>\"", ",", 
     "\[IndentingNewLine]", "\"\<Microsoft Windows (32-bit)\>\"", ",", 
     "\"\<C:\\\\ProgramData\\\\Mathematica\\\\Applications\\\\\
AllPackages20091202\>\"", ",", "\[IndentingNewLine]", 
     "\"\<Microsoft Windows (64-bit)\>\"", ",", 
     "\"\<C:\\\\ProgramData\\\\Mathematica\\\\Applications\\\\\
AllPackages20091202\>\""}], "\[IndentingNewLine]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4825199568762503`*^9, 3.482519960434024*^9}, {
   3.482578223384*^9, 3.482578228023*^9}, 3.4825783187320004`*^9, {
   3.485630593364764*^9, 3.4856305995798597`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Enable the mode shape plots", "Text"],

Cell["doplots = True;", "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Enable export of state space to Matlab", "Text"],

Cell["domatlabexport = False;", "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["The number of interesting low frequency modes", "Text"],

Cell["noofLF = 6;", "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Usage notes for switches", "Text"],

Cell["\<\
useprecomputed::usage = \"useprecomputed is a switch variable which, when set \
to True, causes results to be read in from files in the data subdirectory \
rather than being calculated afresh.\";\
\>", "Input"],

Cell["\<\
domatlabexport::usage = \"domatlabexport is a switch variable which enables \
the calculation of the state space matrices for Matlab.\";\
\>", "Input"],

Cell["\<\
doplots::usage = \"doplots is a switch variable which enables mode shape \
plots.\";\
\>", "Input"],

Cell["\<\
modelcase::usage = \"modelcase is a string that serves as a label for the \
case of the model currently being calculated, as well as as a name for the \
subdirectory where the files for that case are stored.\";\
\>", "Input"],

Cell["\<\
modelcasecomment::usage = \"modelcasecomment is a string that describes the \
case of the model currently being calculated.\";\
\>", "Input"],

Cell["\<\
modeldirectory::usage = \"modeldirectory is a string (in the format \
appropriate for the local filesystem) that specifies the directory where the \
model definition files (ASUS3ModelDefn.nb and ASUS3ModelDefn.m) is stored. \
The files for particular cases will be stored in subdirectories of this \
directory.\";\
\>", "Input"],

Cell["\<\
modelsupportdirectory::usage = \"modelsupportdirectory is a string (in the \
format appropriate for the local filesystem) that specifies the directory \
where additional support files (e.g., StatusWindow.nb/StatusWindow.m) are \
stored (if different from modeldirectory).\";\
\>", "Input"],

Cell["\<\
overrides::usage = \"overrides is a list of substitutions that modify or \
replace those in defaultvalues.\";\
\>", "Input"],

Cell["\<\
nonoptvars::usage = \"nonoptvars is a list of variables that should be held \
frozen for debugging purpose in the optimization.\";\
\>", "Input"],

Cell["\<\
noofLF::usage = \"noofLF should be set to the number of interesting low \
frequency modes.\";\
\>", "Input"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version history", "Subsection"],

Cell["See matching ASUS4ModelDefn.nb in directory above this.", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Instructions", "Subsection"]], "Subsection"],

Cell[CellGroupData[{

Cell["Initial installation", "Subsubsection"],

Cell[TextData[{
 "1. Check the assignment to ",
 StyleBox["modelcase",
  FontFamily->"Courier"],
 " in the Switches sextion above. It should correspond to the name of the \
directory in which this copy of ",
 StyleBox["ASUS4ModelCalcXXX.nb",
  FontFamily->"Courier"],
 " is installed.\n2. Check the assignment to ",
 StyleBox["modeldirectory",
  FontFamily->"Courier"],
 " in the Switches section above. Check that there is a case in the ",
 StyleBox["Switch[]", "Program"],
 " statement corresponding to the value of ",
 StyleBox["$System", "Program"],
 " for your version of ",
 StyleBox["Mathematica,",
  FontSlant->"Italic"],
 " and if not, create one. The value returned for that case should be a \
string giving an absolute path to the root directory for the quad pendulum \
model. The model root directory will be the parent of the one containing this \
copy of ASUS4ModelCalc.nb and contains the factory version of ",
 StyleBox["A",
  FontFamily->"Courier"],
 "SUS4",
 StyleBox["ModelDefn.nb",
  FontFamily->"Courier"],
 ", ",
 StyleBox["A",
  FontFamily->"Courier"],
 "SUS4",
 StyleBox["ModelDefn.m",
  FontFamily->"Courier"],
 ", and various other definition and support files. The path string should be \
in the particular standard syntax for your OS (e.g., slash-delimited for \
Unix, colon-delimited for Mac, etc).\n3. Check the assignment to ",
 StyleBox["modelsupportdirectory",
  FontFamily->"Courier"],
 " in the Switches section above. Check that there is a case in the Switch[] \
statement corresponding to the value of $System for your version of ",
 StyleBox["Mathematica,",
  FontSlant->"Italic"],
 " and if not, create one. The value returned for that case should be a \
string giving an absolute path to the directory where you have placed the \
custom packages  ",
 StyleBox["RotationsXYZ.nb",
  FontFamily->"Courier"],
 ", ",
 StyleBox["RotationsXYZ.m",
  FontFamily->"Courier"],
 ", ",
 StyleBox["MyShapes.nb",
  FontFamily->"Courier"],
 " and ",
 StyleBox["MyShapes.m",
  FontFamily->"Courier"],
 ".  The path string should be in the particular standard syntax for your OS \
(e.g., slash-delimited for Unix, colon-delimited for Mac, etc)."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["To do calculations with the precomputed values", "Subsubsection"],

Cell[TextData[{
 "1. Check sure that this directory contains a ",
 StyleBox["precomputed",
  FontFamily->"Courier"],
 " subdirectory with various saved results (",
 StyleBox["allparams.m",
  FontFamily->"Courier"],
 " etc). If the directory is empty, there are no precomputed results and you \
will need to do the full calculation.\n2. If there are precomputed results, \
look for an assignment statement to the variable ",
 StyleBox["precomputed",
  FontFamily->"Courier"],
 " at the very beginning of this file and make sure that it is set to ",
 StyleBox["True",
  FontFamily->"Courier"],
 ". (Otherwise set it to ",
 StyleBox["False",
  FontFamily->"Courier"],
 " to force the full calculation)\n3. Evaluate cells in this notebook in \
order from the top. If the wire bending elasticity is not of interest, you \
can stop after the sections \"Stage 0 of the computation\" and \"Listings and \
plots with Stage 0 data\". The final two sections, \"Stages 1 and 2\" and \
\"Listings and plots with Stage 2 data\" take much longer to run.\n4. View \
the output in the \"Listings and plots\" sections. Add commands for new \
listings and plots using the examples there as a guide."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["To try different values with the same basic model structure", \
"Subsubsection"],

Cell[TextData[{
 "Many interesting variations can be implemented by just defining overrides \
to some or all of the default values of constants in the substitution list ",
 StyleBox["defaultvalues",
  FontFamily->"Courier"],
 ".Use this method where possible so that differences are confined to one \
well-defined spot in the code.To do this, proceed as follows:"
}], "Text"],

Cell[TextData[{
 "1. If you want to preserve the results from the current variation, (i) \
duplicate the entire directory containing containing this file, (ii) give the \
new directory a name reflecting the variation you're going to try, e.g., ",
 StyleBox["heavieroptic",
  FontFamily->"Courier"],
 ",  (iii) rename the new copy of this file to include some or all of the \
case name (e.g., ",
 StyleBox["A",
  FontFamily->"Courier"],
 "SUS4",
 StyleBox["ModelCalcDefault.nb",
  FontFamily->"Courier"],
 " -> ",
 StyleBox["A",
  FontFamily->"Courier"],
 "SUS4",
 StyleBox["ModelCalcHeavierOptic.nb",
  FontFamily->"Courier"],
 "), (iv) close this file and continue from here new copy in the new \
directory, (iv) (you should be in the new copy now) edit the assignment to ",
 StyleBox["modelcase",
  FontFamily->"Courier"],
 " in the Switches section above to correspond to the new directory name, and \
(v) edit the assignment to ",
 StyleBox["modelcasecomment",
  FontFamily->"Courier"],
 " in the Switches section to describe the new case.\n2. Edit the assignment \
to ",
 StyleBox["overrides",
  FontFamily->"Courier"],
 " in the Switches section above, adding, removing or changing overrides to \
reflect whatever new configuration you want. For example, ",
 StyleBox["m3->80",
  FontFamily->"Courier"],
 " will set the optic mass to 80 kg, ",
 StyleBox["m3->scale[2",
  FontFamily->"Courier"],
 "] will double it from what ever it was, and ",
 StyleBox["m3->increment[5",
  FontFamily->"Courier"],
 "] will add 5 kg.\n3. Edit the assignment to ",
 StyleBox["useprecomputed",
  FontFamily->"Courier"],
 " in the Switches section above to make it set ",
 StyleBox["useprecomputed",
  FontFamily->"Courier"],
 " to ",
 StyleBox["False",
  FontFamily->"Courier"],
 ".\n4. Delete all the saved result files in the ",
 StyleBox["precomputed",
  FontFamily->"Courier"],
 " subdirectory (of the new copy!).\n5. Select all the cells in this notebook \
and evaluate them.WARNING: recomputing the whole notebook takes several \
hours. Stage 0 is about 3 minutes, Stage 1 is about an hour, Stage 2 is about \
two hours, and the full collection of listings and plots at the end are a few \
minutes. Depending on what precision you want, you might be able to get away \
with evaluating only Stages 0 and 1, or only Stage 0.\n6. Edit the assignment \
to ",
 StyleBox["useprecomputed",
  FontFamily->"Courier"],
 " in the Switches section above to make it set ",
 StyleBox["useprecomputed",
  FontFamily->"Courier"],
 " to ",
 StyleBox["True", "Program"],
 ". Evaluate it. Save the file."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["To hack the model structure", "Subsubsection"],

Cell["\<\
Some changes, such as adding asymmetries, are too radical to be implemented \
by overriding values. And sometimes, as in starting a design for a new optic, \
you want to make a new set of default values to avoid having to override \
ridiculous numbers of them. In such cases the model definition needs to be \
hacked.\
\>", "Text"],

Cell[TextData[{
 "1. Duplicate the entire directory containing this file and edit the \
assignments to ",
 StyleBox["modelcase",
  FontFamily->"Courier"],
 " and ",
 StyleBox["modelcasecomment", "Program"],
 " in the new copy of this file as explained in \"To try different values \
with the same basic model structure\", step 1, above.\n2. Make a local copy \
of ",
 StyleBox["A",
  FontFamily->"Courier"],
 "SUS4",
 StyleBox["ModelDefn.nb",
  FontFamily->"Courier"],
 " in the new directory (e.g., by copying it from the factory version in the \
model root directory one level above).\n3. Hack the local copy to change the \
structure of the model as desired (this is left as an exercise for the \
reader).\n4. PUT CONSPICUOUS COMMENTS AT THE TOP OF THE NEW MODEL SAYING HOW \
IT DIFFERS FROM THE FACTORY VERSION!\n5. Continue from Step 2 of \"To try \
different values with the same basic model structure\" above. ",
 StyleBox["ASUS4ModelCalc.nb",
  FontFamily->"Courier"],
 " will find the customized version of ",
 StyleBox["ASUS4ModelDefn.m",
  FontFamily->"Courier"],
 " because it looks in its own directory (specified by ",
 StyleBox["modelcase",
  FontFamily->"Courier"],
 ") before checking the root directory."
}], "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Preliminaries", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
The directory in which this copy of ASUSModelCalc.nb and the other files \
associated with this case are stored.\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"ToFileName", "[", 
    RowBox[{"{", 
     RowBox[{"modeldirectory", ",", "modelcase"}], "}"}], "]"}], "]"}], 
  ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The path in which the model definition and model-specific support files are \
installed.\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"$Path", " ", "=", " ", 
   RowBox[{"Append", "[", 
    RowBox[{"$Path", ",", "modeldirectory"}], "]"}]}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The path in which custom packages are installed (if different from above).\
\>", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"$Path", " ", "=", " ", 
   RowBox[{"Append", "[", 
    RowBox[{"$Path", ",", "modelsupportdirectory"}], "]"}]}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Read in the model definition. First look for a customized model in the \
current directory, then look for the factory model in the directory above.\
\>", "Text"],

Cell["\<\
Get[\"TwoWireSimpleBladesDefn.m\",Path->{Directory[],ParentDirectory[\
Directory[]]}];\
\>", "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check that core model is loaded and correct", "Text"],

Cell["\<\
If[
\tmodelcomment!=\"Two-wire simple pendulum with blades\"
\t||modelversion<5.1,
\tAbort[]
];\
\>", "Input",
 CellChangeTimes->{{3.482519968949115*^9, 3.482519970300961*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Archive some stuff that doesn't get recomputed here, just in case it's useful \
to look at\
\>", "Text"],

Cell["saveprecomputed[\"allvars.m\",allvars];", "Input"],

Cell["saveprecomputed[\"startpos.m\",startpos];", "Input"],

Cell["saveprecomputed[\"gravlist.m\",gravlist];", "Input"],

Cell["saveprecomputed[\"wirelist.m\",wirelist];", "Input"],

Cell["saveprecomputed[\"springlist.m\",springlist];", "Input"],

Cell["saveprecomputed[\"kinetic.m\",kinetic];", "Input"],

Cell["saveprecomputed[\"defaultvalues.m\",defaultvalues];", "Input"],

Cell["saveprecomputed[\"overrides.m\",overrides];", "Input"],

Cell["saveprecomputed[\"nonoptvars.m\",nonoptvars];", "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Open the status window", "Text"],

Cell["OpenStatusWindow[WindowSize->{500,300}];", "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["Reset[All]", "Input"],

Cell[CellGroupData[{

Cell["Listings and plots with Stage 0A Data", "Subsection"],

Cell[CellGroupData[{

Cell["Calculate[Stage0A]", "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tr", "::", "\<\"shdw\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Symbol \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(\\\"tr\\\"\\), \\\"MT\\\"]\\)\
\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" appears in multiple contexts \
\\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\({\\\"Parallel`Preferences`\\\"\
, \\\"Global`\\\"}\\), \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\"; definitions in \
context \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(\\\"Parallel`Preferences`\\\"\
\\), \\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\" may shadow or be \
shadowed by other definitions.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/shdw\\\", \
ButtonNote -> \\\"Parallel`Preferences`tr::shdw\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellChangeTimes->{3.5037531188169794`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["View the eigenfrequencies", "Text",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[CellGroupData[{

Cell["\<\
Table[{Length[allvars]-index+1, Hz0A[[index]]}, {index, 1, Length[allvars]}]\
\>", "Input",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"6", ",", "10.470547754895978`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "7.09864947693854`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "0.9999600457212052`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "0.9916562650302542`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "0.7392941998232763`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0.6608912610766272`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.482520193823065*^9, 3.4825208279530897`*^9, 3.482579024976*^9, 
   3.482580578105*^9, 3.482580706957*^9, 3.482580974535*^9, 3.482585919742*^9,
    3.4825862080769997`*^9, 3.4825862923389997`*^9, 3.482586360226*^9, 
   3.482586399861*^9, 3.482586446278*^9, 3.482601026922*^9, 
   3.4826032720889997`*^9, 3.482603376494*^9, 3.4826034671280003`*^9, 
   3.482604120361*^9, 3.4826653689413676`*^9, {3.4826656036373672`*^9, 
   3.4826656390473676`*^9}, 3.4826667909953675`*^9, 3.482752607502*^9, 
   3.482757607882*^9, 3.482766460799*^9, 3.4827665808780003`*^9, 
   3.482768677686*^9, 3.482844360483*^9, 3.482857525321*^9, 3.483113893861*^9,
    3.483188633572*^9, 3.483188689387*^9, 3.483190505816*^9, 
   3.483204659965*^9, 3.483269937013*^9, 3.483269972764*^9, 3.483270427377*^9,
    3.483271683091*^9, 3.483271810981*^9, 3.4832719079309998`*^9, {
   3.483271989067*^9, 3.4832720111870003`*^9}, 3.4832756246140003`*^9, 
   3.483279459076*^9, 3.4832795951359997`*^9, 3.4832875343529997`*^9, 
   3.4832879186730003`*^9, 3.483288255866*^9, 3.483294329443*^9, 
   3.483294371308*^9, 3.4832951376610003`*^9, 3.483296715336*^9, 
   3.483358398744797*^9, 3.483382080818797*^9, 3.4833821168957973`*^9, 
   3.483438944421*^9, 3.483439563664*^9, 3.483745709578085*^9, 
   3.483792625271*^9, 3.4838827433*^9, 3.4838990116949997`*^9, 
   3.483901759307*^9, 3.484154583394*^9, 3.4842206420179996`*^9, 
   3.4856302084863253`*^9, 3.485630548769079*^9, 3.485630612826313*^9, 
   3.4856307356957006`*^9, 3.485688290805296*^9, 3.48569243168189*^9, 
   3.4856935523404765`*^9, 3.485770588323617*^9, 3.4857932740431557`*^9, 
   3.485864924011155*^9, 3.4861167257478523`*^9, 3.486209463624056*^9, 
   3.4862292270963163`*^9, 3.4862293150084796`*^9, 3.486230476297945*^9, {
   3.4862305350008993`*^9, 3.486230563091966*^9}, 3.486230644881852*^9, 
   3.4891619558292236`*^9, 3.489162044885318*^9, 3.4891622417185755`*^9, 
   3.489162308334386*^9, 3.489403196152422*^9, 3.4928882708263683`*^9, 
   3.492974200227439*^9, 3.493035911463073*^9, 3.49303634360779*^9, 
   3.493036411324663*^9, 3.4930366256089196`*^9, 3.4930368620074406`*^9, 
   3.493037593967306*^9, 3.4930400948533487`*^9, 3.4930402838311577`*^9, 
   3.4930407935053096`*^9, 3.5037511733877068`*^9, 3.503751281106868*^9, 
   3.503751324379343*^9, 3.503753121753147*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["View the important low-frequency modes", "Text"],

Cell[CellGroupData[{

Cell["\<\
Join[\t
\t{{\"N\",\"f\",\"type\"}},
\tTable[
\t\tJoin[
\t\t\t{i},
\t\t\t{Hz0A[[-i]]},
\t\t\timportant[e2ni.eigenvectors0A[[-i]],0.7]
\t\t],
\t\t{i,noofLF}
\t]
]//TableForm\
\>", "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"N\"\>", "\<\"f\"\>", "\<\"type\"\>"},
    {"1", "0.6608912610766272`", "pitch0"},
    {"2", "0.7392941998232763`", "yaw0"},
    {"3", "0.9916562650302542`", "roll0"},
    {"4", "0.9999600457212052`", "pitch0"},
    {"5", "7.09864947693854`", "z0"},
    {"6", "10.470547754895978`", "roll0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.4825201938551083`*^9, 3.482520827989893*^9, 3.482579025157*^9, 
   3.4825805781800003`*^9, 3.482580706986*^9, 3.482580974591*^9, 
   3.4825859197650003`*^9, 3.4825862081*^9, 3.482586292389*^9, 
   3.482586360249*^9, 3.482586399884*^9, 3.482586446308*^9, 
   3.4826010270690002`*^9, 3.482603272183*^9, 3.4826033765550003`*^9, 
   3.482603467191*^9, 3.482604120427*^9, 3.4826653690843678`*^9, {
   3.4826656036643677`*^9, 3.4826656391213675`*^9}, 3.4826667910413675`*^9, 
   3.482752607531*^9, 3.482757607969*^9, 3.482766460832*^9, 3.482766580915*^9,
    3.482768677715*^9, 3.482844360558*^9, 3.4828575253710003`*^9, 
   3.483113893993*^9, 3.4831886336429996`*^9, 3.4831886894189997`*^9, 
   3.483190505841*^9, 3.4832046599960003`*^9, 3.483269937073*^9, 
   3.4832699727980003`*^9, 3.4832704274049997`*^9, 3.483271683115*^9, 
   3.483271811006*^9, 3.483271907958*^9, {3.483271989092*^9, 
   3.483272011218*^9}, 3.4832756246429996`*^9, 3.4832794591210003`*^9, 
   3.483279595163*^9, 3.4832875348599997`*^9, 3.483287918815*^9, 
   3.4832882561210003`*^9, 3.4832943294700003`*^9, 3.4832943713570004`*^9, 
   3.4832951376870003`*^9, 3.4832967153719997`*^9, 3.483358398825797*^9, 
   3.483382080933797*^9, 3.4833821169277973`*^9, 3.483438944525*^9, 
   3.483439563755*^9, 3.483745709755085*^9, 3.483792625401*^9, 
   3.483882743495*^9, 3.4838990117980003`*^9, 3.483901759453*^9, 
   3.484154583523*^9, 3.484220642165*^9, 3.485630209002583*^9, 
   3.48563054882158*^9, 3.485630613010066*^9, 3.485630735861953*^9, 
   3.4856882908602962`*^9, 3.485692431738141*^9, 3.48569355259673*^9, 
   3.4857705884336233`*^9, 3.48579327411816*^9, 3.48586492409716*^9, 
   3.486116725867854*^9, 3.4862094637535725`*^9, 3.486229227243335*^9, 
   3.486229315047985*^9, 3.486230476329949*^9, {3.486230535025402*^9, 
   3.486230563116969*^9}, 3.4862306449073553`*^9, 3.4891619559292297`*^9, 
   3.4891620449753227`*^9, 3.489162241738577*^9, 3.4891623083543873`*^9, 
   3.4894031962694283`*^9, 3.492888270977377*^9, 3.492974200351446*^9, 
   3.4930359115270767`*^9, 3.493036343624791*^9, 3.4930364113796663`*^9, 
   3.4930366256279206`*^9, 3.4930368620264416`*^9, 3.493037593997308*^9, 
   3.49304009487035*^9, 3.4930402838501587`*^9, 3.4930407935253105`*^9, 
   3.50375117361672*^9, 3.5037512811698713`*^9, 3.5037513244003444`*^9, 
   3.503753121772148*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["View the higher frequency modes", "Text"],

Cell[CellGroupData[{

Cell["\<\
Join[\t
\t{{\"N\",\"f\",\"type\"}},
\tTable[
\t\tJoin[
\t\t\t{i},
\t\t\t{Hz0A[[-i]]},
\t\t\timportant[e2ni.eigenvectors0A[[-i]],0.7]
\t\t],
\t\t{i,noofLF+1,Length[allvars]}
\t]
]//TableForm\
\>", "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"N\"\>", "\<\"f\"\>", "\<\"type\"\>"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.482520193887144*^9, 3.482520828018424*^9, 3.4825790252130003`*^9, 
   3.4825805782*^9, 3.48258070701*^9, 3.482580974615*^9, 3.482585919789*^9, 
   3.482586208123*^9, 3.482586292413*^9, 3.482586360273*^9, 3.482586399907*^9,
    3.4825864463310003`*^9, 3.4826010271470003`*^9, 3.482603272209*^9, 
   3.48260337658*^9, 3.482603467216*^9, 3.482604120457*^9, 
   3.4826653693753676`*^9, {3.4826656036973677`*^9, 3.4826656391583676`*^9}, 
   3.4826667910743675`*^9, 3.482752607586*^9, 3.48275760806*^9, 
   3.482766460859*^9, 3.482766580957*^9, 3.4827686777460003`*^9, 
   3.482844360624*^9, 3.482857525414*^9, 3.483113894101*^9, 3.483188633704*^9,
    3.483188689462*^9, 3.4831905058640003`*^9, 3.483204660026*^9, 
   3.4832699370950003`*^9, 3.483269972841*^9, 3.483270427427*^9, 
   3.483271683142*^9, 3.4832718110299997`*^9, 3.483271907983*^9, {
   3.483271989118*^9, 3.483272011249*^9}, 3.483275624668*^9, 
   3.483279459149*^9, 3.48327959519*^9, 3.483287535242*^9, 3.483287918894*^9, 
   3.483288256175*^9, 3.483294329501*^9, 3.483294371424*^9, 3.48329513771*^9, 
   3.4832967153970003`*^9, 3.483358398879797*^9, 3.4833820809917974`*^9, 
   3.4833821169657974`*^9, 3.483438944653*^9, 3.483439563815*^9, 
   3.483745709833085*^9, 3.483792625435*^9, 3.483882743663*^9, 
   3.483899011829*^9, 3.4839017594779997`*^9, 3.4841545835810003`*^9, 
   3.484220642248*^9, 3.4856302090838346`*^9, 3.4856305488503304`*^9, 
   3.4856306130388165`*^9, 3.4856307358957033`*^9, 3.485688290920297*^9, 
   3.4856924317856417`*^9, 3.485693552640481*^9, 3.4857705884686255`*^9, 
   3.4857932741541615`*^9, 3.485864924157163*^9, 3.486116725907854*^9, 
   3.486209463773075*^9, 3.4862292273103437`*^9, 3.486229315071988*^9, 
   3.4862304763559523`*^9, {3.486230535048405*^9, 3.4862305631399727`*^9}, 
   3.4862306449468603`*^9, 3.4891619559672318`*^9, 3.489162044997324*^9, 
   3.4891622417585783`*^9, 3.489162308374388*^9, 3.489403196349433*^9, 
   3.4928882710243797`*^9, 3.4929742004134493`*^9, 3.4930359115660787`*^9, 
   3.493036343640792*^9, 3.493036411480672*^9, 3.4930366256789236`*^9, 
   3.4930368620454426`*^9, 3.4930375940223093`*^9, 3.4930400948883505`*^9, 
   3.4930402838691597`*^9, 3.4930407935443115`*^9, 3.5037511736627226`*^9, 
   3.5037512811858726`*^9, 3.5037513244193454`*^9, 3.503753121791149*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Classify the modes", "Text"],

Cell[CellGroupData[{

Cell["\<\
longpitchmodes0 = \
Select[Range[-noofLF,-1],longpitchQ[e2ni.eigenvectors0A[[#]]]&]\
\>", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "4"}], ",", 
   RowBox[{"-", "1"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.482520193926855*^9, 3.48252082805098*^9, 3.4825790253050003`*^9, 
   3.482580578224*^9, 3.482580707034*^9, 3.482580974642*^9, 3.482585919811*^9,
    3.482586208144*^9, 3.4825862924370003`*^9, 3.482586360295*^9, 
   3.4825863999300003`*^9, 3.4825864463599997`*^9, 3.482601027177*^9, 
   3.482603272236*^9, 3.4826033766029997`*^9, 3.482603467238*^9, 
   3.482604120484*^9, 3.4826653694333677`*^9, {3.4826656037273674`*^9, 
   3.482665639202368*^9}, 3.4826667911063676`*^9, 3.482752607658*^9, 
   3.482757608148*^9, 3.482766460894*^9, 3.4827665809820004`*^9, 
   3.482768677776*^9, 3.482844360682*^9, 3.482857525446*^9, 
   3.4831138941809998`*^9, 3.483188633742*^9, 3.483188689572*^9, 
   3.483190505889*^9, 3.483204660057*^9, 3.483269937117*^9, 3.483269972873*^9,
    3.4832704274560003`*^9, 3.483271683165*^9, 3.483271811054*^9, 
   3.483271908006*^9, {3.483271989148*^9, 3.483272011278*^9}, 
   3.483275624691*^9, 3.4832794591730003`*^9, 3.4832795952139997`*^9, 
   3.483287535321*^9, 3.483287918935*^9, 3.4832882563059998`*^9, 
   3.4832943295299997`*^9, 3.483294371455*^9, 3.483295137733*^9, 
   3.483296715421*^9, 3.483358398931797*^9, 3.4833820810207973`*^9, 
   3.483382116996797*^9, 3.483438944685*^9, 3.483439563841*^9, 
   3.4837457099100847`*^9, 3.483792625469*^9, 3.4838827437*^9, 
   3.483899011856*^9, 3.483901759499*^9, 3.484154583599*^9, 
   3.4842206422650003`*^9, 3.4856302091500854`*^9, 3.485630548885331*^9, 
   3.485630613081317*^9, 3.485630735920704*^9, 3.4856882909815483`*^9, 
   3.485692431828142*^9, 3.4856935526842318`*^9, 3.485770588499627*^9, 
   3.4857932741881638`*^9, 3.4858649242021656`*^9, 3.486116725947855*^9, 
   3.486209463792077*^9, 3.48622922736135*^9, 3.4862293150914907`*^9, 
   3.4862304763779545`*^9, {3.486230535069908*^9, 3.486230563162475*^9}, 
   3.486230644973864*^9, 3.4891619559992332`*^9, 3.489162045017325*^9, 
   3.489162241780579*^9, 3.4891623083963895`*^9, 3.489403196394436*^9, 
   3.4928882710683823`*^9, 3.4929742004514513`*^9, 3.493035911604081*^9, 
   3.493036343657793*^9, 3.4930364115196743`*^9, 3.493036625696924*^9, 
   3.493036862064444*^9, 3.4930375940413103`*^9, 3.493040094906352*^9, 
   3.493040283886161*^9, 3.4930407935633125`*^9, 3.503751173701725*^9, 
   3.5037512812038736`*^9, 3.503751324434346*^9, 3.5037531218081503`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
transrollmodes0 = \
Select[Range[-noofLF,-1],transrollQ[e2ni.eigenvectors0A[[#]]]&]\
\>", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "6"}], ",", 
   RowBox[{"-", "3"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.482520193960718*^9, 3.4825208280846367`*^9, 3.48257902538*^9, 
   3.48258057824*^9, 3.4825807070559998`*^9, 3.482580974667*^9, 
   3.482585919833*^9, 3.482586208166*^9, 3.4825862924630003`*^9, 
   3.482586360318*^9, 3.4825863999519997`*^9, 3.482586446382*^9, 
   3.482601027204*^9, 3.4826032722679996`*^9, 3.48260337663*^9, 
   3.482603467263*^9, 3.482604120509*^9, 3.4826653694803677`*^9, {
   3.482665603754368*^9, 3.4826656392343674`*^9}, 3.4826667911373672`*^9, 
   3.482752607725*^9, 3.482757608216*^9, 3.482766460924*^9, 3.482766581008*^9,
    3.482768677799*^9, 3.482844360731*^9, 3.482857525469*^9, 
   3.483113894219*^9, 3.483188633774*^9, 3.483188689612*^9, 
   3.4831905059119997`*^9, 3.4832046600880003`*^9, 3.4832699371400003`*^9, 
   3.4832699729040003`*^9, 3.4832704274779997`*^9, 3.4832716831940002`*^9, 
   3.483271811078*^9, 3.483271908031*^9, {3.483271989178*^9, 
   3.483272011311*^9}, 3.483275624719*^9, 3.483279459199*^9, 
   3.483279595238*^9, 3.483287535351*^9, 3.48328791898*^9, 3.483288256403*^9, 
   3.483294329568*^9, 3.483294371488*^9, 3.483295137756*^9, 3.483296715446*^9,
    3.483358398976797*^9, 3.4833820810577974`*^9, 3.4833821170267973`*^9, 
   3.483438944716*^9, 3.483439563869*^9, 3.483745709970085*^9, 
   3.4837926255*^9, 3.4838827437279997`*^9, 3.483899011875*^9, 
   3.483901759525*^9, 3.48415458362*^9, 3.484220642284*^9, 
   3.4856302092338367`*^9, 3.485630548920332*^9, 3.4856306131150675`*^9, 
   3.485630735938204*^9, 3.485688291041549*^9, 3.4856924318656425`*^9, 
   3.485693552721732*^9, 3.485770588527629*^9, 3.485793274226166*^9, 
   3.485864924255169*^9, 3.4861167259853554`*^9, 3.4862094638070793`*^9, 
   3.486229227397855*^9, 3.4862293151104927`*^9, 3.486230476400458*^9, {
   3.486230535094411*^9, 3.486230563184978*^9}, 3.4862306489768724`*^9, 
   3.489161956034236*^9, 3.4891620450383263`*^9, 3.489162241805581*^9, 
   3.4891623084193907`*^9, 3.489403196436438*^9, 3.4928882711043844`*^9, 
   3.492974200474453*^9, 3.4930359116350822`*^9, 3.4930363436727934`*^9, 
   3.4930364116056795`*^9, 3.4930366257139254`*^9, 3.493036862083445*^9, 
   3.493037594064312*^9, 3.4930400949233527`*^9, 3.493040283905162*^9, 
   3.493040793581314*^9, 3.5037511737337265`*^9, 3.5037512812178745`*^9, 
   3.5037513244493475`*^9, 3.503753121826151*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
yawmodes0 = Select[Range[-noofLF,-1],yawQ[e2ni.eigenvectors0A[[#]]]&]\
\>", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"-", "2"}], "}"}]], "Output",
 CellChangeTimes->{
  3.4825201940052223`*^9, 3.4825208281223297`*^9, 3.482579025458*^9, 
   3.482580578256*^9, 3.482580707084*^9, 3.4825809746949997`*^9, 
   3.482585919858*^9, 3.4825862081879997`*^9, 3.482586292487*^9, 
   3.482586360341*^9, 3.482586399973*^9, 3.482586446403*^9, 3.48260102723*^9, 
   3.4826032722939997`*^9, 3.482603376657*^9, 3.482603467285*^9, 
   3.4826041205360003`*^9, 3.4826653695273676`*^9, {3.4826656037843676`*^9, 
   3.4826656392653675`*^9}, 3.482666791181368*^9, 3.4827526077799997`*^9, 
   3.482757608293*^9, 3.48276646095*^9, 3.482766581034*^9, 3.482768677832*^9, 
   3.482844360782*^9, 3.4828575254960003`*^9, 3.4831138942650003`*^9, 
   3.4831886338059998`*^9, 3.483188689641*^9, 3.4831905059379997`*^9, 
   3.48320466012*^9, 3.4832699371619997`*^9, 3.483269972935*^9, 
   3.483270427509*^9, 3.483271683229*^9, 3.483271811108*^9, 
   3.483271908054*^9, {3.483271989209*^9, 3.483272011336*^9}, 
   3.483275624743*^9, 3.483279459222*^9, 3.4832795952650003`*^9, 
   3.483287535508*^9, 3.483287919021*^9, 3.483288256501*^9, 
   3.4832943295950003`*^9, 3.48329437152*^9, 3.4832951377799997`*^9, 
   3.4832967154700003`*^9, 3.4833583990247974`*^9, 3.483382081086797*^9, 
   3.4833821170577974`*^9, 3.483438944745*^9, 3.483439563895*^9, 
   3.483745710033085*^9, 3.483792625533*^9, 3.483882743755*^9, 
   3.483899011896*^9, 3.483901759553*^9, 3.484154583642*^9, 
   3.4842206423050003`*^9, 3.4856302092813373`*^9, 3.485630548954082*^9, 
   3.4856306131500683`*^9, 3.4856307359569545`*^9, 3.48568829109155*^9, 
   3.485692431903144*^9, 3.485693552760483*^9, 3.4857705885556307`*^9, 
   3.4857932742631683`*^9, 3.485864924317172*^9, 3.486116726022856*^9, 
   3.486209463821581*^9, 3.486229227445861*^9, 3.4862293151299953`*^9, 
   3.486230476423461*^9, {3.486230535119914*^9, 3.486230563206481*^9}, 
   3.4862306490668836`*^9, 3.489161956063237*^9, 3.489162045059327*^9, 
   3.489162241831582*^9, 3.489162308439392*^9, 3.48940319647344*^9, 
   3.4928882711403866`*^9, 3.492974200495454*^9, 3.4930359116670847`*^9, 
   3.4930363436897945`*^9, 3.493036411654682*^9, 3.4930366257329264`*^9, 
   3.493036862101446*^9, 3.493037594087313*^9, 3.493040094939354*^9, 
   3.493040283922163*^9, 3.4930407935993147`*^9, 3.5037511737667284`*^9, 
   3.503751281230875*^9, 3.5037513244653482`*^9, 3.5037531218451524`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
vertmodes0 = Select[Range[-noofLF,-1],vertQ[e2ni.eigenvectors0A[[#]]]&]\
\>", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"-", "5"}], "}"}]], "Output",
 CellChangeTimes->{
  3.482520194038761*^9, 3.482520828156197*^9, 3.482579025526*^9, 
   3.482580578275*^9, 3.482580707108*^9, 3.482580974725*^9, 
   3.4825859198789997`*^9, 3.48258620821*^9, 3.482586292512*^9, 
   3.4825863603640003`*^9, 3.482586399998*^9, 3.4825864464300003`*^9, 
   3.482601027259*^9, 3.482603272321*^9, 3.4826033766809998`*^9, 
   3.482603467311*^9, 3.4826041205690002`*^9, 3.482665369575368*^9, {
   3.4826656038113675`*^9, 3.482665639294368*^9}, 3.482666791214368*^9, 
   3.482752607817*^9, 3.4827576083599997`*^9, 3.482766460983*^9, 
   3.48276658106*^9, 3.482768677865*^9, 3.482844360828*^9, 3.48285752552*^9, 
   3.483113894358*^9, 3.483188633835*^9, 3.4831886897*^9, 3.483190505962*^9, 
   3.483204660152*^9, 3.483269937184*^9, 3.483269972965*^9, 
   3.4832704275360003`*^9, 3.483271683251*^9, 3.48327181113*^9, 
   3.483271908078*^9, {3.483271989231*^9, 3.483272011361*^9}, 
   3.483275624771*^9, 3.483279459249*^9, 3.483279595289*^9, 
   3.4832875355480003`*^9, 3.483287919082*^9, 3.483288256599*^9, 
   3.483294329625*^9, 3.483294371568*^9, 3.4832951378059998`*^9, 
   3.4832967154960003`*^9, 3.483358399073797*^9, 3.4833820811187973`*^9, 
   3.4833821170857973`*^9, 3.483438944773*^9, 3.483439563924*^9, 
   3.483745710095085*^9, 3.483792625567*^9, 3.4838827437799997`*^9, 
   3.483899011916*^9, 3.483901759573*^9, 3.4841545836619997`*^9, 
   3.484220642333*^9, 3.4856302093213377`*^9, 3.485630548987832*^9, 
   3.4856306131850686`*^9, 3.485630735974455*^9, 3.4856882911390505`*^9, 
   3.4856924319406443`*^9, 3.485693552795483*^9, 3.485770588583632*^9, 
   3.48579327429817*^9, 3.485864924360175*^9, 3.4861167260578566`*^9, 
   3.4862094638360825`*^9, 3.486229227488866*^9, 3.4862293151499977`*^9, 
   3.4862304764504642`*^9, {3.4862305351434174`*^9, 3.4862305632279835`*^9}, 
   3.4862306490898867`*^9, 3.489161956092239*^9, 3.489162045085329*^9, 
   3.4891622418575835`*^9, 3.4891623084613934`*^9, 3.4894031965924473`*^9, 
   3.4928882711783886`*^9, 3.4929742005184555`*^9, 3.4930359116930857`*^9, 
   3.4930363437057953`*^9, 3.4930364121067076`*^9, 3.4930366257519274`*^9, 
   3.493036862117447*^9, 3.4930375941063147`*^9, 3.4930400949573545`*^9, 
   3.493040283940164*^9, 3.493040793616316*^9, 3.5037511738007307`*^9, 
   3.503751281244876*^9, 3.503751324479349*^9, 3.5037531218641534`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["View the mode frequencies by groups", "Text"],

Cell[CellGroupData[{

Cell["longpitchfreqs0 = Hz0A[[longpitchmodes0]]", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.9999600457212052`", ",", "0.6608912610766272`"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.4825201940717897`*^9, 3.4825208281895857`*^9, 3.482579025592*^9, 
   3.482580578291*^9, 3.482580707133*^9, 3.482580974749*^9, 3.482585919901*^9,
    3.482586208231*^9, 3.482586292539*^9, 3.482586360385*^9, 
   3.482586400019*^9, 3.482586446743*^9, 3.482601027282*^9, 3.48260327235*^9, 
   3.482603376707*^9, 3.482603467333*^9, 3.4826041205959997`*^9, 
   3.482665369641368*^9, {3.4826656038373675`*^9, 3.482665639332368*^9}, 
   3.4826667912553673`*^9, 3.4827526078900003`*^9, 3.482757608457*^9, 
   3.4827664610109997`*^9, 3.482766581085*^9, 3.4827686778970003`*^9, 
   3.482844360888*^9, 3.4828575255439997`*^9, 3.4831138944040003`*^9, 
   3.483188633866*^9, 3.483188689738*^9, 3.483190506053*^9, 3.483204660183*^9,
    3.483269937262*^9, 3.4832699729960003`*^9, 3.483270427557*^9, 
   3.483271683274*^9, 3.4832718111540003`*^9, 3.483271908102*^9, {
   3.483271989255*^9, 3.4832720113859997`*^9}, 3.483275624795*^9, 
   3.483279459273*^9, 3.483279595314*^9, 3.483287535578*^9, 
   3.4832879191140003`*^9, 3.4832882566540003`*^9, 3.483294329649*^9, 
   3.483294371617*^9, 3.48329513783*^9, 3.483296715519*^9, 
   3.483358399127797*^9, 3.483382081172797*^9, 3.483382117113797*^9, 
   3.483438944847*^9, 3.483439563974*^9, 3.483745710171085*^9, 
   3.4837926256*^9, 3.483882743809*^9, 3.483899011935*^9, 3.483901759593*^9, 
   3.484154583684*^9, 3.484220642352*^9, 3.485630209640093*^9, 
   3.485630549014083*^9, 3.4856306132175694`*^9, 3.4856307359894547`*^9, 
   3.4856882911978016`*^9, 3.4856924319868946`*^9, 3.485693552836734*^9, 
   3.485770588613634*^9, 3.4857932743471727`*^9, 3.485864924407178*^9, 
   3.4861167260978575`*^9, 3.486209463853585*^9, 3.486229227525871*^9, 
   3.4862293151689997`*^9, 3.4862304764724665`*^9, {3.486230535181922*^9, 
   3.486230563246986*^9}, 3.48623064911539*^9, 3.489161956125241*^9, 
   3.4891620451073303`*^9, 3.489162241878585*^9, 3.489162308478394*^9, 
   3.4894031966374493`*^9, 3.4928882712233915`*^9, 3.4929742005414567`*^9, 
   3.493035911730088*^9, 3.4930363437217965`*^9, 3.4930364121557107`*^9, 
   3.493036625769929*^9, 3.4930368621324477`*^9, 3.493037594123315*^9, 
   3.4930400949743557`*^9, 3.4930402839561653`*^9, 3.493040793633317*^9, 
   3.5037511739067364`*^9, 3.503751281257877*^9, 3.5037513244943495`*^9, 
   3.5037531218821545`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["transrollfreqs0 = Hz0A[[transrollmodes0]]", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10.470547754895978`", ",", "0.9916562650302542`"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.482520194112136*^9, 3.482520828222907*^9, 3.482579025648*^9, 
   3.482580578314*^9, 3.4825807071549997`*^9, 3.4825809747720003`*^9, 
   3.4825859199230003`*^9, 3.4825862082539997`*^9, 3.482586292564*^9, 
   3.482586360409*^9, 3.482586400041*^9, 3.482586446776*^9, 3.482601027322*^9,
    3.482603272375*^9, 3.4826033767349997`*^9, 3.482603467354*^9, 
   3.4826041206210003`*^9, 3.4826653696853676`*^9, {3.4826656038643675`*^9, 
   3.482665639360368*^9}, 3.4826667912983675`*^9, 3.482752607943*^9, 
   3.4827576085299997`*^9, 3.482766461035*^9, 3.482766581111*^9, 
   3.482768677925*^9, 3.482844360941*^9, 3.4828575255699997`*^9, 
   3.483113894454*^9, 3.483188633899*^9, 3.483188689767*^9, 
   3.4831905060769997`*^9, 3.483204660212*^9, 3.4832699372980003`*^9, 
   3.483269973025*^9, 3.483270427579*^9, 3.483271683296*^9, 3.483271811176*^9,
    3.483271908126*^9, {3.483271989281*^9, 3.483272011413*^9}, 
   3.4832756248190002`*^9, 3.483279459297*^9, 3.483279595337*^9, 
   3.4832875356099997`*^9, 3.483287919148*^9, 3.4832882567060003`*^9, 
   3.483294329672*^9, 3.483294371649*^9, 3.483295137862*^9, 
   3.4832967155439997`*^9, 3.4833583991757975`*^9, 3.483382081200797*^9, 
   3.4833821171447973`*^9, 3.483438944881*^9, 3.483439564019*^9, 
   3.4837457102330847`*^9, 3.4837926256289997`*^9, 3.483882743834*^9, 
   3.483899011954*^9, 3.483901759615*^9, 3.484154583744*^9, 3.484220642373*^9,
    3.485630209680094*^9, 3.4856305490428333`*^9, 3.4856306132450695`*^9, 
   3.485630736000705*^9, 3.4856882912528024`*^9, 3.485692432023145*^9, 
   3.485693552869234*^9, 3.4857705886406355`*^9, 3.4857932743841753`*^9, 
   3.48586492444718*^9, 3.486116726137858*^9, 3.4862094638665867`*^9, 
   3.4862292275848784`*^9, 3.4862293151880026`*^9, 3.4862304764944696`*^9, {
   3.4862305352154264`*^9, 3.486230563264988*^9}, 3.486230649170397*^9, 
   3.4891619561582427`*^9, 3.4891620451313314`*^9, 3.4891622418985863`*^9, 
   3.4891623084973955`*^9, 3.4894031966764517`*^9, 3.492888271260393*^9, 
   3.492974200563458*^9, 3.49303591176409*^9, 3.4930363437377977`*^9, 
   3.4930364122947187`*^9, 3.4930366257879295`*^9, 3.493036862148449*^9, 
   3.4930375941403165`*^9, 3.4930400949903564`*^9, 3.4930402839751663`*^9, 
   3.4930407936493177`*^9, 3.5037511739357386`*^9, 3.503751281270878*^9, 
   3.5037513245073504`*^9, 3.5037531219011555`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["yawfreqs0 = Hz0A[[yawmodes0]]", "Input"],

Cell[BoxData[
 RowBox[{"{", "0.7392941998232763`", "}"}]], "Output",
 CellChangeTimes->{
  3.482520194139133*^9, 3.48252082825177*^9, 3.482579025704*^9, 
   3.4825805783389997`*^9, 3.4825807071809998`*^9, 3.482580974797*^9, 
   3.4825859199440002`*^9, 3.482586208275*^9, 3.4825862925880003`*^9, 
   3.4825863604300003`*^9, 3.4825864000629997`*^9, 3.482586446808*^9, 
   3.482601027366*^9, 3.4826032724040003`*^9, 3.482603376763*^9, 
   3.4826034673780003`*^9, 3.4826041206470003`*^9, 3.4826653697423677`*^9, {
   3.4826656038873672`*^9, 3.4826656393923674`*^9}, 3.4826667913293676`*^9, 
   3.482752607995*^9, 3.4827576085959997`*^9, 3.4827664610620003`*^9, 
   3.482766581149*^9, 3.482768677948*^9, 3.482844360993*^9, 3.482857525604*^9,
    3.483113894505*^9, 3.483188633932*^9, 3.483188689807*^9, 3.4831905061*^9, 
   3.483204660244*^9, 3.4832699373269997`*^9, 3.4832699730550003`*^9, 
   3.483270427604*^9, 3.483271683318*^9, 3.483271811204*^9, 
   3.483271908148*^9, {3.483271989304*^9, 3.4832720114370003`*^9}, 
   3.483275624841*^9, 3.483279459322*^9, 3.483279595363*^9, 3.483287535642*^9,
    3.4832879191800003`*^9, 3.48328825683*^9, 3.4832943297019997`*^9, 
   3.483294371682*^9, 3.483295137889*^9, 3.483296715568*^9, 
   3.483358399231797*^9, 3.483382081228797*^9, 3.4833821171827974`*^9, 
   3.4834389449110003`*^9, 3.483439564049*^9, 3.483745710293085*^9, 
   3.483792625667*^9, 3.483882743862*^9, 3.483899011972*^9, 
   3.4839017596359997`*^9, 3.484154583764*^9, 3.484220642392*^9, 
   3.485630209721344*^9, 3.485630549072834*^9, 3.4856306132725697`*^9, 
   3.4856307360144553`*^9, 3.485688291297803*^9, 3.485692432060646*^9, 
   3.485693552905485*^9, 3.485770588667637*^9, 3.485793274420177*^9, 
   3.4858649244901824`*^9, 3.4861167261753583`*^9, 3.4862094638790884`*^9, 
   3.486229227639885*^9, 3.486229315206005*^9, 3.4862304765144725`*^9, {
   3.486230535237429*^9, 3.48623056328349*^9}, 3.4862306492064013`*^9, 
   3.4891619561872444`*^9, 3.489162045154333*^9, 3.489162241916587*^9, 
   3.489162308514396*^9, 3.489403196710454*^9, 3.4928882712943954`*^9, 
   3.492974200586459*^9, 3.4930359117960916`*^9, 3.4930363437537985`*^9, 
   3.4930364124037247`*^9, 3.493036625805931*^9, 3.4930368621654496`*^9, 
   3.493037594156317*^9, 3.4930400950063577`*^9, 3.4930402839951673`*^9, 
   3.493040793666319*^9, 3.50375117396574*^9, 3.5037512812838783`*^9, 
   3.503751324521351*^9, 3.5037531219181566`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["vertfreqs0 = Hz0A[[vertmodes0]]", "Input"],

Cell[BoxData[
 RowBox[{"{", "7.09864947693854`", "}"}]], "Output",
 CellChangeTimes->{
  3.4825201941727753`*^9, 3.482520828290056*^9, 3.4825790257460003`*^9, 
   3.482580578362*^9, 3.482580707205*^9, 3.4825809748199997`*^9, 
   3.482585919967*^9, 3.482586208296*^9, 3.482586292609*^9, 3.482586360455*^9,
    3.482586400084*^9, 3.482586446841*^9, 3.482601027418*^9, 
   3.482603272429*^9, 3.4826033767860003`*^9, 3.4826034674*^9, 
   3.482604120672*^9, 3.482665369839368*^9, {3.4826656039203677`*^9, 
   3.482665639424368*^9}, 3.4826667913613677`*^9, 3.482752608032*^9, 
   3.48275760867*^9, 3.482766461086*^9, 3.482766581178*^9, 3.482768677972*^9, 
   3.482844361043*^9, 3.482857525635*^9, 3.483113894539*^9, 3.483188633965*^9,
    3.483188689836*^9, 3.483190506123*^9, 3.483204660311*^9, 
   3.483269937354*^9, 3.4832699730880003`*^9, 3.483270427626*^9, 
   3.483271683341*^9, 3.483271811229*^9, 3.4832719081730003`*^9, {
   3.483271989328*^9, 3.4832720114630003`*^9}, 3.483275624866*^9, 
   3.4832794593450003`*^9, 3.483279595387*^9, 3.483287535678*^9, 
   3.483287919212*^9, 3.483288256891*^9, 3.483294329725*^9, 3.483294371731*^9,
    3.483295137913*^9, 3.483296715593*^9, 3.483358399278797*^9, 
   3.4833820812577972`*^9, 3.4833821172087975`*^9, 3.48343894494*^9, 
   3.483439564076*^9, 3.483745710350085*^9, 3.483792625697*^9, 
   3.483882743889*^9, 3.483899011994*^9, 3.48390175966*^9, 3.484154583817*^9, 
   3.484220642413*^9, 3.485630209756345*^9, 3.485630549100334*^9, 
   3.4856306133025703`*^9, 3.4856307360282054`*^9, 3.4856882913328037`*^9, 
   3.4856924320993967`*^9, 3.4856935529429855`*^9, 3.4857705886946383`*^9, 
   3.4857932744601793`*^9, 3.485864924535185*^9, 3.486116726215359*^9, 
   3.48620946389209*^9, 3.4862292276873913`*^9, 3.486229315224007*^9, 
   3.486230476535975*^9, {3.486230535259932*^9, 3.486230563302493*^9}, 
   3.4862306492394056`*^9, 3.489161956218246*^9, 3.489162045180334*^9, 
   3.489162241933588*^9, 3.4891623085303974`*^9, 3.4894031967374554`*^9, 
   3.492888271330397*^9, 3.4929742006104603`*^9, 3.493035911821093*^9, 
   3.493036343769799*^9, 3.4930364124497275`*^9, 3.493036625821932*^9, 
   3.4930368621804504`*^9, 3.493037594176318*^9, 3.4930400950243587`*^9, 
   3.4930402840161686`*^9, 3.4930407936823196`*^9, 3.5037511739947414`*^9, 
   3.503751281295879*^9, 3.5037513245353518`*^9, 3.5037531219361577`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Export stuff for Matlab comparison", "Text"],

Cell["\<\
longpitchfreqs00 = longpitchfreqs0;
transrollfreqs00 = transrollfreqs0;
yawfreqs00 = yawfreqs0;
vertfreqs00 = vertfreqs0;
constval0 = constval;\
\>", "Input"],

Cell["\<\
saveprecomputed[\"matlabcomp0.m\",longpitchfreqs00,transrollfreqs00,\
yawfreqs00,vertfreqs00,constval0];\
\>", "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mode shape listings/plots", "Text"],

Cell[CellGroupData[{

Cell["#1", "Text"],

Cell[CellGroupData[{

Cell["Hz0A[[-1]]", "Input"],

Cell[BoxData["0.6608912610766272`"], "Output",
 CellChangeTimes->{
  3.482520194240301*^9, 3.482520828384948*^9, 3.4825790258780003`*^9, 
   3.48258057842*^9, 3.482580707258*^9, 3.482580974858*^9, 3.482585920012*^9, 
   3.48258620833*^9, 3.482586292641*^9, 3.482586360491*^9, 3.482586400119*^9, 
   3.482586446939*^9, 3.4826010274969997`*^9, 3.482603272472*^9, 
   3.482603376823*^9, 3.482603467442*^9, 3.4826041207139997`*^9, 
   3.4826653699983673`*^9, {3.4826656039683676`*^9, 3.4826656394913673`*^9}, 
   3.4826667914113674`*^9, 3.482752608144*^9, 3.482757608874*^9, 
   3.482766461127*^9, 3.4827665812139997`*^9, 3.482768678016*^9, 
   3.4828443611610003`*^9, 3.482857525698*^9, 3.483113894651*^9, 
   3.4831886340179996`*^9, 3.483188689892*^9, 3.48319050619*^9, 
   3.483204660361*^9, 3.483269937408*^9, 3.4832699731359997`*^9, 
   3.48327042766*^9, 3.48327168338*^9, 3.4832718112650003`*^9, 
   3.483271908208*^9, {3.483271989366*^9, 3.483272011507*^9}, 
   3.4832756249049997`*^9, 3.48327945938*^9, 3.4832795954230003`*^9, 
   3.483287535733*^9, 3.483287919274*^9, 3.483288257005*^9, 3.48329432976*^9, 
   3.483294372564*^9, 3.483295137946*^9, 3.4832967156289997`*^9, 
   3.483358399384797*^9, 3.483382081324797*^9, 3.4833821172537975`*^9, 
   3.48343894499*^9, 3.483439564127*^9, 3.483745710475085*^9, 
   3.4837926257609997`*^9, 3.483882743946*^9, 3.4838990121099997`*^9, 
   3.4839017596949997`*^9, 3.4841545838929996`*^9, 3.484220642474*^9, 
   3.4856302098200955`*^9, 3.485630549139085*^9, 3.485630613398822*^9, 
   3.485630736073206*^9, 3.4856882913903046`*^9, 3.4856924322743993`*^9, 
   3.4856935530154867`*^9, 3.4857705887676425`*^9, 3.485793274526183*^9, 
   3.485864924602189*^9, 3.48611672628786*^9, 3.486209463936095*^9, 
   3.4862292278249087`*^9, 3.486229315264512*^9, 3.4862304765994835`*^9, {
   3.4862305352959366`*^9, 3.486230563368501*^9}, 3.4862306492754097`*^9, 
   3.489161956273249*^9, 3.4891620452243366`*^9, 3.4891622419635897`*^9, 
   3.489162308557399*^9, 3.489403196791458*^9, 3.4928882714014015`*^9, 
   3.492974200651463*^9, 3.493035911906098*^9, 3.4930363438018007`*^9, 
   3.4930364126267376`*^9, 3.493036625850933*^9, 3.4930368622094526`*^9, 
   3.49303759420232*^9, 3.4930400950573606`*^9, 3.49304028404317*^9, 
   3.493040793708321*^9, 3.503751174050745*^9, 3.5037512813228807`*^9, 
   3.503751324605356*^9, 3.50375312198116*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "1"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", 
     RowBox[{"-", "0.000870060393202872`"}], "0", "0", "0", 
     RowBox[{"-", "0.9999996214973846`"}], "0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.482520194292864*^9, 3.48252082842001*^9, 3.482579025941*^9, 
   3.482580578443*^9, 3.482580707281*^9, 3.482580974882*^9, 3.482585920033*^9,
    3.482586208352*^9, 3.482586292664*^9, 3.482586360512*^9, 
   3.482586400141*^9, 3.4825864469709997`*^9, 3.482601027523*^9, 
   3.482603272501*^9, 3.482603376843*^9, 3.482603467468*^9, 3.482604120759*^9,
    3.482665370049368*^9, {3.4826656040053673`*^9, 3.482665639523368*^9}, 
   3.4826667914433675`*^9, 3.482752608198*^9, 3.482757608948*^9, 
   3.482766461151*^9, 3.48276658124*^9, 3.482768678042*^9, 
   3.4828443612139997`*^9, 3.482857525718*^9, 3.4831138948*^9, 
   3.483188634097*^9, 3.483188689929*^9, 3.4831905062139997`*^9, 
   3.4832046603900003`*^9, 3.483269937433*^9, 3.48326997317*^9, 
   3.483270427682*^9, 3.483271683403*^9, 3.483271811289*^9, 
   3.4832719083459997`*^9, {3.483271989394*^9, 3.48327201154*^9}, 
   3.483275624928*^9, 3.4832794594189997`*^9, 3.483279595448*^9, 
   3.483287535766*^9, 3.483287919311*^9, 3.483288257075*^9, 3.483294329784*^9,
    3.4832943725950003`*^9, 3.4832951379709997`*^9, 3.483296715652*^9, 
   3.483358399443797*^9, 3.483382081402797*^9, 3.483382117280797*^9, 
   3.483438945021*^9, 3.4834395641730003`*^9, 3.4837457106030846`*^9, 
   3.4837926257939997`*^9, 3.483882743972*^9, 3.4838990121800003`*^9, 
   3.483901759718*^9, 3.484154583974*^9, 3.484220642528*^9, 
   3.4856302098613462`*^9, 3.4856305491690855`*^9, 3.485630613431322*^9, 
   3.4856307360894566`*^9, 3.485688291427805*^9, 3.4856924323143997`*^9, 
   3.4856935530504875`*^9, 3.4857705887946444`*^9, 3.485793274561185*^9, 
   3.485864924646191*^9, 3.486116726337861*^9, 3.486209463951597*^9, 
   3.486229227881916*^9, 3.486229315285515*^9, 3.48623047665199*^9, {
   3.486230535317439*^9, 3.486230563397505*^9}, 3.4862306492984133`*^9, 
   3.4891619563012505`*^9, 3.4891620452473383`*^9, 3.4891622419845905`*^9, 
   3.4891623085753994`*^9, 3.489403196831461*^9, 3.4928882714384036`*^9, 
   3.4929742006914654`*^9, 3.4930359119400997`*^9, 3.493036343817802*^9, 
   3.493036412727743*^9, 3.493036625869934*^9, 3.493036862238454*^9, 
   3.493037594219321*^9, 3.4930400950763617`*^9, 3.493040284062171*^9, 
   3.493040793727322*^9, 3.5037511740807467`*^9, 3.503751281335881*^9, 
   3.503751324625357*^9, 3.5037531219991612`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 0A mode 1\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "1"}], "]"}], "]"}], ",", ".1", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", " ", "floatmatrix0A"}], 
    "]"}]}], " ", "]"}]], "Input",
 CellChangeTimes->{
  3.482520008174909*^9, {3.482520210836348*^9, 3.4825202149936934`*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, 0.0026500000000000473`}, {0.00007771903600605212, 
     0.050165, -0.2466317568790211}}], 
   Line3DBox[{{0, -0.00785, 0.0026500000000000473`}, {
     0.00007771903600605212, -0.050165, -0.2466317568790211}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 
        0., 0.}}], {{{0.9950041690567459, 0., -0.0998333789856602}, {0., 1., 
       0.}, {0.0998333789856602, 0., 0.9950041690567459}}, {0., 0., 0.}}], {{{
      1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 
      0.}}], {-0.0000870060393202872, 0., -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{0, -1, 0}]], "Output",
 CellChangeTimes->{3.4930359123301225`*^9, 3.493036343930808*^9, 
  3.4930364130597625`*^9, 3.4930366259919415`*^9, 3.4930368623664613`*^9, 
  3.4930375943403273`*^9, 3.493040095205369*^9, 3.493040284182178*^9, 
  3.4930407938593297`*^9, 3.5037511741757517`*^9, 3.503751281615897*^9, 
  3.5037513247393637`*^9, 3.503753122118168*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["#2", "Text"],

Cell[CellGroupData[{

Cell["Hz0A[[-2]]", "Input"],

Cell[BoxData["0.7392941998232763`"], "Output",
 CellChangeTimes->{
  3.482520194371498*^9, 3.4825208287536573`*^9, 3.482579029704*^9, 
   3.482580578599*^9, 3.482580707472*^9, 3.482580975059*^9, 
   3.4825859201940002`*^9, 3.4825862085179996`*^9, 3.482586292858*^9, 
   3.482586360678*^9, 3.482586400303*^9, 3.482586447936*^9, 
   3.4826010279449997`*^9, 3.4826032728120003`*^9, 3.482603377027*^9, 
   3.48260346766*^9, 3.482604120928*^9, 3.4826653703713675`*^9, {
   3.482665604202368*^9, 3.482665639721368*^9}, 3.4826667916443677`*^9, 
   3.482752608441*^9, 3.48275761117*^9, 3.48276646134*^9, 3.482766581443*^9, 
   3.482768678229*^9, 3.482844363722*^9, 3.4828575259300003`*^9, 
   3.483113896203*^9, 3.483188635101*^9, 3.483188690105*^9, 3.483190506325*^9,
    3.483204660626*^9, 3.4832699375559998`*^9, 3.4832699733459997`*^9, 
   3.483270427833*^9, 3.483271683565*^9, 3.483271811443*^9, 
   3.4832719086730003`*^9, {3.483271989568*^9, 3.4832720117320004`*^9}, 
   3.483275625091*^9, 3.483279459624*^9, 3.4832795956140003`*^9, 
   3.483287540608*^9, 3.4832879213529997`*^9, 3.483288257304*^9, 
   3.483294329947*^9, 3.48329437344*^9, 3.483295138164*^9, 
   3.4832967158570004`*^9, 3.483358403063797*^9, 3.4833820817557974`*^9, 
   3.4833821174797974`*^9, 3.483438945374*^9, 3.483439564446*^9, 
   3.4837457132730846`*^9, 3.483792626531*^9, 3.4838827446289997`*^9, 
   3.483899012525*^9, 3.4839017598789997`*^9, 3.484154584415*^9, 
   3.484220642855*^9, 3.4856302100075984`*^9, 3.4856305492240863`*^9, 
   3.4856306135025735`*^9, 3.4856307364732122`*^9, 3.4856882917403097`*^9, 
   3.4856924324944024`*^9, 3.4856935541605043`*^9, 3.485770589213668*^9, 
   3.485793274842201*^9, 3.4858649250162125`*^9, 3.4861167271628733`*^9, 
   3.486209464414156*^9, 3.4862292282004566`*^9, 3.486229315518544*^9, 
   3.486230476843014*^9, {3.486230535488961*^9, 3.4862305635710273`*^9}, 
   3.486230649470435*^9, 3.4891619572053022`*^9, 3.4891620453813457`*^9, 
   3.4891622421436*^9, 3.4891623087264085`*^9, 3.489403197114477*^9, 
   3.492888272113442*^9, 3.492974201275499*^9, 3.4930359123721247`*^9, 
   3.4930363439508095`*^9, 3.493036413087764*^9, 3.4930366260109425`*^9, 
   3.493036862386462*^9, 3.493037594362329*^9, 3.4930400952253704`*^9, 
   3.493040284202179*^9, 3.4930407938833313`*^9, 3.503751174213754*^9, 
   3.5037512816388984`*^9, 3.5037513247603645`*^9, 3.503753122139169*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "2"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", "0", "0", "0", "1.`", "0", "0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.482520194425476*^9, 3.482520828803442*^9, 3.482579029788*^9, 
   3.482580578626*^9, 3.4825807074960003`*^9, 3.482580975083*^9, 
   3.48258592024*^9, 3.48258620854*^9, 3.482586292883*^9, 3.4825863607*^9, 
   3.482586400325*^9, 3.482586448159*^9, 3.482601028016*^9, 3.482603272841*^9,
    3.48260337705*^9, 3.4826034677209997`*^9, 3.482604120953*^9, 
   3.482665370412368*^9, {3.4826656042323675`*^9, 3.4826656397643676`*^9}, 
   3.4826667916833677`*^9, 3.4827526085559998`*^9, 3.482757611244*^9, 
   3.482766461365*^9, 3.482766581473*^9, 3.482768678263*^9, 3.482844363777*^9,
    3.482857525953*^9, 3.483113896323*^9, 3.483188635151*^9, 
   3.483188690133*^9, 3.483190506354*^9, 3.483204660672*^9, 3.483269937584*^9,
    3.483269973376*^9, 3.483270427877*^9, 3.4832716835880003`*^9, 
   3.483271811467*^9, 3.4832719087200003`*^9, {3.483271989591*^9, 
   3.483272011757*^9}, 3.483275625115*^9, 3.483279459653*^9, 
   3.483279595639*^9, 3.483287540646*^9, 3.4832879213859997`*^9, 
   3.483288257373*^9, 3.4832943299709997`*^9, 3.483294373473*^9, 
   3.483295138193*^9, 3.483296715881*^9, 3.4833584031097975`*^9, 
   3.4833820817887974`*^9, 3.483382117511797*^9, 3.4834389454230003`*^9, 
   3.483439564523*^9, 3.4837457133320847`*^9, 3.483792626602*^9, 
   3.483882744796*^9, 3.4838990125629997`*^9, 3.483901759921*^9, 
   3.484154584528*^9, 3.484220642885*^9, 3.485630210048849*^9, 
   3.4856305492528367`*^9, 3.485630613535074*^9, 3.4856307364944625`*^9, 
   3.485688291796561*^9, 3.4856924325331535`*^9, 3.485693554199255*^9, 
   3.4857705892426696`*^9, 3.4857932748782034`*^9, 3.485864925058215*^9, 
   3.4861167272703753`*^9, 3.486209464429158*^9, 3.4862292282214594`*^9, 
   3.486229315540047*^9, 3.486230476897521*^9, {3.486230535511464*^9, 
   3.4862305635895295`*^9}, 3.4862306494924374`*^9, 3.489161957238304*^9, 
   3.489162045405347*^9, 3.489162242161601*^9, 3.489162308744409*^9, 
   3.4894031971774807`*^9, 3.492888272148444*^9, 3.4929742013005*^9, 
   3.4930359124061265`*^9, 3.4930363439678106`*^9, 3.493036413106765*^9, 
   3.4930366260349436`*^9, 3.4930368624074636`*^9, 3.4930375943793297`*^9, 
   3.493040095242371*^9, 3.49304028422018*^9, 3.493040793900332*^9, 
   3.5037511742437563`*^9, 3.5037512816528993`*^9, 3.503751324779366*^9, 
   3.5037531221571703`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 0A mode 2\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "2"}], "]"}], "]"}], ",", ".1", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", " ", 
     "floatmatrix0A"}], "]"}]}], " ", "]"}]], "Input",
 CellChangeTimes->{
  3.482520008225958*^9, {3.482520225241682*^9, 3.4825202294085617`*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, 0.0026500000000000473`}, {-0.005008143346088134, 
     0.04991438395117217, -0.2466400000000775}}], 
   Line3DBox[{{0, -0.00785, 0.0026500000000000473`}, {
     0.005008143346088134, -0.04991438395117217, -0.2466400000000775}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 
        0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 
       0.}}], {{{0.9950041652780258, -0.09983341664682815, 0.}, {
      0.09983341664682815, 0.9950041652780258, 0.}, {0., 0., 1.}}, {0., 0., 
      0.}}], {0., 0., -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{-1, 0, 0}]], "Output",
 CellChangeTimes->{3.493035912518133*^9, 3.493036344082817*^9, 
  3.49303641336578*^9, 3.493036626154951*^9, 3.493036862552472*^9, 
  3.493037594498337*^9, 3.4930400953573775`*^9, 3.4930402843441873`*^9, 
  3.49304079403734*^9, 3.5037511742747574`*^9, 3.503751281751905*^9, 
  3.503751324885372*^9, 3.5037531222721767`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["#3", "Text"],

Cell[CellGroupData[{

Cell["Hz0A[[-3]]", "Input"],

Cell[BoxData["0.9916562650302542`"], "Output",
 CellChangeTimes->{
  3.482520194505768*^9, 3.4825208292040453`*^9, 3.482579035115*^9, 
   3.482580578782*^9, 3.4825807076800003`*^9, 3.482580975277*^9, 
   3.482585920407*^9, 3.482586208712*^9, 3.482586293038*^9, 
   3.4825863608859997`*^9, 3.482586400487*^9, 3.482586448722*^9, 
   3.482601028276*^9, 3.482603273025*^9, 3.482603377244*^9, 
   3.4826034679049997`*^9, 3.48260412112*^9, 3.482665370667368*^9, {
   3.4826656044403677`*^9, 3.4826656400213675`*^9}, 3.4826667918773675`*^9, 
   3.482752608793*^9, 3.482757611505*^9, 3.482766461547*^9, 3.482766581666*^9,
    3.4827686784379997`*^9, 3.482844364002*^9, 3.482857526119*^9, 
   3.483113896814*^9, 3.4831886353900003`*^9, 3.483188690384*^9, 
   3.483190506468*^9, 3.48320466087*^9, 3.483269937696*^9, 
   3.4832699735550003`*^9, 3.483270428027*^9, 3.483271683778*^9, 
   3.4832718116280003`*^9, 3.4832719091540003`*^9, {3.4832719897469997`*^9, 
   3.48327201194*^9}, 3.483275625269*^9, 3.483279459836*^9, 3.483279595829*^9,
    3.483287542651*^9, 3.483287923422*^9, 3.483288257585*^9, 
   3.4832943301359997`*^9, 3.48329437456*^9, 3.483295138388*^9, 
   3.483296716079*^9, 3.4833584033497972`*^9, 3.483382082086797*^9, 
   3.483382117797797*^9, 3.4834389456879997`*^9, 3.483439565501*^9, 
   3.4837457135560846`*^9, 3.483792626842*^9, 3.4838827452349997`*^9, 
   3.483899012842*^9, 3.4839017600690002`*^9, 3.484154584829*^9, 
   3.484220643106*^9, 3.485630210178851*^9, 3.4856305493115873`*^9, 
   3.485630613600075*^9, 3.485630736665715*^9, 3.4856882921053157`*^9, 
   3.4856924327406564`*^9, 3.4856935543767576`*^9, 3.4857705894316807`*^9, 
   3.4857932751682196`*^9, 3.4858649252592263`*^9, 3.4861167282703905`*^9, 
   3.4862094645521736`*^9, 3.4862292284679904`*^9, 3.486229315687566*^9, 
   3.4862304770915456`*^9, {3.4862305356794853`*^9, 3.486230563777053*^9}, 
   3.486230649657959*^9, 3.489161957424315*^9, 3.489162045547355*^9, 
   3.489162242301609*^9, 3.489162308895418*^9, 3.4894031973434896`*^9, 
   3.492888272299453*^9, 3.4929742014975114`*^9, 3.493035912584137*^9, 
   3.4930363441028185`*^9, 3.493036417190999*^9, 3.493036626185952*^9, 
   3.493036862572473*^9, 3.493037594520338*^9, 3.493040095376379*^9, 
   3.4930402843651886`*^9, 3.493040794055341*^9, 3.503751174348762*^9, 
   3.5037512818379097`*^9, 3.503751324906373*^9, 3.503753122293178*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "3"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", "0", 
     RowBox[{"-", "0.2752859784395825`"}], "0", "0", "0", 
     RowBox[{"-", "0.9613623822859731`"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.48252019455964*^9, 3.482520829254856*^9, 3.4825790351809998`*^9, 
   3.482580578796*^9, 3.482580707704*^9, 3.482580975301*^9, 3.482585920428*^9,
    3.482586208733*^9, 3.482586293066*^9, 3.482586360909*^9, 
   3.482586400509*^9, 3.482586448745*^9, 3.482601028401*^9, 3.482603273054*^9,
    3.482603377267*^9, 3.482603467929*^9, 3.482604121145*^9, 
   3.482665370726368*^9, {3.4826656044673676`*^9, 3.4826656400603676`*^9}, 
   3.4826667919153676`*^9, 3.4827526088459997`*^9, 3.482757611584*^9, 
   3.482766461572*^9, 3.482766581693*^9, 3.482768678465*^9, 3.482844364053*^9,
    3.482857526142*^9, 3.483113896918*^9, 3.483188635421*^9, 
   3.483188690415*^9, 3.483190506514*^9, 3.483204660972*^9, 
   3.4832699377200003`*^9, 3.483269973584*^9, 3.48327042805*^9, 
   3.483271683802*^9, 3.483271811653*^9, 3.483271910917*^9, {3.48327198977*^9,
    3.483272011967*^9}, 3.483275625291*^9, 3.483279459861*^9, 
   3.4832795958640003`*^9, 3.483287542684*^9, 3.483287923458*^9, 
   3.483288257645*^9, 3.4832943301610003`*^9, 3.483294374659*^9, 
   3.48329513841*^9, 3.483296716163*^9, 3.4833584033957973`*^9, 
   3.483382082148797*^9, 3.4833821178267975`*^9, 3.4834389457209997`*^9, 
   3.483439565576*^9, 3.483745713626085*^9, 3.483792626921*^9, 
   3.4838827453199997`*^9, 3.4838990128780003`*^9, 3.483901760112*^9, 
   3.484154584917*^9, 3.484220643132*^9, 3.485630210276353*^9, 
   3.485630549337838*^9, 3.4856306136350756`*^9, 3.485630736681966*^9, 
   3.4856882921565666`*^9, 3.4856924327794065`*^9, 3.4856935544292583`*^9, 
   3.485770589460682*^9, 3.485793275205222*^9, 3.4858649253052287`*^9, 
   3.4861167283503923`*^9, 3.48620946460268*^9, 3.486229228507496*^9, 
   3.486229315709569*^9, 3.4862304771595545`*^9, {3.486230535702488*^9, 
   3.486230563797556*^9}, 3.486230649752471*^9, 3.4891619574643173`*^9, 
   3.4891620455653563`*^9, 3.48916224231961*^9, 3.489162308913419*^9, 
   3.489403197375492*^9, 3.492888272336455*^9, 3.4929742015185127`*^9, 
   3.4930359126161385`*^9, 3.493036344119819*^9, 3.493036417253002*^9, 
   3.4930366262029533`*^9, 3.493036862591474*^9, 3.4930375945473394`*^9, 
   3.4930400953923798`*^9, 3.4930402843841896`*^9, 3.493040794074342*^9, 
   3.5037511743777637`*^9, 3.503751281852911*^9, 3.5037513249253745`*^9, 
   3.503753122312179*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 0A mode 3\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "3"}], "]"}], "]"}], ",", ".1", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", ".25"}]}], "}"}], ",", " ", "floatmatrix0A"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.482520008228106*^9, {3.482520234181446*^9, 3.482520245496694*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, 0.002527829326791544}, {0., 
     0.022246383188782092`, -0.2514476302303043}}], 
   Line3DBox[{{0, -0.00785, 0.0027721706732085506`}, {
     0., -0.07762034000919192, -0.2418171319202874}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, 0.002527829326791544}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.0027721706732085506`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 0.9953824698293035, 
        0.09598822196767563}, {0., -0.09598822196767563, 
        0.9953824698293035}}, {0., 0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {
       0., 0., 1.}}, {0., 0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
      1.}}, {0., 0., 0.}}], {
    0., -0.027528597843958252`, -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{0, -1, -0.25}]], "Output",
 CellChangeTimes->{3.4930359127231445`*^9, 3.4930363442288256`*^9, 
  3.4930364177350297`*^9, 3.49303662632096*^9, 3.4930368627454824`*^9, 
  3.493037594695348*^9, 3.4930400955083866`*^9, 3.4930402845051966`*^9, 
  3.493040794265353*^9, 3.5037511744087653`*^9, 3.5037512819539165`*^9, 
  3.5037513250263805`*^9, 3.5037531224241858`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["#4", "Text"],

Cell[CellGroupData[{

Cell["Hz0A[[-4]]", "Input"],

Cell[BoxData["0.9999600457212052`"], "Output",
 CellChangeTimes->{
  3.482520194640162*^9, 3.482520829639934*^9, 3.482579036608*^9, 
   3.482580578949*^9, 3.48258070788*^9, 3.4825809755360003`*^9, 
   3.482585920613*^9, 3.48258620891*^9, 3.482586293219*^9, 3.482586361068*^9, 
   3.482586400684*^9, 3.482586448936*^9, 3.482601028668*^9, 3.482603273242*^9,
    3.48260337751*^9, 3.48260346816*^9, 3.482604121368*^9, 
   3.4826653710403676`*^9, {3.4826656047153673`*^9, 3.4826656403013678`*^9}, 
   3.482666792181368*^9, 3.482752609083*^9, 3.482757611833*^9, 
   3.4827664618199997`*^9, 3.4827665819379997`*^9, 3.482768678716*^9, 
   3.48284436427*^9, 3.482857526366*^9, 3.4831138975550003`*^9, 
   3.483188635633*^9, 3.483188690582*^9, 3.4831905066289997`*^9, 
   3.483204661231*^9, 3.483269937849*^9, 3.483269973789*^9, 
   3.4832704282139997`*^9, 3.4832716839700003`*^9, 3.483271811807*^9, 
   3.4832719113710003`*^9, {3.483271989927*^9, 3.483272012138*^9}, 
   3.483275625454*^9, 3.4832794600290003`*^9, 3.483279596047*^9, 
   3.4832875446289997`*^9, 3.483287925447*^9, 3.483288257949*^9, 
   3.483294330741*^9, 3.483294374826*^9, 3.4832951385959997`*^9, 
   3.483296716564*^9, 3.483358403607797*^9, 3.4833820824217973`*^9, 
   3.483382118023797*^9, 3.483438945902*^9, 3.483439565796*^9, 
   3.483745713847085*^9, 3.4837926271429996`*^9, 3.483882745651*^9, 
   3.483899013023*^9, 3.4839017602539997`*^9, 3.4841545852279997`*^9, 
   3.484220643307*^9, 3.4856302103876047`*^9, 3.4856305493928385`*^9, 
   3.485630613700076*^9, 3.4856307368544683`*^9, 3.4856882924178205`*^9, 
   3.4856924329506598`*^9, 3.4856935546180115`*^9, 3.4857705896056905`*^9, 
   3.485793275390232*^9, 3.485864925525242*^9, 3.4861167287753983`*^9, 
   3.4862094647381973`*^9, 3.4862292288190355`*^9, 3.4862293158655887`*^9, 
   3.4862304773935843`*^9, {3.4862305358635087`*^9, 3.486230563964077*^9}, 
   3.486230649929493*^9, 3.489161957619326*^9, 3.4891620456983643`*^9, 
   3.489162242469619*^9, 3.489162309065428*^9, 3.489403197567503*^9, 
   3.4928882724884634`*^9, 3.492974201685522*^9, 3.493035912765147*^9, 
   3.493036344251827*^9, 3.493036417844036*^9, 3.4930366263409615`*^9, 
   3.4930368627714844`*^9, 3.493037594716349*^9, 3.4930400955283875`*^9, 
   3.4930402845251975`*^9, 3.4930407942993546`*^9, 3.5037511744447675`*^9, 
   3.5037512819739175`*^9, 3.503751325046381*^9, 3.5037531224431863`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "4"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", 
     RowBox[{"-", "0.3058787691583587`"}], "0", "0", "0", 
     RowBox[{"-", "0.95207046933416`"}], "0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.482520194692479*^9, 3.4825208296889143`*^9, 3.482579036672*^9, 
   3.4825805789630003`*^9, 3.4825807079040003`*^9, 3.4825809755620003`*^9, 
   3.4825859206359997`*^9, 3.482586208932*^9, 3.482586293242*^9, 
   3.482586361091*^9, 3.482586400708*^9, 3.482586448957*^9, 3.48260102873*^9, 
   3.4826032732679996`*^9, 3.482603377538*^9, 3.482603468189*^9, 
   3.482604121394*^9, 3.4826653710853677`*^9, {3.4826656047423677`*^9, 
   3.4826656403303676`*^9}, 3.4826667922293673`*^9, 3.482752609141*^9, 
   3.482757611906*^9, 3.48276646185*^9, 3.4827665819630003`*^9, 
   3.482768678741*^9, 3.48284436433*^9, 3.482857526388*^9, 3.483113897605*^9, 
   3.4831886356800003`*^9, 3.483188690615*^9, 3.483190506656*^9, 
   3.483204661301*^9, 3.483269937876*^9, 3.4832699738190002`*^9, 
   3.483270428237*^9, 3.483271683993*^9, 3.483271811829*^9, 
   3.4832719114230003`*^9, {3.483271989951*^9, 3.483272012237*^9}, 
   3.4832756254779997`*^9, 3.4832794600550003`*^9, 3.483279596073*^9, 
   3.4832875446619997`*^9, 3.483287925483*^9, 3.483288258005*^9, 
   3.483294330775*^9, 3.4832943748459997`*^9, 3.483295138705*^9, 
   3.48329671659*^9, 3.4833584036497974`*^9, 3.4833820825007973`*^9, 
   3.4833821180527973`*^9, 3.483438945953*^9, 3.483439565855*^9, 
   3.4837457139120846`*^9, 3.483792627175*^9, 3.4838827457720003`*^9, 
   3.4838990130950003`*^9, 3.483901760341*^9, 3.4841545852469997`*^9, 
   3.484220643332*^9, 3.485630210447605*^9, 3.4856305494190893`*^9, 
   3.485630613733827*^9, 3.4856307368707185`*^9, 3.4856882924778214`*^9, 
   3.48569243299066*^9, 3.485693554651762*^9, 3.485770589635692*^9, 
   3.4857932754252343`*^9, 3.485864925566244*^9, 3.4861167288679*^9, 
   3.486209464752699*^9, 3.48622922885754*^9, 3.486229315886591*^9, 
   3.486230477450591*^9, {3.4862305358855114`*^9, 3.486230563982579*^9}, 
   3.486230649951496*^9, 3.489161957653328*^9, 3.4891620457173653`*^9, 
   3.4891622424876194`*^9, 3.489162309084429*^9, 3.489403197596504*^9, 
   3.4928882725284657`*^9, 3.4929742017095237`*^9, 3.4930359127971487`*^9, 
   3.4930363442678275`*^9, 3.493036419256117*^9, 3.493036626358962*^9, 
   3.4930368627904854`*^9, 3.4930375947373505`*^9, 3.4930400955443883`*^9, 
   3.493040284542198*^9, 3.4930407943273563`*^9, 3.503751174474769*^9, 
   3.5037512819879184`*^9, 3.5037513250643826`*^9, 3.503753122462188*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 0A mode 4\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "4"}], "]"}], "]"}], ",", ".5", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "3"}], ",", 
       RowBox[{"-", ".25"}]}], "}"}], ",", " ", "floatmatrix0A"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.482520008236141*^9, {3.482520253442655*^9, 3.4825202626252403`*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, 0.0026500000000000473`}, {-0.15218325751198628`, 
     0.050165, -0.24645655100780206`}}], 
   Line3DBox[{{
     0, -0.00785, 
      0.0026500000000000473`}, {-0.15218325751198628`, -0.050165, \
-0.24645655100780206`}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 
        0., 0.}}], {{{0.8888187925603558, 0., -0.45825882860186246`}, {0., 1.,
        0.}, {0.45825882860186246`, 0., 0.8888187925603558}}, {0., 0., 
       0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 
      0.}}], {-0.15293938457917935`, 0., -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{0, -3, -0.25}]], "Output",
 CellChangeTimes->{3.4930359129031553`*^9, 3.493036344381834*^9, 
  3.4930364193981247`*^9, 3.493036626478969*^9, 3.4930368629194927`*^9, 
  3.4930375948683577`*^9, 3.493040095659395*^9, 3.4930402846622057`*^9, 
  3.4930407952724104`*^9, 3.503751174507771*^9, 3.503751282082924*^9, 
  3.5037513251663885`*^9, 3.503753122572194*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["#5", "Text"],

Cell[CellGroupData[{

Cell["Hz0A[[-5]]", "Input"],

Cell[BoxData["7.09864947693854`"], "Output",
 CellChangeTimes->{
  3.4825201948116293`*^9, 3.4825208300237837`*^9, 3.482580579179*^9, 
   3.48258070813*^9, 3.482580975745*^9, 3.482585920844*^9, 3.482586209139*^9, 
   3.482586293428*^9, 3.482586361292*^9, 3.482586400914*^9, 
   3.4825864491219997`*^9, 3.4826010288789997`*^9, 3.4826032734440002`*^9, 
   3.482603377715*^9, 3.482603468369*^9, 3.4826041215699997`*^9, 
   3.482665371320368*^9, {3.482665604938368*^9, 3.4826656405203676`*^9}, 
   3.4826667924563675`*^9, 3.482752609394*^9, 3.482757612238*^9, 
   3.482766462034*^9, 3.48276658215*^9, 3.4827686789230003`*^9, 
   3.482844364564*^9, 3.482857526558*^9, 3.4831138980360003`*^9, 
   3.483188635924*^9, 3.483188690773*^9, 3.483190506763*^9, 3.483204661492*^9,
    3.4832699379890003`*^9, 3.483269973966*^9, 3.483270428453*^9, 
   3.4832716842200003`*^9, 3.483271812064*^9, 3.483271920054*^9, {
   3.483271990166*^9, 3.483272012414*^9}, 3.48327562569*^9, 3.483279460267*^9,
    3.483279596291*^9, 3.4832875471870003`*^9, 3.483287927441*^9, 
   3.483288258217*^9, 3.4832943335109997`*^9, 3.483294374998*^9, 
   3.483295138892*^9, 3.48329671679*^9, 3.483358403889797*^9, 
   3.4833820827177973`*^9, 3.4833821182487974`*^9, 3.483438946125*^9, 
   3.483439566108*^9, 3.4837457141240845`*^9, 3.483792627549*^9, 
   3.4838827461429996`*^9, 3.483899013291*^9, 3.483901760487*^9, 
   3.4841545855480003`*^9, 3.484220643565*^9, 3.4856302105701075`*^9, 
   3.4856305495228405`*^9, 3.485630613800078*^9, 3.485630737038221*^9, 
   3.4856882927240753`*^9, 3.485692433158163*^9, 3.4856935548117647`*^9, 
   3.4857705897867007`*^9, 3.485793275601245*^9, 3.4858649257642555`*^9, 
   3.486116729737913*^9, 3.4862094648822155`*^9, 3.48622922909457*^9, 
   3.4862293160951176`*^9, 3.486230477610612*^9, {3.4862305361035395`*^9, 
   3.4862305641866055`*^9}, 3.4862306501830254`*^9, 3.4891619577983365`*^9, 
   3.489162045849373*^9, 3.489162242626628*^9, 3.489162309229437*^9, 
   3.489403197745513*^9, 3.4928882727164764`*^9, 3.4929742026935797`*^9, 
   3.4930359129441576`*^9, 3.4930363444018354`*^9, 3.493036419415126*^9, 
   3.4930366264999704`*^9, 3.493036862939494*^9, 3.493037594890359*^9, 
   3.493040095678396*^9, 3.493040284682206*^9, 3.493040795696435*^9, 
   3.503751174544773*^9, 3.5037512821459274`*^9, 3.503751325186389*^9, 
   3.503753122591195*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "5"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", "0", "0", "0.9999999999999999`", "0", "0", "0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.482520194860207*^9, 3.482520830073132*^9, 3.48258057923*^9, 
   3.482580708158*^9, 3.4825809757679996`*^9, 3.482585920865*^9, 
   3.4825862091610003`*^9, 3.482586293453*^9, 3.482586361316*^9, 
   3.482586400947*^9, 3.482586449142*^9, 3.482601028977*^9, 3.482603273472*^9,
    3.482603377745*^9, 3.482603468394*^9, 3.482604121599*^9, 
   3.4826653713663673`*^9, {3.4826656049693675`*^9, 3.4826656405503674`*^9}, 
   3.4826667924883676`*^9, 3.482752609453*^9, 3.48275761231*^9, 
   3.482766462058*^9, 3.482766582177*^9, 3.482768678949*^9, 
   3.4828443646140003`*^9, 3.482857526584*^9, 3.4831138981619997`*^9, 
   3.4831886359560003`*^9, 3.483188690801*^9, 3.483190506788*^9, 
   3.483204661538*^9, 3.483269938016*^9, 3.483269973994*^9, 
   3.4832704284779997`*^9, 3.4832716842460003`*^9, 3.48327181209*^9, 
   3.483271920144*^9, {3.483271990191*^9, 3.48327201244*^9}, 
   3.483275625712*^9, 3.483279460293*^9, 3.4832795963190002`*^9, 
   3.483287547219*^9, 3.483287927474*^9, 3.483288258271*^9, 3.483294333542*^9,
    3.483294375019*^9, 3.483295138913*^9, 3.483296716817*^9, 
   3.483358403933797*^9, 3.483382082747797*^9, 3.4833821182817974`*^9, 
   3.4834389461809998`*^9, 3.483439566138*^9, 3.483745714184085*^9, 
   3.4837926275880003`*^9, 3.483882746172*^9, 3.483899013326*^9, 
   3.483901760519*^9, 3.484154585599*^9, 3.4842206435889997`*^9, 
   3.485630210621358*^9, 3.485630549552841*^9, 3.485630613833829*^9, 
   3.485630737054471*^9, 3.4856882927865763`*^9, 3.4856924332056637`*^9, 
   3.485693554850515*^9, 3.485770589816703*^9, 3.4857932756382465`*^9, 
   3.4858649258072577`*^9, 3.4861167297754135`*^9, 3.4862094648962173`*^9, 
   3.4862292291210737`*^9, 3.4862293161191206`*^9, 3.4862304776671185`*^9, {
   3.4862305361240416`*^9, 3.4862305642056074`*^9}, 3.486230650210529*^9, 
   3.489161957826338*^9, 3.489162045874374*^9, 3.4891622426516294`*^9, 
   3.489162309251438*^9, 3.489403197774515*^9, 3.492888272753479*^9, 
   3.4929742027175813`*^9, 3.4930359129771595`*^9, 3.493036344417836*^9, 
   3.493036419430127*^9, 3.493036626515971*^9, 3.4930368629574947`*^9, 
   3.4930375949063597`*^9, 3.493040095694397*^9, 3.4930402846992073`*^9, 
   3.493040795715436*^9, 3.5037511745747747`*^9, 3.5037512821589284`*^9, 
   3.5037513252043905`*^9, 3.5037531226091957`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 0A mode 5\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "5"}], "]"}], "]"}], ",", 
     RowBox[{"-", ".2"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", ".25"}]}], "}"}], ",", " ", "floatmatrix0A"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.482520008243662*^9, {3.482520269362856*^9, 3.482520276105032*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, -0.19230019700302525`}, {0., 
     0.050165, -0.4466400000000775}}], 
   Line3DBox[{{0, -0.00785, -0.19230019700302525`}, {
     0., -0.050165, -0.4466400000000775}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, -0.19230019700302525`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, -0.19230019700302525`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 
        0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 
       0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 0.}}], {
    0., 0., -0.4449900000000775}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{0, -1, -0.25}]], "Output",
 CellChangeTimes->{3.4930359131481695`*^9, 3.493036344530843*^9, 
  3.4930364195421333`*^9, 3.4930366266619797`*^9, 3.493036863079502*^9, 
  3.4930375950633693`*^9, 3.493040095806403*^9, 3.4930402848272147`*^9, 
  3.4930407958454437`*^9, 3.503751174605777*^9, 3.503751282255934*^9, 
  3.5037513253083963`*^9, 3.5037531227222023`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["#6", "Text"],

Cell[CellGroupData[{

Cell["Hz0A[[-6]]", "Input"],

Cell[BoxData["10.470547754895978`"], "Output",
 CellChangeTimes->{
  3.4825201949408216`*^9, 3.482520830541368*^9, 3.482580579442*^9, 
   3.4825807083380003`*^9, 3.4825809759449997`*^9, 3.4825859210299997`*^9, 
   3.482586209329*^9, 3.482586293604*^9, 3.48258636149*^9, 
   3.4825864011070004`*^9, 3.482586449303*^9, 3.4826010291099997`*^9, 
   3.482603273652*^9, 3.482603377935*^9, 3.482603468576*^9, 3.482604121774*^9,
    3.482665371601368*^9, {3.4826656051833677`*^9, 3.4826656407453675`*^9}, 
   3.4826667927033677`*^9, 3.4827526097320004`*^9, 3.482757612606*^9, 
   3.482766462248*^9, 3.482766582395*^9, 3.482768679125*^9, 3.48284436487*^9, 
   3.4828575267530003`*^9, 3.483113898657*^9, 3.483188636374*^9, 
   3.48318869096*^9, 3.483190506896*^9, 3.483204661724*^9, 
   3.4832699381210003`*^9, 3.483269974148*^9, 3.48327042863*^9, 
   3.4832716845880003`*^9, 3.483271812252*^9, 3.483271920299*^9, {
   3.4832719903570004`*^9, 3.4832720126219997`*^9}, 3.4832756258780003`*^9, 
   3.483279460461*^9, 3.4832795964820004`*^9, 3.4832875491210003`*^9, 
   3.483287929408*^9, 3.483288258486*^9, 3.483294334385*^9, 3.483294375176*^9,
    3.483295139101*^9, 3.4832967170179996`*^9, 3.483358404193797*^9, 
   3.483382083087797*^9, 3.483382118462797*^9, 3.483438946341*^9, 
   3.483439566392*^9, 3.4837457144630847`*^9, 3.483792627882*^9, 
   3.483882746441*^9, 3.48389901349*^9, 3.483901760668*^9, 3.484154585783*^9, 
   3.48422064373*^9, 3.4856302107313595`*^9, 3.485630549614092*^9, 
   3.4856306139013295`*^9, 3.485630737220724*^9, 3.4856882930753307`*^9, 
   3.4856924334031663`*^9, 3.4856935550130177`*^9, 3.485770589975712*^9, 
   3.4857932758252573`*^9, 3.48586492602627*^9, 3.4861167300354176`*^9, 
   3.486209465021233*^9, 3.4862292293546033`*^9, 3.486229316261139*^9, 
   3.4862304778626437`*^9, {3.4862305362865624`*^9, 3.4862305643656282`*^9}, 
   3.4862306503790503`*^9, 3.4891619579713464`*^9, 3.4891620460263824`*^9, 
   3.489162242809638*^9, 3.489162309418448*^9, 3.489403197963526*^9, 
   3.492888272907488*^9, 3.4929742038796473`*^9, 3.4930359131891713`*^9, 
   3.493036344554844*^9, 3.493036419558134*^9, 3.4930366267209835`*^9, 
   3.4930368631205044`*^9, 3.4930375951083717`*^9, 3.493040095825404*^9, 
   3.4930402848742175`*^9, 3.4930407958634443`*^9, 3.5037511746447787`*^9, 
   3.503751282276935*^9, 3.5037513253283978`*^9, 3.503753122781206*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "6"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", "0", 
     RowBox[{"-", "0.006675228155647667`"}], "0", "0", "0", 
     "0.999977720416345`"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.4825201949933577`*^9, 3.482520830590763*^9, 3.482580579492*^9, 
   3.482580708362*^9, 3.482580975969*^9, 3.482585921052*^9, 3.48258620935*^9, 
   3.482586293626*^9, 3.482586361513*^9, 3.4825864011289997`*^9, 
   3.482586449324*^9, 3.482601029149*^9, 3.4826032736809998`*^9, 
   3.48260337796*^9, 3.4826034686*^9, 3.482604121799*^9, 
   3.4826653716453676`*^9, {3.4826656052183676`*^9, 3.4826656407783675`*^9}, 
   3.4826667927393675`*^9, 3.4827526097869997`*^9, 3.482757612674*^9, 
   3.482766462278*^9, 3.48276658242*^9, 3.482768679151*^9, 3.482844365034*^9, 
   3.482857526773*^9, 3.483113898814*^9, 3.483188636468*^9, 
   3.4831886909890003`*^9, 3.4831905069189997`*^9, 3.483204661759*^9, 
   3.483269938144*^9, 3.48326997419*^9, 3.483270428651*^9, 3.48327168462*^9, 
   3.483271812275*^9, 3.483271920322*^9, {3.483271990382*^9, 
   3.483272012652*^9}, 3.483275625901*^9, 3.483279460487*^9, 
   3.483279596506*^9, 3.483287549157*^9, 3.4832879294440002`*^9, 
   3.48328825854*^9, 3.483294334409*^9, 3.4832943751949997`*^9, 
   3.483295139124*^9, 3.483296717041*^9, 3.483358404258797*^9, 
   3.483382083115797*^9, 3.483382118495797*^9, 3.4834389463780003`*^9, 
   3.483439566469*^9, 3.483745714524085*^9, 3.4837926279309998`*^9, 
   3.483882746535*^9, 3.4838990135179996`*^9, 3.4839017606879997`*^9, 
   3.484154585822*^9, 3.484220643751*^9, 3.4856302107813606`*^9, 
   3.485630549645343*^9, 3.48563061393508*^9, 3.485630737235724*^9, 
   3.4856882931228313`*^9, 3.485692433448167*^9, 3.485693555048018*^9, 
   3.4857705900067134`*^9, 3.485793275858259*^9, 3.485864926067272*^9, 
   3.486116730082918*^9, 3.486209465035735*^9, 3.4862292293741055`*^9, 
   3.4862293162831416`*^9, 3.486230477888647*^9, {3.486230536308565*^9, 
   3.4862305643841305`*^9}, 3.486230650400053*^9, 3.4891619579993477`*^9, 
   3.4891620460453835`*^9, 3.4891622428326397`*^9, 3.489162309443449*^9, 
   3.4894031979955273`*^9, 3.492888272941489*^9, 3.4929742047686987`*^9, 
   3.4930359132241735`*^9, 3.4930363445708447`*^9, 3.493036419573135*^9, 
   3.4930366267449846`*^9, 3.4930368631395054`*^9, 3.493037595126373*^9, 
   3.493040095867407*^9, 3.4930402848922186`*^9, 3.493040795879445*^9, 
   3.5037511746767807`*^9, 3.5037512822909355`*^9, 3.5037513253463984`*^9, 
   3.5037531227992067`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 0A mode 6\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors0A", "[", 
      RowBox[{"[", 
       RowBox[{"-", "6"}], "]"}], "]"}], ",", 
     RowBox[{"-", ".2"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "0", ",", 
       RowBox[{"-", ".25"}]}], "}"}], ",", " ", "floatmatrix0A"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.482520008251501*^9, {3.482520282522417*^9, 3.482520289200976*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, -0.007295667984955804}, {0., 
     0.050172332726712246`, -0.2565731392180801}}], 
   Line3DBox[{{0, -0.00785, 0.0125956679849559}, {
     0., -0.048157835844656674`, -0.23664108341025702`}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, -0.007295667984955804}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.0125956679849559}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 0.980067463085507, 
        0.19866496369802725`}, {0., -0.19866496369802725`, 
        0.980067463085507}}, {0., 0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {
       0., 0., 1.}}, {0., 0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
      1.}}, {0., 0., 0.}}], {0., 
    0.0013350456311295334`, -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{-1, 0, -0.25}]], "Output",
 CellChangeTimes->{3.4930359133301797`*^9, 3.4930363446838517`*^9, 
  3.493036419699142*^9, 3.493036626873992*^9, 3.4930368632685127`*^9, 
  3.4930375952583804`*^9, 3.4930400959834137`*^9, 3.493040285019226*^9, 
  3.493040795997452*^9, 3.5037511747107825`*^9, 3.5037512823879414`*^9, 
  3.5037513254854064`*^9, 3.5037531229152136`*^9}]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Listings and plots with Stage 2 Data", "Subsection"],

Cell["Calculate[Stage2]", "Input"],

Cell[CellGroupData[{

Cell["View the eigenfrequencies", "Text",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[CellGroupData[{

Cell["\<\
Table[{Length[allvars]-index+1, Hz2[[index]]}, {index, 1, Length[allvars]}]\
\>", "Input",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"6", ",", "10.489002357751348`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "7.098649494320962`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1.1191905936635755`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "0.9952064784034965`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "0.977837291264114`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0.7558093571106802`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwdzGtIkwEUxvF3s5aaqM0lMsKc2nUuDTPIdPUu0EJjbeRYTZS0wMZuiJrR
mpbYjTDCWThpGzVLSzLaciEGow+6rJy+dPFaU4M5G1q6SZph5+zD4QcH/g+n
RC0+RyMIohAupVRVcGbBSxKTvRZ0TiujdOCW0x+m0EusxyE1Qb8pr4D3jvS1
oJwXRhOq8DS2ohWNZZ3o89ww1w1Q3rPPcxMs6iYDaPjXYtqtYJ8kRn27Cvht
oLUyS4TmRwkkqNbHl6GDLqkPnUjupSiw/mcY/zOojxtvGgEXqI+taNLYm2ej
oHG+zrAGPv0t3sBYhH1R9P468OT0svUJKD0Q6kBtzvBHbeCKbs/tTnDm7zGN
axE7QTtqaP6XOwg6q3RS1KI5fhalc00adLV9fToV3GlgfQLLy05tQ+U95qJh
UBK5VzYGOvozulFmna1mHLvmVeMKmOWS8xh+LxktfeXjgNzr4sxEUFVp7bKD
qROhpgHwdfyQeQUkiJ136QEvyU49PxMCqpjvZTXg7PZND0xgIb/QLfzjJV9e
toefAFVLDiZKShsS0YSU2GwF/qtqBSrwcB81gFb/ilTo0TtNtSZQE3tQ+xa0
5Y2os5e95OQ6rV0O9neISitAG39JiXp+0DZWgu6AIwqtTmeWRKx5yYheoRLd
zem6hiazOxrQhO9beVfBnKF3ozsYs6TOnUmJQHmMP6AG5+LcXA04ZS7OQPNZ
h4To0YcXleh9/bQT5dXH08rBtLTpODQnb16K0v3DhJs9SyZtNkSiAok/Bv1y
wbKM/gdOHZq6
  "]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["View the important low-frequency modes", "Text"],

Cell[CellGroupData[{

Cell["\<\
Join[\t
\t{{\"N\",\"f\",\"type\"}},
\tTable[
\t\tJoin[
\t\t\t{i},
\t\t\t{Hz2[[-i]]},
\t\t\timportant[e2ni.eigenvectors2[[-i]],0.7]
\t\t],
\t\t{i,noofLF}
\t]
]//TableForm\
\>", "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"N\"\>", "\<\"f\"\>", "\<\"type\"\>"},
    {"1", "0.7558093571106802`", "yaw0"},
    {"2", "0.977837291264114`", "pitch0"},
    {"3", "0.9952064784034965`", "roll0"},
    {"4", "1.1191905936635755`", "pitch0"},
    {"5", "7.098649494320962`", "z0"},
    {"6", "10.489002357751348`", "roll0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0VtMEgAUAFCISSQGJtZYNptm66OxxUpnTlTA5UdNER+RksNHTpsIo2iL
aUTOFq1gNa2mCbIkrVy64lHWzLGWbCYypi0hzSlZOmeZYGJNu5ePu/Nzd58J
FTLhOSKBQBBDnFTKisp/L3APrA13obMqsecK2Jg5OoteXnhMUoPz7mmpBmRT
nO1ofLPRiD5832JGo0W1fWhJFXXsBjiVlPJdC+ru84LacJ6EeBOMaUoSovaR
4oweMLuSk48qdvOL0eXCrFL09PyZJdQX+uDxgGmWqIwJsEs+1ToJPl1xmSfD
cw0+8+L8vua2LTD9a8F28irUq9mV0gRqWv++7AYl3yhDqOA29VEPWDbAvtUH
armn5GPgCRv/CSrWb+a4wRcdahGalZxbhbYwO+Xog3ryUQ/oN+tjx8P5JQfR
VK2p7DNYOMcu9YG/ulMG0Oc5VvUX7Nu4adgAz6qlLHIA72RfSgAnXQVpiWBN
wGqzgxZnpNEVwD8cMW2AtlXWnW1BtPYHCaT0fixVB3EPRocRHG4zzOStw/13
vo4UgKpRRwwakatPRBX+PZw6ULCi4dWDy7RxF2pao9e1gNW2e1eNIL0/vcEB
ZtN8Mk4I+lgb7OfBHeXCyovgNG9dinL2kahK0N3uoKOWt4yKqK0FLlMhkKLV
E7br6N1PvTq0JjaRdQ0cPD7iPURe5DL5eZ58UPkuEJSBx7pmDsvB+CJJMioa
ysxDdSyVFJWn+p3ohej9RAV46c0cExX++SlCIwxewszeRe6/V200NG4jwED7
48wh9D/cQJ6e
  "]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["View the higher frequency modes", "Text"],

Cell[CellGroupData[{

Cell["\<\
Join[\t
\t{{\"N\",\"f\",\"type\"}},
\tTable[
\t\tJoin[
\t\t\t{i},
\t\t\t{Hz2[[-i]]},
\t\t\timportant[e2ni.eigenvectors2[[-i]],0.7]
\t\t],
\t\t{i,noofLF+1,Length[allvars]}
\t]
]//TableForm\
\>", "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"N\"\>", "\<\"f\"\>", "\<\"type\"\>"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->CompressedData["
1:eJwl0W1IkwEQAODpYCs3ZthWEVHMsIgYpJKCtOFbghU4neUYboTTBbH2ZdiP
ypo5rDbUMhLFUXPWcpJt9OXmEBoaaWabrNR0I1fMajIibS9sJtjd+nE8cNwX
HLdWW3k2jUKhyCDiLboq+WqUaE9MPEKVIzWBa+BJpu8ban/bT9WDFW2L6utg
Du2dGd1V3WtBec87begVttKJZhmY/lvgr8bCH0aQ7ThGouc65GkmcH0gpxKl
UiUCO9hTLxChDGeJGBUWEVJ0UiiN2VP944FAykzBDPix7EvnfOouv+2/r58s
gBlzN3s2wE2Dp+m0P7iHU2AAR8n1F/3ge+tmLxoTMR/awe/Tea1OcHlfmc4P
6pUlA+gB2UbpNPjY3CRBg0mhAhWzrDr0yCI9P5Cqv8P+BI40SHPQbk3fmc+g
wZsnDYKtqkIPquMP6UNgj5FiWcO8TMOjxfGe4RgXdO+uKsoGc8+7h1zgvI9h
8YGrAbV1LY7/ONSRTsJ/upQ/qaB38oNUDzpKOfctYPNwb7g8AXO5nowK0D03
loWGVm5no+n92/kqMF9lOKoBH4hnfGh3fIvqHtiy1NVkAR0nBI2j4Ox0SMtP
Rolt8qsuJch8daquASz4m1Cjiikq4yJYLRvLRGe9nFrmRpRY4YjUaPEl1w3U
Z3rajtIde3nNYJ9xamE/bZk4HnkWEIHCOpLUgi9ZXw/qwESi5jCaqyguR+vt
l9XoYCwygbrNe9IugCZBZAfKffNbgrqXgpTwzmUinG9moXfbyK2oZ9yWRP8B
wSKj6g==
  "]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Classify the modes", "Text"],

Cell[CellGroupData[{

Cell["\<\
longpitchmodes2 = \
Select[Range[-noofLF,-1],longpitchQ[e2ni.eigenvectors2[[#]]]&]\
\>", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "4"}], ",", 
   RowBox[{"-", "2"}]}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwdz2tIkwEUBuCpw8yc4lxuSAwnXQgZXcSyi+ZnClLh2qYm2xpMF2G6tmqS
UExNsxZWW2bgjTWcNxr6I9jMKEZ4mQM/x8hwS2tFkd+yH2mTzS7rHH8cHg4c
Xt7Dq1SLLkTRaDQZzNP7V8oUqxShTXFZ0D/DCo8OTPWSn9GB7qGYBlBP+FVN
oMM1043eSTWb0A3dk36UNVIziobESXN3wThrzjc9yGwuDKJ7ZVVR9zZzd4tQ
hk+aNwSKDSeEKGkpKkd17AIpetAvW0F7JpweDygaY+bNg9GZHzu8m73c/ai2
3fHMB3Z16rsioEVTtiV2jSK8JPtQM2hb+/t8EMyWxzvQMS6jbwi8/jqrbRRM
5Jdo5sC0fUXDqJ6gFbvB29+bKlDWiECJLv82a9A4a1yWZ/PeyHoLTqTLdqFT
p/vkC2BTR5b0PVhxJGccDYntDYvgK2W0aQPknlLzY39RhOzh+AoP5NDLj2bg
vjpus4NnDjNMJGjdMWXeAOfrDxijgxQhUdYsxwTxD1LaEMQ+23tNoG3F7BeE
KOJ49cv4s6C8eJKJVi4ZMtBH1ZzcWnBhsaXgMlg4/Y5E5YHk2sdgAb2z0QSy
6Pk334AX2z+oc8OQl6yzXwLdpaVVWvDkYFiF/mijb6sDGxMmktA6CbsyIUIR
rhdCFWpLGGtFe8+NPECZkp38WyBFzfr2xAYInWLSIwTX/wWDatBp/JSpAfNa
FNmoL5IvQJeP3VChrYavTnSWmx51FXTPfOGg5+t/VqD7S5Zo/rQAUT7dnYhu
5a2noFPXBsLof9L4myg=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
transrollmodes2 = \
Select[Range[-noofLF,-1],transrollQ[e2ni.eigenvectors2[[#]]]&]\
\>", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "6"}], ",", 
   RowBox[{"-", "3"}]}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0VtIkwEUB/BdbFquFcskxVYuh4YZWBo50vxEJbqwSzmk6aBlILEbY/pg
4bSllYq0KIqljeVMbdVGhYr5UCO8ZPjlKNQtZIy0tuwh55YOL52zh8MPzp8D
53BS5WrxFSqFQqmAclu0ZZeW/ETdwQkr+kgld9WDrztJH8po7KPrweV1r7IR
zLz16TG65LKY0TbFw27UoVXYUbZhJ3k7muf9vANqq0tCaHFrFbUFJP+li9HA
RmVBL1jaXihCD7eUStC5tSIpmhIrW0RlQ+MuF3jvT0LBNzA7zvtgFpywTHWj
Vs0HmxukZbaaNqP7SWIZQcyTjhnA53833vSAKnb8e/SAZ3tXbxD3y22zB3FO
oCHBpt8lfSiPQT31BRw5YyhHUy4Kq9DE2aca1KrZetQF9geNCV9BZ6iCh5bn
WWUzoK8uR+qJ9o8PoenZg/rvoPdkjDkCfjZqshjLfmJY924xFfSsSvhckL0w
3D8AxkhY5klwijtqiYBjtUeMtJCfCGcoftFBJo2U6kN4V2KnGXy5u8srWPET
r54NbxOCp00jbHSt1shFD9GT8hXYT24uUoHr89OTqJNkK+6DfJqpwQzuayKu
O0FmjFedv+onbnbUD1wFX6xcuKwDRecjStSXsyW+Bqx0fNyBniM5cuYm/LlM
rETTxgeb0RMp9nbUweFl3QB1FNKdzggQwplRlwh8YgqH1CBrry9TA9oK5bno
DxshQO9OX1OizuKFMZTv2U/VYn52fg9anbZUjnJq5ije5AARx+9goQ1vw7tQ
akbPKvofTjWc0Q==
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
yawmodes2 = Select[Range[-noofLF,-1],yawQ[e2ni.eigenvectors2[[#]]]&]\
\>", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"-", "1"}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwlz11IUwEUB/A7pVnTZmkwW1BuIGmmIeKQpdZd5XqJuYk5mqb5UVBbDkuK
EFf2YTOxssLQYks3XAath6FlMUKt1gfudlu0ZuAUnF3zwbbZ3CDtnPVw+ME5
cM75C2oaFPUsgiAqoDjvzpQd8zNkMOeTCY3JrKVbwP03qBn0y6HBWB149de0
5hJYt/tjL1pxs8+A/km/b0b5uzRWNF+/0XkdHPwtntOD2sLiJXSDsp7Vjnf+
pitQkaiqyALOKEg5ut4jPfzffSq08kTVAprZ9oGmo3/xir6CKy7vve/g4gBt
RrlZo0880X5Hzyq4XFoexw4wpI/iiy6DOWsJ2wConot/jXZ2c/st0bmowwqO
p5ZonQHcV/wYHQqwDlIBzH9FiT6VyuvQgql+Lbo3j5NLgzZH1yYX6Kcr09Dn
W81H3aCkOk81CUZaxCPoZHhE9wOkk9iGCGjkNGaxg5D7wqsFQRD3louFYPdn
+9AwmFGRaJgI4l+ORxHQyM+9HbPEkNWz6p+x4Dm7U6UDOd94Dw3g2JjJK1tm
yFsCO6cEtGQ4ktAj7C4hqnu5uVAN5qvbJKfBgkX3BDpmSlbfBcdTei8awOOz
kuZRcKd+uqEwzJCtW3TDJ8E+Y1ntWTA7FNGgdvea+CYwteRNIvrMtq0mYZUh
retKNWh204tr6HnK2om2j6ZltYIEj/JsZ8+Tvp73tByUikJLDaDQOJOpRV01
eahdJpGhcaeaNejKss+BHmgTsBrBHe7ZFLSR8itRz50pwsufJ/WmB1z07Z5Q
MprgGgij/wAl+J7G
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
vertmodes2 = Select[Range[-noofLF,-1],vertQ[e2ni.eigenvectors2[[#]]]&]\
\>", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"-", "5"}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwlz2tIkwEUBuBtwoS5mpmESkgKamRCKk3yFt8wNIt0E225EHOWEJsbsqDG
2NKyLGzYjay2fcScbhgpESnL0pTEy9L5pay5fswFra1Rka62Fdk568fh+XM4
73vSmmSC03QajXYSZ15Re+qHjxgl3vahhm9iSg3yGpc8aKhmMEYDVqx5pO2g
9bDtITp9xEiik8FeE9r5RTqEviITFrvArNxi7zWwlFUeRLX3ztCvg5XsPQLU
YmgsNYPb9vH4aJ67og4tHikT/bcxYI7mz1MUGC9MLl0B/1jW7jrB6hvvTM7o
/anBVTCi1j7YBH/uFsYy17HXTu4l8OoO+rMB0GFkT6BjCo7RDLIcBd1DoD+T
L18En+rLLahglFFhX8d/OoVoJVvQbI/umeQomxGXT4FfVbcTl8HvAw0Zy9G9
/ob3YG8rV+QC65uLrK5ozgvNB7CwL5aMgHmhthzmho9YOf8ykAY+KT9RmA4e
ezPxfGQDe8aTC+DRgtlHEVDizb/JCPqIBqv0cwwY4NtFGtCjTNKToK6l310V
gl7ccVY1GN8zm4BukLfS0eTalBIJKCG7eK2gMuJcQIPtiZI7YGqW7iIJPj5U
ppoEqbBHVhL2EfcNmpGz4PiFOrECLDL+lqK2y8y4c6A8d5qDsqZ2NbE3fcRx
U40UtR2wXkE7VMNaNHU4M6cDrM9YWs1i+onl13MUH9yyNxSUgXNFH7PlYG+L
eD9KUbwqVP1XJUUdOu8MOpaSTm8DD4o+JaHu7nUhOmN109wpfoLF0W9FW12/
tqPKHnMY/QeqvJ8F
  "]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["View the mode frequencies by groups", "Text"],

Cell[CellGroupData[{

Cell["longpitchfreqs2 = Hz2[[longpitchmodes2]]", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.1191905936635755`", ",", "0.977837291264114`"}], "}"}]], "Output",\

 CellChangeTimes->CompressedData["
1:eJwd0GtIUwEcBfA9ZCs1mzVrDZG2Mi0TqSgpdHQnpkI07yw1JyvnehB7US2I
alODUrGHqVDZWJHarJgFomCxNIeI6GYXpZz5SEW9Y0XZFnNE9v/74fDjfDkf
jkill59hMhiMYsjLUeOJkiWaiCxwNaFPnGrKBE5sp2ZQ59bXbDPIt89qy8F4
zlAjumdNkxVVdj1qRkVvdG0opzzGXQk2GdIXqkDNQlYA3Vl8jlkNpk0lydEd
kyUSGzgSn0GilT9y8lHvv0wFGstV+VAVb5CiwHpBrGQUdFhnGsZAHznSjIZ/
7n3lAY+p7j9eAfOjTnI5v2lCEBZ34CZ4jc9qfwFKT6/rRn0k77kNPJp6sKYN
fKiTG9xgbFF2K3qkg509DAbzbhei7f1y9fDqXosBtfVF7KPAKqKePwLWaE7F
oyqeTflltacqxsE/iWldaEvje/NX8MO9tdYQ+GDiUjLHTxP9Vxw+kR9/Ljok
Bjel9XZ0gudro60uMCzf8yzkx/9ktawATYRMukU2aM/6pDCDwpQtFiuYyrRN
y4KwK+oOzwUH7AMb0NyUOjH6KyhM14DRvGqpDtwlHXeh380xmnrw6VlLmRX0
ujKvfwS1dXP69GWaMErLOi+A8uiC0stgjuyvFu3ZzY0wguqxvvUoq0ekilyh
iZXDx7WohfPuFnon8e1dtKIhIbkClBgpTwLHS8QNDlEkOO8OBvTglGM2yQBO
LpXuRzcrM2Sos+qGFuWTi/3oXruYeRHMm5wXoCbSX4gKlr4xpoVeovqqJQqd
0wU3oj+3tS6j/wFsr5aj
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell["transrollfreqs2 = Hz2[[transrollmodes2]]", "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10.489002357751348`", ",", "0.9952064784034965`"}], 
  "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwdzmtIkwEUBuDZxgy1RV8yZJXglkjliIjMRAefg1S6eCubTmp5I2K3hhlh
OGtkaiVJaeC0dZlu6yaFzbGWmViaqJPPSZtTkDTnxn5EOnJLsHP24/BweA8v
J6FMUVAZQaPRSmEsqzVnL/7xkiMqux5teVxF1YHXvdRPNJH5hq4GCc2S7Cb4
YGhCi3YO63Xob0NHN2qrVvSiAzq2vRHsGxV4msJ32QHUmnMpohnMlPAL0MFr
5QIjSIWE+ejzPSeK0OQLWWJ07HS5H50YH6cocPpUvGAGfN+12OYC32bNdLvC
/cOvZkGeu7VjE3vHiiOZq14y6gcvRQM+5dD7DOD8XtYgevLojhdGkMVPu9cL
rhcWKu2gJT7HhBIaRvYU2KNtFKHGb4UV6PJUj3IqnMccpsAiVlusAxQdkySi
5lXTeSe4uyRV7AYPzqdb0dSmT+o5sPlQtC4ENrir+cw1L5l3/7M/AZQT4jQu
2Jn01dwPsl2EbhKU/Fp6FloL/9e6JYAqVuhgbSwlVoNxDE6XDpy7YlrIXYd9
25eoPHChdIJAfaMPuSjTsCtDCh4X3s2Ug1r13CSaV8mWPgK/S5/U60CRJOvG
EEgwlhUZQS+5/0N9/2Vw4/W58mpQ8HdDhpodkdFXQdXtke0ovZ1bFrPpJWsc
Z2So0/qxAWXY3rWgntx9/FtgVe30bBLTR8rpdiofTBYHAwrwTsnSASVoaa84
goacwlyUJqiToTb/yij6kuRFqMCUYk8cKgqsiVD91kXaAsdHpvu7WOgAEdyJ
/rObguh/LeKfdQ==
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell["yawfreqs2 = Hz2[[yawmodes2]]", "Input"],

Cell[BoxData[
 RowBox[{"{", "0.7558093571106802`", "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwdzmtIUwEUB/DroxVpFiYoQ6RtycKYgWVhqe2aldLDHNPGJqFrg7Ith6Wt
MteMxMUILBfoyBU6ZxkKGiolYUW1L029m5mPSm1Nr1joHtEGzs7Zh8OP8/9w
zp8lrRDIwwiCKIHp46qLytw0WVI/1o7u+XaBqgU7P9rn0Rhed4QGPHngl1IL
WqttRnRcbTahYpnRjOpIVQ/qNMePNIAEwV/QgS3N+T50MOli2D1QMJgqQG3t
8uxO8DXraCFKBU4Uo5LMPAnaVyVbRjnTnykKnL+xI3sc1JQ7DZMgP/2LeTJ0
/0PXFKhXPGxZB1cs4o0MD03yepP33wH/7op8aQGv0zHDaEJkbFsn+OjIIX0P
KMoQqkY8+Cf/Gdp9fEPeKNjv0YnQiTahDNUaLCo0p3TLXgp0U4Y4B+hdK01G
M390nfsK3jqcIZn2YK+sV6j91BvNDMj0RpsCILFSzWN4abLDOLzMAhPFJQfZ
YB3nU/8AKN0WZ7J5sWfgaQA8LRU2hvswVy1GgK5RSqIJyXxsAq9Fdc0W/KPJ
sj9vN58B30/YYtG70iY2+oSfmKUAMxX6nMsg+9J3G+oSxCuacL9pum0CZXN5
Ne/ANN1CRZafJme42oFycFUoOn8VZBrXlOgD9aaoKjB3zLoVtUs50uh1mkxS
FSlDHhuqR1+c7b2PLu5M4dWB7kbHFJexRIavjlCFYKXL76sAg7+du1Vgaoo8
HeXLcgvQyblaJSproK1ofJATVgnWOBcS0LRmnwgtD/4kZplL5FBxawy6r8O/
HXVcee5H/wNHJp86
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell["vertfreqs2 = Hz2[[vertmodes2]]", "Input"],

Cell[BoxData[
 RowBox[{"{", "7.098649494320962`", "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJwl0G1IU2EYBuBNa6XFFrNipKQuTSykYFi22uhISC5DJ22sFpJzWsm+lAYF
5ZqWONNI0AitjlHadNaExiYSpYNk+7PpUvwKknDlGaOgOcuxsuc5/Xi5frwf
z/3emSp9eTWTwWBchJV67Ias8idFnBsMvEAzh2sDDWB/z/QXVMe1J5pAZySo
NYPq4/4e9GR+P4mGpY/70GxWnR0VOnj+FrDwEvHNAj7SSaIW+v5VZitonThU
jtq8l8VW0J5eJEWZcyVyNJxbrEST7lSHrXQeXyAAlo/wxTPgDkWwa57ONduH
1tRM2Bbo+V3dG+AFtXILK0IRTWP7jzSBI3s3O16CRU7OGOrwcJ9bwdHiE212
sOSozOAH35GSAdQgYp2eBAWCewq0wCJTo8P1VgM6lMYWBCKY5+HOaXDfYmX2
f19VzNH7QuUiuEkuHl2k33lv+gQ23mWTMZyXcz2PtUoR8YHxcOYq9lMh5INb
OV6nC5Szd5G+Vex541mMPifrSIjS/a4kRvF/H5UmsE2T+oQEuX1DS6W/KUL1
3Z1cBt5a83PR9HgnH/3jTxNpQAPZXqgDW6c++9DiAp6mE3zd0XubBHfnSm66
QR+f0ovWKeJBt9lVC5ZVna+6BhJn/mrRloykbUYww+jloPErWartGxTxK0Wu
RdVTb5tRV+Kb+2jW/IG8RrDBOrOQwwoRnq+TASnoqotF9aDRHDxoAGc/VOej
zT9OlaLL7SYtmnA25EH5g1nMetCtX+GhyaI1BVoZX2Ys7QkRovGnbJQtiaWg
hYdt6+g/Si2WLw==
  "]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mode shape listings/plots", "Text"],

Cell[CellGroupData[{

Cell["#1", "Text"],

Cell[CellGroupData[{

Cell["Hz2[[-1]]", "Input"],

Cell[BoxData["0.7558093571106802`"], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0HtIUwEUBvCZMM1kioq4UkHbzFhCEpYZU6+VLZ35gIapuXxS805NClGs
qYFlmpq4JoZdyswnOlJUBGtMIolwa07UOWOKrO4a2WNak9TO2R+H3z/fxwcn
KLckrcCJwWBkw3n5VV7O+UUTzWNzL9GtUFJ3F4ysn19Dw12VzjLwR49ZWgNq
/mieov0/X1Hofd/ObjQ2omwYbVGzNQ8c+bgv9eCTs4mb6OiMxOkhuKs/noYe
ExdF94Kf/8Wnoq3vkkSo0CMhE1WVHxajnJFCK1oj1+h0YPmbrkV0hRMSPQ8O
+pvlS6B/xmL3kmPv/YABzD+j6NgDJwKvujB/04TrYOjJe2CCO3O0B1yr9FSh
KY+8u3rBuGv8xmGwSSEq1YCNZGIf6jPkItCC5xoa09G5JFE+eiemrxStoFkn
dOCzDYWPHgxS5nJR244yexEUrEZlLoPFXjGTy47cW5kRbHntSW2Den5FGNNG
E2at2hoEHs0SRwWD8eyPY+M27PtSszbcZ7zYBkWsK4/3beKfb351Bhe69Jky
cPKifycFTluHTMl/aSJkfdotBZQIPnmhVQ3yYLT9RgCfBGPJ5rhi8FDb6ix6
Sswm28DW1efVFFjmLqxSgwa7pYRvh35R7bgELCjIyLsFBm7sSlGhav+B2+AF
7gcP1DTBzXXfowntuEiK9mdN1aEc1UgTapnlhdWCk+ELhiNMC3Ep0ahLBcm8
nc0SMDDAzCsFZTmFEeh1yflk9PvpainaHvVtxiGf61QGRjrTfui6aSsddZOa
GaaDFmKKR7HQupVtb1RoHLCj/wH+7Kgh
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "1"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", "0", "0", "0", "0.9999999999999999`", "0", "0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->CompressedData["
1:eJwl0WtIUwEUB/CpMWVbSmvJsIQUNkVdIKOnuLqhS2Tlg9rMkeErYW5umAU+
UNOMrBkVJWLaYD4rc5WiUBpig4ximxezbUbIEtfVpdDuUtfDzrEPh9+HA4fz
PyeqQJtdHMBgMPKg+Oeqz+T/oAjd9Ew3uiTUkLXg1OVZFyoPfR5UB+YWuTVX
QNWY7QHKG+wzoPxtD3vQMu5FEyoW77ZeB817U9zNW8p86IvO0oAbYNNyYjbq
7FVL+sHtzhNZ6FP6lBz98jtdidqrBef/90s8aIfZRpLgSk2fHQ13xEk+gpXU
4n0H6LDM9aAxiVNPnODd723tm2BmS0kw00sR9J+EA41e3DN4uA/s1u2YQFNu
8rr6QW7jMb0JXOhR6KxgzmHZI9RVFZJmA09/bclBxWJFEZrOeaxDpSNhYnJr
fhtvxot3KRSg09FDeXbQupaknPPifkdfoqqxibrPIPst1+AHi+OrREyaIlif
3niiwEPN+UeiwYRdlpFRGnPwDRYa84cY/eDcRu6dQB/mLv8WBA7smVXWgQJm
ZKcB5FiezWesU4RwwczKBOXtJBcNF7RGo/R6ZLIaXBm6fbwM5I67LOgHWYT6
HvjKbaw3gLKmkzWToL/Wo03egL/4G0ZV4LBUWVgB9po2NehZNYt9CXx98H0Y
mtQRU8DZpAhSr9Cg2evj19DJq8O30M5wkagBlKbZnTHMJSJ1dYHMAtmxf31a
MPbdYrwO/Elf2I8O+lIz0LiVeg1qXFyeQgcmBAHlYMUoxUdX9Ws5aGCpmzEf
sURIWg2h6L7KXztRYf3ABvoPZP6t+A==
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 2 mode 1\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "1"}], "]"}], "]"}], ",", ".2", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", " ", "floatmatrix2"}], 
    "]"}]}], " ", "]"}]], "Input",
 CellChangeTimes->{
  3.482520008265448*^9, {3.4826659508043675`*^9, 3.4826659543833675`*^9}, {
   3.4826660028613677`*^9, 3.482666020563368*^9}, {3.4826685801873674`*^9, 
   3.4826685984673676`*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, 0.0026500000000000473`}, {-0.009966246979334245, 
     0.049165039877405885`, -0.2466400000000775}}], 
   Line3DBox[{{0, -0.00785, 0.0026500000000000473`}, {
     0.009966246979334245, -0.049165039877405885`, -0.2466400000000775}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 
        0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 
       0.}}], {{{0.9800665778412416, -0.1986693307950612, 0.}, {
      0.1986693307950612, 0.9800665778412416, 0.}, {0., 0., 1.}}, {0., 0., 
      0.}}], {0., 0., -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{0, -1, 0}]], "Output",
 CellChangeTimes->{3.4928882823820295`*^9, 3.492974231529229*^9, 
  3.493035952069395*^9, 3.493036383334062*^9, 3.49303645934741*^9, 
  3.493036666304247*^9, 3.4930369081880817`*^9, 3.4930376395099115`*^9, 
  3.4930401372977767`*^9, 3.493040327421651*^9, 3.4930408398699617`*^9, 
  3.5037511752658143`*^9, 3.503751285084096*^9, 3.5037513279755487`*^9, 
  3.5037531655076494`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["#2", "Text"],

Cell[CellGroupData[{

Cell["Hz2[[-2]]", "Input"],

Cell[BoxData["0.977837291264114`"], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0V1IkwEUBuDpZEGJ1bQcKtSkFFpCtdaFqPkJzinW5vzJmk2aE8W2b0MW
wVJnBpZihWFSZn3aWi2KZiEOlxcyxErNjeXPnEZLIp3ZINuW2s86ZxeHhxfO
xXs4bJlKXBlGo9GkMEcl9cXn1jwE9XXmEVp2k3Q0gB0s52JDKL+i68BZ/bLy
MpgX6biH3vpupND1QsqALmo1JrR7JMF2DYxK4S+1gNXtJ/yo1a8IawVF17li
VDCoyjCCjVm5BWiaWVSCHnHnS9Di10nl6IyIXEWTDy84HKAlt8+JQvOMafD9
xOrtuVDfL4a5ULY/c4FSS29XEDSOqrYwfnqIFznEsSsgyYztfwKelLGGUV0N
S28EvXU5bSZwR+lZtQ18mC1+iqrTowR2UPC5s9Qe2pfL0SGNSY3yB2K5DvCT
sDdmCqwZUuxHOVctUie4/JuQzIOZPL4FXS98o1sAlbNx1CYYHt+UwvCBnPFV
tg/7VqUmgktS14AZ7LrLpibBSzF5+k1w95ysPdzvISJKtMt08OO+NYkOrD/O
u0+B8YZ+t3Ad7rWNbhWBY7NTTJT74UEiKi9PTleAE6c6s0hQm++dRA+e3qvo
ABN8xkYKHB8uqrOCoxq/Kn0D/l3ZYq4BkyYrKjSYDREkyunbue0CyO+2b0fl
gkOyyKCHyK4tU6Id09ZmtGhk8Ab6a4yX0gQyA6L5ZMYKsefMX0cB+O8iPaAC
64q+cdRgtes8D1VX5wlRZU+zErXv+vEWJbkHwmrBO6leFhpo/VOKZr7z0Nxx
K0Ra1eMotG0+GI0+j365gf4H5BCneA==
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "2"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", "0.04750002461544443`", "0", "0", "0", 
     RowBox[{"-", "0.9988712367775597`"}], "0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0mtIk2EUB/A5ZcISF0tqia1m5ewywsv2IdJ6TXA6mZfSFuI0U6KxuWWr
yMTlBM0sIWbYBX0t01xFaonaGCHWaJQ5XRkzHVjR5Z2rZepSK+yc98PDjwPn
HP4cHkGRNrskgMFgKOFZTlbmHPlFEQ84rjvow5Szzkqwdu3ERzTz8uNAA7ha
QWmqwF678yb612wmUUtqazva0FTehR78tMFxAXT8ln2tA+2n5Qvo4EtNwEVQ
b4rPRvf0VyR2gumctCz00JesXDQiWJ6H5h8TFqA/DVovOsB3O52gJ6rHhYaK
JInj4Ktb369O0Hmp9gk619j993TdfmMFVFl1waw5iijl7pdUg4Wfeb13wdfD
EYNo+K71bZ1gcr30UhcoVip1DjCRfcDsoOc40lFQGHNNMUr3lxSjdUS3DtWb
eHFOMC3kdthbkFWl2Yp2l1mVLlD6ISlvkt6XYkGfb7IbpkAdk08ugx311SLW
POYc9grm8V6q3ZGg3DbV1w8+at5MjoCt4bK2ZdAfXXyFuUARcXHnvgWCLb65
PAPo3iJpJsF5ad90xiJFnLC9YGeCRv84Fx1Rk5Fo7M7oBDVYTjYllYLbGn0j
qFIiUDeCycvm8yTIFeRWDIEGk1+bsEQRQ966fhUYX158VA8evs4qRddVcVed
Ai0iJwddFMcUhazAv+Hna1D28Wc16J8CSwPKPCMRGUFbQvakkOUhrL6gN1mg
oibIrwULHTM7dGB6jlqMpobIMtCNa2o16L0ns3bU2Lc9oAzc9+4HD43d+0+B
DrlnGNPhHuLpWEco7QAjDJ1t6VlC/wMlLaGg
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 2 mode 2\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "2"}], "]"}], "]"}], ",", ".1", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", " ", 
     "floatmatrix2"}], "]"}]}], " ", "]"}]], "Input",
 CellChangeTimes->{{3.4825200082731247`*^9, 3.482520030607634*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, 0.0026500000000000473`}, {0.004914542282484907, 
     0.050165, -0.246631775455895}}], 
   Line3DBox[{{0, -0.00785, 0.0026500000000000473`}, {
     0.004914542282484907, -0.050165, -0.246631775455895}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 
        0., 0.}}], {{{0.9950154277682041, 0., -0.09972110360028061}, {0., 1., 
       0.}, {0.09972110360028061, 0., 0.9950154277682041}}, {0., 0., 
       0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 0.}}], {
    0.004750002461544444, 0., -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{-1, 0, 0}]], "Output",
 CellChangeTimes->{3.4930359522634068`*^9, 3.4930363834980717`*^9, 
  3.4930364595024185`*^9, 3.493036666460256*^9, 3.4930369083510914`*^9, 
  3.4930376396759205`*^9, 3.493040137458786*^9, 3.49304032758066*^9, 
  3.493040840037971*^9, 3.5037511754058228`*^9, 3.503751285310108*^9, 
  3.503751328137558*^9, 3.5037531656686587`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["#3", "Text"],

Cell[CellGroupData[{

Cell["Hz2[[-3]]", "Input"],

Cell[BoxData["0.9952064784034965`"], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0WtIk2EUB/AtaV0WOmJUZEXeUpA5cmTg2vA1PxhZm1IrG3lZGmFTX2oL
jZipYRdlZOiKyvbBTV0bGWEaK8YoJYOcMg13EZI3ws1sLPc6nOXsnH04/DiH
h8P/8CQp6kuqmQwGowxKmPjnbOWynzicThnQ2d47Tg2ofUxRqILzIa4JbLUH
aptB6wnXM9QbeaVHd7n7jGjm3ZZB1LLv0OQ90KaXLdwHozNnVtBwhor5ABQI
hCWotLpDPAB2BaXFaFFCmQx9n1QqR+fTs8pRVV7LEqpcWHA6waFxq8sZyycW
fwNHD9LdbnCrhTa6Y3OP2QPmDlmebuDeo41bWCE/IYu/mNMKUjdTh/pDmCvV
jgb7D/QOxObSjkHw+WgVOQm6HedM6MRXbuFUCO82nEcf/VZVof9Mb0mU92a/
wBl7b+bOgL6/6jT0u2SszAXS64VybwhznLKipMjRNId5oin6NVDD7+CxaD+h
Oz69lARW/CRzk8Huvh/DI+CVTp7eQeP9ZuMajXvVnZtW/EQaq9kXB+ZXrMub
VvCfjvXowTa2dV6y6idWX3/ZLgXDAtdOVKcwJqMpmiyREuQoevLrQPLFqgNt
oNKUXWDRxOBtPcj8VH7rIxiIROtFEcgp147UgCzb1UsqkNKw61C7fTdbDQb5
swnoaV2OYseGnzCYKmvRd7zxNjTgsWnRjEYRrwXkLMu86axFIvEhf7oY9I1t
C9eDc+3BTBIUT5FH0BuXJRK05nN7LRotCI/H+gt85jVwMi+0Bz35i1mKZhcE
GPN7F4nrT17Go5RwMxdtyB6OoP8B36KwUA==
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "3"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", "0", 
     RowBox[{"-", "0.2751184081292666`"}], "0", "0", "0", 
     RowBox[{"-", "0.961410350219103`"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0G1IkwEQB/Bt0ha2FoSOkSJq2bTQVWJFuLHHRBKptZUyX5gvlYRsOnMT
iXAuWTYzNdJedLqghqbmRGzCFKwZKX1wMjVcq1DH0scsTTdRiexuH44f3P+O
g4soKJHcoFIoFBlUYvB6ev46SfScdb9C5Ys1jkowJse9gPK+DQdowGHVqkIL
ZrCcrWiKxWxEtc0dJlRm1Zm1/vlo+30wpyFrUQ822tJ9ev+emloLWlMTJejH
rUZBJ8jIlIhR4f7cDDSUkZWNvvHG5aJXGqtXUMOHJYcDDNMNzaJ5HqFgBrT5
vM1OcDN6y4T2t7m6v4BKfm/LLsiKvc2gb5BEE+fm6WpwpiJqoANMyot5h3JP
hr/s9PfFdWZwraNQaQeTH0hfoy3Pgy9M+nOTFD3sUl9HnxVblOh4eVi8A1Q9
7gmaBouGK6LQJ+fHZLOg7mdqtsvvRSvKpNk1X/HO0yjjDtg1/zCW7iUJPTG9
EuHF/5ediwSJUY9lEGQ744wTXrzTa9oBe0LLH9F8JHHVrV0KAIUJ/7I1YA2b
32YEf5cOzYm2SKLS8CnwMrigcx5ET/w1RaIDQh5fDloc7UnFmLu2J9CukaPy
JlA11VdlBNkh+XdsICeDouRvw/++1w8WgYZjimsq8G0asxj9oeTsU4P9l2YP
oFVlZwqYuyQRwi9QoHHvx++h8YUj9eiLeUHsXbB1r9TFpS8Tv+inpsTg3Gjg
Zgm4xvpzXAmGp5UmoLWkSISaJXUKNHlycxzt8/Cot8CU6Q0OeqSBlonWSVYp
c4eWCS+tm4Vyx/YEoeLPlm30P26sqfo=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 2 mode 3\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "3"}], "]"}], "]"}], ",", ".5", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", ".25"}]}], "}"}], ",", " ", "floatmatrix2"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.482520008281275*^9, 3.482520039934369*^9}, {
  3.4826658803223677`*^9, 3.4826658804043674`*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, 0.002024034665600474}, {
     0., -0.09384241781746433, -0.2696495280819233}}], 
   Line3DBox[{{0, -0.00785, 0.0032759653343996204`}, {
     0., -0.18280192531827694`, -0.22325647983961794`}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, 0.002024034665600474}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.0032759653343996204`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 0.8866690670867396, 
        0.46240454741657855`}, {0., -0.46240454741657855`, 
        0.8866690670867396}}, {0., 0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {
       0., 0., 1.}}, {0., 0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 
      1.}}, {0., 0., 0.}}], {0., -0.1375592040646333, -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{0, -1, -0.25}]], "Output",
 CellChangeTimes->{3.4930359524724183`*^9, 3.493036383660081*^9, 
  3.493036459657428*^9, 3.4930366666082644`*^9, 3.493036908523101*^9, 
  3.49303763983493*^9, 3.493040137621795*^9, 3.493040327737669*^9, 
  3.4930408402019806`*^9, 3.5037511755118284`*^9, 3.5037512854371157`*^9, 
  3.503751328296567*^9, 3.503753165828668*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["#4", "Text"],

Cell[CellGroupData[{

Cell["Hz2[[-4]]", "Input"],

Cell[BoxData["1.1191905936635755`"], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0H9IUwEQB/BtxowVWSJRoywdZbBGRm3IUuGZiRFljnhsuaymZoibszSi
zLlZzllZmpJMYmFzriQFmT9SiZExJNwWz6TpKzOhbLLAfJvpJOzOP44P98dx
d984VYmsgM1isXKhCkvZ5OVFP8HnLVjR+qeNVCWYZPo9iy50uCJ0oNQRVOvB
DeR0K/otq9eCTtx83Y72MQ+70YHYw95akF5RzZnAomFlCOUIb7PrQPdYugx9
bG5LtYNnpIps1FxaRKKu5fwcdP+0+CI6k1AXQM/nMxQFev+O+Kj1/lTqBGjc
/q95Eqx2cmxo24mfnVPgItVrXlvfVxXJZfyErbVJUs3g/CFHB5h+P9GJDpcJ
XthBcS75oBtMu6TWehn868JLVDbAz/wIjp/ukqPhSkM+qm8e0qKx9wRHKFDU
0xvzicEc9PtQ5SNPrg/M/C7LoUGhkRyk1/d/1n0Bd+05aAmDNXSTiBvEfOhA
HOgYvSWNB03WQF9/EO+SWDzg0oH37WFw8GRFAyfkJ+wu46+IEM5FKnUhvOP4
Mws4Hng7k7XsJ+quj/HOglNddDQ6PNcZj16tFacUg2SxLU0DUqI1Dyq/Kyxu
Aj3GN1UWMCNYWPEOvPNjozZlxU/krTb2F4GcyRt5ZWCMbpsGnX2ye1M5KEj8
GoUmRSWrNq9BbporanRvsrsGDfpG6lGDKENkADPdSjqBO0/ICo+NZ4POgq1L
JaCvJyTUgtGucjHq5J/LQufkDWr0Q97qKNpiOsq+BlolyzvQV/GRClTS8oc1
w58nHM+7tqCCnbwYtEwxtIL+BxPPrEI=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "4"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", 
     RowBox[{"-", "0.013945370733378823`"}], "0", "0", "0", 
     RowBox[{"-", "0.9999027585896085`"}], "0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0GtIkwEUBuA5ryxxtISGiaAYlrpiiK6Grr7o4g/TNmPaphPNpas5v6RM
SF06lZoSyJzUcsxK02g4CJtiIhJmuvDCVNRmpRHYZ2K1i+gk7Zx+HJ4/L7y8
J7KgVCT3odFoMji/Rro430kRitg/Hajhsd5eDZIpG99QSeEHXzVYVuwpqQHb
w74+Qdl+VhPqJ+7pRGO4LRZ0cTJh6j7orb62+gD8+DTXg3KDKn20oNV1ToQm
JXUJusE0pkSIxufdEKPuObkUZfrz8tBiQeM6unnEbbeD5vDRBdRpvyiYA0M4
u/pFMKI+8AUqYKy++gSG9vQZ9sBhW01ggIsixspbkzRg/U9ub5cLdyUMo9kn
o593g8rVrCYL+EilIqfA04myl+hr46HU6f95SzZKj9MUouGSQRJdF0Yn2F34
j4HQWVDUX3sYZWmmZQsgYz5T6gC3MrMG0N3ZBfUS+KafY/KCB8f1nAA3RbSw
l9YjwfPWu/wo0LuyYe0Dm5Q80yRYdep9pxfsIKua6R6KSF3R/vAF+b1BOWoP
9p01mkD3zeHljC2KSFdMMC6BQ0c/s1D2HXMU+r2Nl6IEnf7dZ1TguJg2hWrz
45Ut4Gj9wD0TmJOmqHwH6nQMMmWbIka0ur7roLO64uotkH+cpUKHeBH7boMV
RV+YaJs7uSB4jyJiWUUlaM7viQaUXzjyEK2jX+DUgs8cuY6YgDViZz55Rgg2
SPdvloKDnM04Ehw5UZ6IzhkvZ6C2meYSlPlrZww1Byf6lIHhti02WjcaeAU9
1uqkLYetEfIDlhDUYGaEoul/326j/wAe+KMN
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 2 mode 4\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "4"}], "]"}], "]"}], ",", ".5", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "3"}], ",", 
       RowBox[{"-", ".25"}]}], "}"}], ",", " ", "floatmatrix2"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.482520008285309*^9, {3.482520044847633*^9, 3.48252004830354*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, 0.0026500000000000473`}, {-0.006181703632254456, 
     0.050165, -0.24643804968699787`}}], 
   Line3DBox[{{
     0, -0.00785, 
      0.0026500000000000473`}, {-0.006181703632254456, -0.050165, \
-0.24643804968699787`}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.0026500000000000473`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 
        0., 0.}}], {{{0.8776058708608486, 0., -0.47938286935451874`}, {0., 1.,
        0.}, {0.47938286935451874`, 0., 0.8776058708608486}}, {0., 0., 
       0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 
      0.}}], {-0.006972685366689412, 0., -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{0, -3, -0.25}]], "Output",
 CellChangeTimes->{3.493035952664429*^9, 3.4930363838300905`*^9, 
  3.4930364598104362`*^9, 3.4930366667642736`*^9, 3.493036908692111*^9, 
  3.4930376400009394`*^9, 3.4930401377858047`*^9, 3.493040327890678*^9, 
  3.4930408403649893`*^9, 3.5037511756138344`*^9, 3.503751285566123*^9, 
  3.5037513284385753`*^9, 3.5037531659896774`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["#5", "Text"],

Cell[CellGroupData[{

Cell["Hz2[[-5]]", "Input"],

Cell[BoxData["7.098649494320962`"], "Output",
 CellChangeTimes->CompressedData["
1:eJwdz1tIkwEUB/DNkcWSGSI6JKiNTHNI1Fps1oafJNgwnEuGzhuurQeb21c6
g5TmJULF7CamLlnkbTVJW5ZhkbYy9cXpVFwt0MpaG7KH1LUtnJ3jw+EHhz9/
zmEptFIVlUKhFMEMmSNkJX/cxMxioAcdPfvIfh0M4/z9jq722mh68J0xWFYL
7pevGtCEY2+NaGhhuLd2J2cYRPmNAlsDqDyldTWCnR2qTdRbXU9t2slnStHK
Sy9FJlC8qshG+8t1MpT0aPNRiSq1GOWX3FtDc35s2e2giG5zoAW3ZaJFUO2i
tX0G6UuRfShryGv+spMb69wG71gbd4ev495ysh5c6uYP94OpvJRxVHIrodu0
jv2FzYOgjKEjbeDDj8on6FQlO2MW9CW+zkV/zbYo0Wb1BxLlcjlcO9iusUYv
gPPnmuLRPQOOIgdYFS3Pd4JxRwtHURF9Wf8VTJOcMAbBoKYrOXzDTfSQ39ZY
4OP0uhQ2yBb5Xo2ApFBknAH7DAu9QTBXcONu2Cb+ff83DfSfjy3Qg57DHV1G
UJw0sZLlh3vENroENFctR6HSpy/Y6Eb5aaEa5O17lqYB/ZZdNrSUdlzdCg6G
xmqMYJKHrLaCMaYoUhiA/uL2kVLQW6G/UAGGPjE16IO5+L060D/5MxJlPicU
Edtu4qpBXYamt9pvogWuqRY0cSIzuQ480K5wJoR7iNiD8vls8OJWjE8Lys78
45BgTvc1HjrJzMtCZ+faylDvG8o0emRaQL0CZhzaYqJ0eUQe6nBuUFbiPETD
ewsDNQ0wotHLNeMB9D90yqpF
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "5"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", "0", "0", 
     RowBox[{"-", "0.9999999999999999`"}], "0", "0", "0"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->CompressedData["
1:eJwl0HtI0wEQB/AtccHMhLDS/gjUssREKFtt6OpnLwNzTWRNtmZtOmjslUwh
stR84GMUoWhp+puabpa0yE1pJa0oH/SYzR7qApcR9htG4WbLadnd+uP4cBx8
ubsYqSa7gE6j0SRQ+UPhgrMLFLFtNHAb1Su7nJdB5Zx/FtU1jIeUggniZVU5
6In/2vrfIRJtuWntRjuPtJvRn0aOowaUywvnasHRYvkimiWtpNeBA94T2aju
oI1rAg0LMj7K0V8QoOonWhH6KIbIQ62GhnlTMPev0wmahh2TaE+rkPselNhC
m6bAzH0be9AHbT/uTgfn9pZVMONz3VqGlyLSz1hZFeDLDrbFCL5+lWpHbcd3
dplA15JEb/bifkVaB7i/tqAXbToUlzEOzvAeCtGtVdfyUSH7uRZ1+BP3OME4
14vIdyCXWb8drbBPSyaDvUjkAnO+nLahzI8zpZ9AA5NFBkC9uD2J4cM/zc7H
gIfrKzmxYM7RwMCgD/MPkG98eMeH7gC40lt1fc0iRSgeN34LCRolLgUZ5R1t
JBjtH3bzflNE9rm3zJOg5rx7A3qfbYlFK1lpaUqwgTSnq0HdCMOB3nLvVjaC
PSv2MhLsSygseQYaFZHatCWKKPHfGFSANdIymQ70NEer0e5L8WFFYCp/LgKN
qk6XrluliH6eSoV+T56oRkMrxq6izYKspCvgnXsy1w6Ghyg+lTfBB3d5N//S
gIqR5UQtyNh0cS/K7cvloZbMZhWacow+hhrEHHohGDv6JwplJofnouNTizT3
Fg/BSelfj/IzIiLRgbCnS+g/IuqsrQ==
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 2 mode 5\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "5"}], "]"}], "]"}], ",", 
     RowBox[{"-", ".2"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", ".25"}]}], "}"}], ",", " ", "floatmatrix2"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.48252000828906*^9, {3.482520053744047*^9, 3.4825200592662697`*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, 0.19760019795777067`}, {0., 
     0.050165, -0.046640000000077494`}}], 
   Line3DBox[{{0, -0.00785, 0.19760019795777067`}, {
     0., -0.050165, -0.046640000000077494`}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, 0.19760019795777067`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.19760019795777067`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 
        0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 
       0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 0.}}], {
    0., 0., -0.044990000000077496`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{0, -1, -0.25}]], "Output",
 CellChangeTimes->{3.493035952865441*^9, 3.4930363839961*^9, 
  3.493036459978446*^9, 3.4930366669162817`*^9, 3.493036908866121*^9, 
  3.4930376401629486`*^9, 3.493040137934813*^9, 3.493040328046687*^9, 
  3.493040840531999*^9, 3.5037511757158403`*^9, 3.5037512856951303`*^9, 
  3.503751328579583*^9, 3.5037531661476865`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["#6", "Text"],

Cell[CellGroupData[{

Cell["Hz2[[-6]]", "Input"],

Cell[BoxData["10.489002357751348`"], "Output",
 CellChangeTimes->CompressedData["
1:eJwd0G1IkwEQB/Bt2lO4UbGGoKytWbIRiqzozXL2qKSIaI4ahi+5OSHm1CH2
4tLmFCtthIkFzZdFus2snITMUJFRYRo5bStcLUPMmk8tKttM/aDd9eH4wR1/
jjuBolxaTKfRaAVQ64YImXyJItnMTWZU+rTXdQWMm6V9Rjt/ekN0oPEuvUwP
Pun43oaqfc9NqPLosBnd7TXb0FGTZOo6mKmo9jWC/RXqIBoqa6I3gSk3TknR
0YxxSQ84J1Rlo+kLdTL0xWRVLsq0ZZxFbXyjHxX0E24XuCzyeNC+VLnkHcjp
Y955D56w8y1oNLH68AM4+XrcuAG2/GjeTPzBexwH60FLW8qAFQybSXaghxtj
u3rAbk2xwQZKwi5rpkAWo+QBOq8VpU2Db6Je5qDiLfeUKKGf0KDXwsX7XaBq
ZJrzFpzpao1GZ/fMF3jAmkR5rhcUipVD3v/9r7qPIJd/zLQGZkqtsUSAIi+O
+vyCAO4zxEeBhWn0wUEw50iayRnA/38xr4FVVNMtRpAiH3GNiyFB3LcrTxfE
+eMOE7jz76u5rBWKbE93h50EfzX42Khj+1AU2jucnKAGm8ftSWVgcQRrCnUU
HVK3gkmLY7UmULt0qfoZOELyNAmrFJl/u3NQBYrvNxRVgiUWXhm6Vx7DPA8W
mv3b0IXuVAVrgyJFA5WlqEziuYoy9c6baHjL6dg6MKg45xUS30ievcadDe77
zV0uB0M/0WI0YN6F2gNo/Hp+FuqcbC9FORQxgXoUifQKzEcyItCAlX0G1fJX
aHORkJ+3b0Xjju/goPUbY6voP8DLovk=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pretty", "[", 
  RowBox[{"Chop", "[", 
   RowBox[{
    RowBox[{"e2ni", ".", 
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "6"}], "]"}], "]"}]}], ",", 
    RowBox[{"10", "^", 
     RowBox[{"-", "4"}]}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"\"\>", "\<\"x\"\>", "\<\"y\"\>", "\<\"z\"\>", "\<\"yaw\"\>", \
"\<\"pitch\"\>", "\<\"roll\"\>"},
    {"\<\"optic\"\>", "0", 
     RowBox[{"-", "0.006677856404988172`"}], "0", "0", "0", 
     "0.9999777028683361`"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[0.7]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->CompressedData["
1:eJwVz11IkwEUBuDN1YylFrqChlEurcSWRCQiufVJiX81lZqGY9Vco6bTj5Gm
Im5lWKklWu1iyyaKNSucF+LCJMQk5wgXc+nWDCWb+sn6Uae0MbRzLg7P3fue
N0Zann+dTqPRJHDSFo7o2ipFyIPbu9FAXa+9DrzRSp9Hn4/OMNSgpTKk7A6o
Vnj16HTXqAF98ed9N7rpMJpQdq/A9gBkTasXH4KzQuU6GpLQRG8Eh62X8lFy
2cY3gqo9JXlolbZZhI501hShBQvnr6DWC3ovmtK/Y9IOchJdTjR9oJj/FYys
D9O6QHHL4ZfoxXn/m2+4R27VbYERvLZQ5hpFdHA+JtWDWWHp/a/WcGfWMNp5
7niXcQ33yZtNII1WS9rA2x9KetBZYXzGF7BPZSlEFUMdMnSbyEqih9wnTtrB
+3tdbAe4u/BZHBrs8Uic4NtoaZEbvOqRDaLV1IJ6BnQ+ERgC+E/QyGP6KCLx
+5I3xod9j1K4YFUOw2z2YV6mYQKMFy92B0DXRFNryDrm6JYYIJnKFatBPsvU
bgA3dJ/nhP8ogpvkYOWC4/FUJBrdMchFmdlnU0vBNsu7tDJQnBZuQ1fPJJc+
BRW/xzQGMLa4pnYELHAfIFP9FDF11GBWgD6iofgW+Fd2sAxNDuftrABPZ/7a
hVa3ZUjDtihCS1Yo0U2XswH9GWt7jK6wCnh3QU31TfcR5jLxulIzmQf6F/Zv
lIMDufRjJMhf0ZxC+1olQvRHbrsSHboXOo56PQK6CvzUyNiHTmRHXUY74/y0
Oc4yMZNjjkCn3FFsNEE/5kf/A4RZqOw=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DoWithStatus", "[", 
  RowBox[{"\"\<Plotting stage 2 mode 6\>\"", ",", 
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "6"}], "]"}], "]"}], ",", 
     RowBox[{"-", ".2"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "0", ",", 
       RowBox[{"-", ".25"}]}], "}"}], ",", " ", "floatmatrix2"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.48252000829287*^9, {3.482520064767332*^9, 3.482520072246975*^9}}],

Cell[BoxData[
 Graphics3DBox[{Point3DBox[{0.0127, 0.0250825, 0}], 
   Point3DBox[{0.0127, -0.0250825, 0}], Point3DBox[{-0.0127, 0.0250825, 0}], 
   Point3DBox[{-0.0127, -0.0250825, 0}], 
   Point3DBox[{0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{0.0127, -0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, 0.0250825, -0.28574}], 
   Point3DBox[{-0.0127, -0.0250825, -0.28574}], 
   Line3DBox[{{0, 0.00785, -0.007295725072947749}, {0., 
     0.050172858417232555`, -0.25657313904668066`}}], 
   Line3DBox[{{0, -0.00785, 0.012595725072947844`}, {
     0., -0.048157310224089936`, -0.23664108358395736`}}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, 0.00785, -0.007295725072947749}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       CuboidBox[{-0.015, -0.015, -0.015}, {0.015, 0.015, 0.015}], {{{1, 0, 
        0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0,
        1}}, {0, 0, 0}}], {{{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, {0, 0, 0}}], {
    0, -0.00785, 0.012595725072947844`}], 
   GeometricTransformation3DBox[
    GeometricTransformation3DBox[
     GeometricTransformation3DBox[
      GeometricTransformation3DBox[
       GeometricTransformation3DBox[{
         Polygon3DBox[{{0.03623525327084535, 
          0.011773547485685496`, -0.0127}, {0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {0.011773547485685496`, 
          0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{0.011773547485685496`, 
           0.03623525327084535, -0.0127}, {0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {0, 0.038099999999999995`, 0.0127}, {
           0, 0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, 0.038099999999999995`, -0.0127}, {
           0, 0.038099999999999995`, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, 0.0127}, {-0.011773547485685496`, 
           0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, 
          0.03623525327084535, -0.0127}, {-0.011773547485685496`, 
          0.03623525327084535, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, 
          0.030823547485685495`, -0.0127}, {-0.022394618112343223`, 
          0.030823547485685495`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, 
          0.022394618112343223`, -0.0127}, {-0.030823547485685495`, 
          0.022394618112343223`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, 0.0127}, {-0.03623525327084535, 
          0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{-0.03623525327084535, 
           0.011773547485685496`, -0.0127}, {-0.03623525327084535, 
           0.011773547485685496`, 
           0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{-0.038099999999999995`, 
            0, -0.0127}, {-0.038099999999999995`, 0, 
            0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
           0.0127}, {-0.03623525327084535, -0.011773547485685496`, -0.0127}}],
          Polygon3DBox[{{-0.03623525327084535, -0.011773547485685496`, \
-0.0127}, {-0.03623525327084535, -0.011773547485685496`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}}], 
         Polygon3DBox[{{-0.030823547485685495`, -0.022394618112343223`, \
-0.0127}, {-0.030823547485685495`, -0.022394618112343223`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}}], 
         Polygon3DBox[{{-0.022394618112343223`, -0.030823547485685495`, \
-0.0127}, {-0.022394618112343223`, -0.030823547485685495`, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, 
          0.0127}, {-0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{-0.011773547485685496`, -0.03623525327084535, \
-0.0127}, {-0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0, -0.038099999999999995`, -0.0127}}], 
         Polygon3DBox[{{0, -0.038099999999999995`, -0.0127}, {
           0, -0.038099999999999995`, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, 0.0127}, {
           0.011773547485685496`, -0.03623525327084535, -0.0127}}], 
         Polygon3DBox[{{
          0.011773547485685496`, -0.03623525327084535, -0.0127}, {
          0.011773547485685496`, -0.03623525327084535, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, -0.0127}}], 
         Polygon3DBox[{{
          0.022394618112343223`, -0.030823547485685495`, -0.0127}, {
          0.022394618112343223`, -0.030823547485685495`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, -0.0127}}], 
         Polygon3DBox[{{
          0.030823547485685495`, -0.022394618112343223`, -0.0127}, {
          0.030823547485685495`, -0.022394618112343223`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, 0.0127}, {
          0.03623525327084535, -0.011773547485685496`, -0.0127}}], 
         Polygon3DBox[{{
           0.03623525327084535, -0.011773547485685496`, -0.0127}, {
           0.03623525327084535, -0.011773547485685496`, 0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {
           0.038099999999999995`, 0, -0.0127}}], 
         Polygon3DBox[{{0.038099999999999995`, 0, -0.0127}, {
           0.038099999999999995`, 0, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, 0.0127}, {0.03623525327084535, 
           0.011773547485685496`, -0.0127}}]}, {{{0, 0, 1}, {0, 1, 0}, {-1, 0,
          0}}, {0, 0, 0}}], {{{1., 0., 0.}, {0., 0.9800674637827419, 
        0.1986649602583807}, {0., -0.1986649602583807, 0.9800674637827419}}, {
        0., 0., 0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 
       0.}}], {{{1., 0., 0.}, {0., 1., 0.}, {0., 0., 1.}}, {0., 0., 0.}}], {
    0., 0.0013355712809976345`, -0.24499000000007748`}]},
  PlotRange->{{-0.038099999999999995`, 0.038099999999999995`}, {-0.0752475, 
    0.0752475}, {-0.38573999999999997`, 0}},
  ViewPoint->{-1, 0, -0.25}]], "Output",
 CellChangeTimes->{3.493035953080453*^9, 3.49303638417311*^9, 
  3.4930364601574564`*^9, 3.493036667090292*^9, 3.493036909183139*^9, 
  3.4930376403539596`*^9, 3.493040138108823*^9, 3.4930403282286973`*^9, 
  3.49304084072801*^9, 3.503751175819846*^9, 3.5037512858291383`*^9, 
  3.5037513287565937`*^9, 3.503753166364699*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mode Animations", "Subsubsection",
 CellChangeTimes->{{3.482668604471368*^9, 3.482668606766368*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "1"}], "]"}], "]"}], ",", 
     RowBox[{"1.5", " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", " ", "floatmatrix2"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4826686438473673`*^9, 3.4826687386493673`*^9}, {
  3.482752080335*^9, 3.482752087376*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{IFOModel`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[IFOModel`t$$], 0, 2 Pi}}, Typeset`size$$ = {86., {214., 218.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True, 
    IFOModel`t$3237$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {IFOModel`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[IFOModel`t$$, IFOModel`t$3237$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`eigenplot[
        Part[$CellContext`eigenvectors2, -1], 1.5 Sin[IFOModel`t$$], {0, -1, 
        0}, $CellContext`floatmatrix2], 
      "Specifications" :> {{
        IFOModel`t$$, 0, 2 Pi, AnimationRunning -> False, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{331., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.4826687875453677`*^9, 3.4826688044323673`*^9}, {
   3.482669232997368*^9, 3.482669279214368*^9}, 3.4826693315983677`*^9, 
   3.4826694959023676`*^9, 3.482751991632*^9, 3.482752236954*^9, 
   3.4827526647869997`*^9, 3.4827576194639997`*^9, 3.482766512591*^9, 
   3.482766641843*^9, 3.482768736409*^9, 3.482844374616*^9, 3.482857532848*^9,
    3.4831139109849997`*^9, 3.483188642852*^9, 3.4831887387460003`*^9, 
   3.483190553565*^9, 3.483204707468*^9, 3.483270020058*^9, {
   3.483270172573*^9, 3.483270177862*^9}, 3.483270475528*^9, 
   3.483271745472*^9, 3.483271878889*^9, 3.48327197383*^9, 
   3.4832720705369997`*^9, 3.483275673724*^9, 3.4832795273190002`*^9, {
   3.483279558311*^9, 3.4832795718929996`*^9}, {3.483279661218*^9, 
   3.4832797030559998`*^9}, 3.48328831141*^9, 3.483294427264*^9, 
   3.483295187358*^9, 3.48329676741*^9, 3.483358458206797*^9, 
   3.483382125759797*^9, 3.4834389515559998`*^9, 3.4834395727609997`*^9, 
   3.483745720373085*^9, 3.483792634885*^9, 3.48388280013*^9, 
   3.483899020823*^9, 3.483901765028*^9, 3.484154593441*^9, 3.484220654304*^9,
    3.485630215068926*^9, 3.485630550700359*^9, 3.485630615566355*^9, {
   3.4856307420145473`*^9, 3.4856307633823757`*^9}, 3.4856308502337093`*^9, 
   3.4856882983429112`*^9, 3.485692438054488*^9, 3.4856935606843543`*^9, 
   3.4857705939959416`*^9, 3.4857932864918675`*^9, 3.4858649321456203`*^9, 
   3.486116745065649*^9, 3.4862094692272673`*^9, 3.4862292765951023`*^9, 
   3.4862293611718416`*^9, 3.4862306175933867`*^9, 3.486230655581711*^9, 
   3.489162002566897*^9, 3.489162091876005*^9, 3.4891622949306192`*^9, 
   3.489162358612262*^9, 3.4894032429751*^9, 3.492888283518094*^9, 
   3.492974236868534*^9, 3.4930359531264553`*^9, 3.4930363843031178`*^9, 
   3.4930364602854633`*^9, 3.493036667116294*^9, 3.4930369092611437`*^9, 
   3.4930376403769608`*^9, 3.4930401381318245`*^9, 3.4930403282536983`*^9, 
   3.493040840755012*^9, 3.50375117606886*^9, 3.5037512859301443`*^9, {
   3.5037513287905955`*^9, 3.5037513488227415`*^9}, 3.5037531664837055`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "2"}], "]"}], "]"}], ",", 
     RowBox[{"1", " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", " ", "floatmatrix2"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.482668939365368*^9, 3.4826689488283677`*^9}, 
   3.482752096973*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{IFOModel`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[IFOModel`t$$], 0, 2 Pi}}, Typeset`size$$ = {86., {214., 218.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True, 
    IFOModel`t$3286$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {IFOModel`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[IFOModel`t$$, IFOModel`t$3286$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`eigenplot[
        Part[$CellContext`eigenvectors2, -2], 1 Sin[IFOModel`t$$], {0, -1, 
        0}, $CellContext`floatmatrix2], 
      "Specifications" :> {{
        IFOModel`t$$, 0, 2 Pi, AnimationRunning -> False, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{331., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.4826689406453676`*^9, 3.4826689561853676`*^9}, 
   3.482751993138*^9, 3.48275266517*^9, 3.482757619623*^9, 3.48276651269*^9, 
   3.48276664215*^9, 3.48276873665*^9, 3.4828443747799997`*^9, 
   3.4828575329779997`*^9, 3.483113911608*^9, 3.48318864308*^9, 
   3.4831887389709997`*^9, 3.4831905536800003`*^9, 3.483204707665*^9, 
   3.483270020156*^9, {3.4832702071809998`*^9, 3.483270225238*^9}, 
   3.4832704756549997`*^9, 3.4832717455889997`*^9, 3.4832718791949997`*^9, 
   3.483271974223*^9, 3.4832720706610003`*^9, 3.48327567385*^9, {
   3.483279527561*^9, 3.4832795565889997`*^9}, 3.483279661425*^9, {
   3.483279735821*^9, 3.48327974245*^9}, 3.483288311554*^9, 3.483294427381*^9,
    3.4832951874519997`*^9, 3.4832967675220003`*^9, 3.483358458416797*^9, 
   3.483382125830797*^9, 3.483438951776*^9, 3.483439573098*^9, 
   3.483745720593085*^9, 3.483792635101*^9, 3.483882800551*^9, 
   3.48389902094*^9, 3.483901765145*^9, 3.4841545938190002`*^9, 
   3.484220655156*^9, 3.485630215490183*^9, 3.4856305507528596`*^9, 
   3.4856306156626067`*^9, {3.4856307421445494`*^9, 3.485630759681069*^9}, 
   3.4856308468699083`*^9, 3.485688298491664*^9, 3.4856924382957416`*^9, 
   3.48569356103561*^9, 3.4857705941889524`*^9, 3.4857932866858788`*^9, 
   3.4858649323666325`*^9, 3.486116745270652*^9, 3.4862094694407945`*^9, 
   3.486229276912142*^9, 3.486229361259853*^9, 3.4862306176918993`*^9, 
   3.486230655676223*^9, 3.4891620029729204`*^9, 3.4891620919710107`*^9, 
   3.489162295048626*^9, 3.4891623587062674`*^9, 3.4894032431411095`*^9, 
   3.4928882837561083`*^9, 3.492974237645579*^9, 3.493035953365469*^9, 
   3.493036384383122*^9, 3.4930364603614683`*^9, 3.493036667194298*^9, 
   3.493036909342148*^9, 3.4930376404559655`*^9, 3.493040138213829*^9, 
   3.493040328351704*^9, 3.4930408408380165`*^9, 3.5037511762318697`*^9, 
   3.5037512860141487`*^9, 3.5037513288746004`*^9, 3.5037531665677104`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "3"}], "]"}], "]"}], ",", 
     RowBox[{".1", " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", " ", "floatmatrix2"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.4826690880933676`*^9, 3.4826691679073677`*^9, {3.4826691986403675`*^9, 
   3.482669210207368*^9}, 3.4827521015480003`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{IFOModel`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[IFOModel`t$$], 0, 2 Pi}}, Typeset`size$$ = {169., {214., 218.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True, 
    IFOModel`t$3365$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {IFOModel`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[IFOModel`t$$, IFOModel`t$3365$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`eigenplot[
        Part[$CellContext`eigenvectors2, -3], 0.1 Sin[IFOModel`t$$], {1, 0, 
        0}, $CellContext`floatmatrix2], 
      "Specifications" :> {{
        IFOModel`t$$, 0, 2 Pi, AnimationRunning -> False, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{331., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.4826691851933675`*^9, 3.482669219806368*^9}, 
   3.4827519827200003`*^9, 3.48275266615*^9, 3.482757619763*^9, {
   3.482766049401*^9, 3.482766066551*^9}, 3.482766512784*^9, 
   3.482766642493*^9, 3.482768736961*^9, 3.4828443749*^9, 3.482857533087*^9, 
   3.483113912197*^9, 3.483188643314*^9, 3.483188739263*^9, 3.483190553773*^9,
    3.483204707776*^9, 3.483270020255*^9, {3.483270299472*^9, 
   3.483270304955*^9}, 3.4832704757469997`*^9, 3.483271745685*^9, 
   3.4832718796029997`*^9, 3.483271975087*^9, 3.483272070759*^9, 
   3.483275673968*^9, 3.4832795279189997`*^9, 3.483279661689*^9, {
   3.4832797480299997`*^9, 3.483279753315*^9}, 3.48328831169*^9, 
   3.483294427477*^9, 3.483295187541*^9, 3.483296767615*^9, 
   3.4833584585467973`*^9, 3.4833821259147973`*^9, 3.4834389518929996`*^9, 
   3.483439573309*^9, 3.4837457207260847`*^9, 3.483792635299*^9, 
   3.4838828008710003`*^9, 3.483899021118*^9, 3.483901765242*^9, 
   3.484154594057*^9, 3.484220655514*^9, 3.4856302155589337`*^9, 
   3.48563055079786*^9, 3.4856306157613583`*^9, {3.4856307422608013`*^9, 
   3.485630758523551*^9}, 3.485630845659889*^9, 3.4856882986329155`*^9, 
   3.485692438415744*^9, 3.485693561141862*^9, 3.485770594287958*^9, 
   3.485793286847888*^9, 3.4858649325286417`*^9, 3.4861167453631535`*^9, 
   3.486209469526805*^9, 3.486229277031657*^9, 3.486229361347364*^9, 
   3.4862306177814107`*^9, 3.4862306558072395`*^9, 3.489162003056925*^9, 
   3.489162092073016*^9, 3.48916229512263*^9, 3.4891623588152733`*^9, 
   3.489403243231115*^9, 3.4928882838501134`*^9, 3.492974237826589*^9, 
   3.4930359534684753`*^9, 3.4930363845061293`*^9, 3.493036460481475*^9, 
   3.493036667266302*^9, 3.4930369094621553`*^9, 3.4930376405329695`*^9, 
   3.4930401382938337`*^9, 3.4930403284277086`*^9, 3.4930408409140215`*^9, 
   3.503751176273872*^9, 3.503751286087153*^9, 3.5037513289496045`*^9, 
   3.503753166698718*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "4"}], "]"}], "]"}], ",", 
     RowBox[{".1", " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", " ", "floatmatrix2"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.4826691162183676`*^9, 3.4826691729403677`*^9, 3.4826692892233677`*^9, {
   3.4826694251863675`*^9, 3.482669436143368*^9}, 3.482752103635*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{IFOModel`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[IFOModel`t$$], 0, 2 Pi}}, Typeset`size$$ = {86., {214., 218.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True, 
    IFOModel`t$3444$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {IFOModel`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[IFOModel`t$$, IFOModel`t$3444$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`eigenplot[
        Part[$CellContext`eigenvectors2, -4], 0.1 Sin[IFOModel`t$$], {0, -1, 
        0}, $CellContext`floatmatrix2], 
      "Specifications" :> {{
        IFOModel`t$$, 0, 2 Pi, AnimationRunning -> False, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{331., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.482669284721368*^9, 3.4826692905793676`*^9}, 
   3.4826693675623674`*^9, {3.4826694311683674`*^9, 3.4826694375213675`*^9}, {
   3.4826694762823677`*^9, 3.482669483070368*^9}, {3.482669777530368*^9, 
   3.4826697853023677`*^9}, 3.4827519780959997`*^9, 3.482752666591*^9, 
   3.482757619908*^9, 3.482766512974*^9, 3.482766643058*^9, 3.482768737406*^9,
    3.482844375031*^9, 3.482857533183*^9, 3.483113912825*^9, 
   3.483188643528*^9, 3.483188739625*^9, 3.483190553865*^9, 3.483204707874*^9,
    3.483270020365*^9, {3.483270232575*^9, 3.483270261986*^9}, 
   3.483270475843*^9, 3.483271745778*^9, 3.4832718800030003`*^9, 
   3.4832719765039997`*^9, 3.483272070859*^9, 3.48327567408*^9, {
   3.483279528284*^9, 3.4832795517679996`*^9}, 3.483279662007*^9, {
   3.483279707608*^9, 3.483279756776*^9}, 3.483288311826*^9, 
   3.483294427653*^9, 3.483295187632*^9, 3.483296767811*^9, 
   3.4833584586717973`*^9, 3.4833821259807973`*^9, 3.483438952021*^9, 
   3.4834395735030003`*^9, 3.483745720918085*^9, 3.4837926354969997`*^9, 
   3.4838828012720003`*^9, 3.483899021236*^9, 3.483901765415*^9, 
   3.484154594236*^9, 3.484220655666*^9, 3.4856302156239347`*^9, 
   3.4856305508478613`*^9, 3.4856306164038677`*^9, {3.4856307423883033`*^9, 
   3.485630754824744*^9}, 3.4856308420910845`*^9, 3.485688299034172*^9, 
   3.4856924385519953`*^9, 3.4856935612468634`*^9, 3.4857705943879642`*^9, 
   3.4857932869648943`*^9, 3.4858649326486487`*^9, 3.486116745468155*^9, 
   3.4862094696073155`*^9, 3.4862292771516724`*^9, 3.4862293614378757`*^9, 
   3.4862306178699217`*^9, 3.4862306558967505`*^9, 3.48916200314493*^9, 
   3.489162092155021*^9, 3.4891622951986346`*^9, 3.489162358895278*^9, 
   3.4894032433351207`*^9, 3.4928882839421186`*^9, 3.4929742383226175`*^9, 
   3.49303595355548*^9, 3.4930363846351366`*^9, 3.493036460655485*^9, 
   3.4930366673383064`*^9, 3.4930369095901623`*^9, 3.493037640605974*^9, 
   3.493040138368838*^9, 3.4930403285037127`*^9, 3.493040840989025*^9, 
   3.5037511763168745`*^9, 3.503751286161157*^9, 3.503751329026609*^9, 
   3.503753166833726*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "5"}], "]"}], "]"}], ",", 
     RowBox[{".02", " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", " ", "floatmatrix2"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.4826691378363676`*^9, 3.4826691783743677`*^9, {3.4826693774813676`*^9, 
   3.4826693980943675`*^9}, {3.482669514792368*^9, 3.482669524476368*^9}, 
   3.482752107671*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{IFOModel`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[IFOModel`t$$], 0, 2 Pi}}, Typeset`size$$ = {169., {214., 218.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True, 
    IFOModel`t$3523$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {IFOModel`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[IFOModel`t$$, IFOModel`t$3523$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`eigenplot[
        Part[$CellContext`eigenvectors2, -5], 0.02 Sin[IFOModel`t$$], {1, 0, 
        0}, $CellContext`floatmatrix2], 
      "Specifications" :> {{
        IFOModel`t$$, 0, 2 Pi, AnimationRunning -> False, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{331., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.482669371169368*^9, 3.4826694192313676`*^9}, {
   3.4826695157533674`*^9, 3.4826695365473676`*^9}, 3.4827519766809998`*^9, 
   3.482752667533*^9, 3.482757620045*^9, 3.482766513078*^9, 3.482766643495*^9,
    3.482768737778*^9, 3.482844375151*^9, 3.482857533284*^9, 3.48311391399*^9,
    3.483188643692*^9, 3.483188739922*^9, 3.483190553957*^9, 
   3.4832047079779997`*^9, 3.483270020514*^9, 3.483270475934*^9, 
   3.4832717458710003`*^9, 3.4832718804049997`*^9, 3.48327197701*^9, 
   3.483272070973*^9, 3.4832756742279997`*^9, 3.483279528651*^9, 
   3.483279662363*^9, {3.483279774727*^9, 3.483279782006*^9}, 
   3.483288311961*^9, 3.483294427759*^9, 3.483295187825*^9, 3.483296767902*^9,
    3.483358458797797*^9, 3.483382126060797*^9, 3.48343895215*^9, 
   3.483439573769*^9, 3.483745721050085*^9, 3.483792635642*^9, 
   3.483882801729*^9, 3.4838990213710003`*^9, 3.483901765509*^9, 
   3.484154594472*^9, 3.484220655861*^9, 3.485630215691436*^9, 
   3.485630550897862*^9, 3.4856306164938693`*^9, 3.4856307425483055`*^9, 
   3.4856307881065054`*^9, 3.485630840668563*^9, 3.4856882991791744`*^9, 
   3.4856924387132483`*^9, 3.485693561351865*^9, 3.4857705944849696`*^9, 
   3.485793287075901*^9, 3.4858649327806563`*^9, 3.4861167455781565`*^9, 
   3.4862094696958265`*^9, 3.4862292772526855`*^9, 3.486229361566392*^9, 
   3.4862306179579334`*^9, 3.486230656086275*^9, 3.489162003227935*^9, 
   3.489162092254027*^9, 3.489162295274639*^9, 3.4891623589982834`*^9, 
   3.489403243411125*^9, 3.492888284038124*^9, 3.492974239042659*^9, 
   3.493035953658486*^9, 3.493036384767144*^9, 3.4930364607764916`*^9, 
   3.4930366674103107`*^9, 3.4930369097181697`*^9, 3.493037640678978*^9, 
   3.4930401384458427`*^9, 3.4930403285777173`*^9, 3.4930408410640297`*^9, 
   3.503751176398879*^9, 3.5037512862341614`*^9, 3.5037513291046133`*^9, 
   3.503753166962733*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"eigenplot", "[", 
    RowBox[{
     RowBox[{"eigenvectors2", "[", 
      RowBox[{"[", 
       RowBox[{"-", "6"}], "]"}], "]"}], ",", 
     RowBox[{".1", " ", 
      RowBox[{"Sin", "[", "t", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "0.5"}], ",", "0"}], "}"}], ",", " ", "floatmatrix2"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4826691568053675`*^9, 3.4826691828823676`*^9}, {
   3.4826695493663673`*^9, 3.4826696669793673`*^9}, 3.4827521123929996`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{IFOModel`t$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[IFOModel`t$$], 0, 2 Pi}}, Typeset`size$$ = {160., {214., 218.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True, 
    IFOModel`t$3602$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {IFOModel`t$$ = 0}, 
      "ControllerVariables" :> {
        Hold[IFOModel`t$$, IFOModel`t$3602$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`eigenplot[
        Part[$CellContext`eigenvectors2, -6], 0.1 
        Sin[IFOModel`t$$], {-1, -0.5, 0}, $CellContext`floatmatrix2], 
      "Specifications" :> {{
        IFOModel`t$$, 0, 2 Pi, AnimationRunning -> False, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{331., {252., 257.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.4826695398233676`*^9, 3.4826696724813676`*^9}, 
   3.4826697215723677`*^9, 3.4826697724923677`*^9, 3.482751971932*^9, 
   3.4827526685150003`*^9, 3.482757620166*^9, 3.482766513183*^9, 
   3.482766643915*^9, 3.4827687381870003`*^9, 3.482844375315*^9, 
   3.482857533382*^9, {3.482879174914*^9, 3.482879177972*^9}, 
   3.483113914399*^9, 3.483188643909*^9, 3.4831887402720003`*^9, 
   3.483190554075*^9, 3.483204708111*^9, 3.48327002062*^9, 
   3.4832704760220003`*^9, 3.483271746019*^9, 3.483271880903*^9, 
   3.483271977203*^9, 3.4832720711400003`*^9, 3.483275674322*^9, 
   3.483279529117*^9, 3.4832796627279997`*^9, {3.483279719668*^9, 
   3.4832797230889997`*^9}, {3.483279761959*^9, 3.483279771567*^9}, 
   3.483288312075*^9, 3.4832944278529997`*^9, 3.483295187918*^9, 
   3.483296767994*^9, 3.483358458910797*^9, 3.4833821261317973`*^9, 
   3.483438952302*^9, 3.483439573903*^9, 3.483745721163085*^9, 
   3.4837926358970003`*^9, 3.483882802183*^9, 3.483899021507*^9, 
   3.4839017656029997`*^9, 3.484154594671*^9, 3.484220656099*^9, 
   3.4856302157439365`*^9, 3.4856305509428625`*^9, 3.48563061654262*^9, {
   3.4856307426558075`*^9, 3.4856307506221795`*^9}, 3.485630826958352*^9, 
   3.485688299316676*^9, 3.4856924388657503`*^9, 3.4856935614531164`*^9, 
   3.4857705946239777`*^9, 3.485793287182907*^9, 3.4858649329086637`*^9, 
   3.486116745688158*^9, 3.486209469777337*^9, 3.4862292773561983`*^9, 
   3.4862293617059097`*^9, 3.4862306180609465`*^9, 3.486230656220792*^9, 
   3.4891620033649426`*^9, 3.489162092333031*^9, 3.489162295347643*^9, 
   3.4891623590792885`*^9, 3.489403243535132*^9, 3.4928882841321297`*^9, 
   3.49297423923567*^9, 3.493035953759492*^9, 3.493036384906152*^9, 
   3.493036460904499*^9, 3.493036667485315*^9, 3.4930369098541775`*^9, 
   3.4930376407549825`*^9, 3.493040138526847*^9, 3.4930403286507215`*^9, 
   3.493040841138034*^9, 3.503751176434881*^9, 3.5037512863081656`*^9, 
   3.5037513291916184`*^9, 3.50375316709274*^9}]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->None,
CellGrouping->Manual,
WindowSize->{916, 690},
WindowMargins->{{47, Automatic}, {Automatic, 26}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"], Inherited, 
   Cell[
    TextData[{
      ValueBox["FileName"]}], "Header"]}, {None, Inherited, None}},
PrintingOptions->{"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54, 54}, {36, 36}}},
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 236, 3, 71, "Section"],
Cell[806, 27, 101, 1, 36, "Subsection"],
Cell[910, 30, 148, 2, 21, "Subsubsection"],
Cell[1061, 34, 342, 7, 44, "Text"],
Cell[1406, 43, 91, 1, 27, "Subsubsection"],
Cell[1500, 46, 369, 7, 44, "Text"],
Cell[CellGroupData[{
Cell[1894, 57, 58, 0, 36, "Subsection"],
Cell[1955, 59, 118, 3, 29, "Text"],
Cell[2076, 64, 776, 18, 99, "Input"],
Cell[CellGroupData[{
Cell[2877, 86, 210, 4, 47, "Text"],
Cell[3090, 92, 154, 2, 31, "Input"],
Cell[3247, 96, 284, 5, 31, "Input"],
Cell[3534, 103, 8343, 184, 520, "Input"],
Cell[11880, 289, 200, 5, 31, "Input"],
Cell[12083, 296, 105, 1, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12225, 302, 193, 4, 47, "Text"],
Cell[12421, 308, 1907, 30, 292, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14365, 343, 174, 3, 47, "Text"],
Cell[14542, 348, 1466, 25, 252, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16045, 378, 43, 0, 29, "Text"],
Cell[16091, 380, 32, 0, 27, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[16160, 385, 54, 0, 26, "Text"],
Cell[16217, 387, 40, 0, 27, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[16294, 392, 61, 0, 26, "Text"],
Cell[16358, 394, 28, 0, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16423, 399, 40, 0, 29, "Text"],
Cell[16466, 401, 220, 4, 42, "Input"],
Cell[16689, 407, 161, 3, 42, "Input"],
Cell[16853, 412, 109, 3, 27, "Input"],
Cell[16965, 417, 235, 4, 42, "Input"],
Cell[17203, 423, 151, 3, 42, "Input"],
Cell[17357, 428, 338, 6, 57, "Input"],
Cell[17698, 436, 299, 5, 57, "Input"],
Cell[18000, 443, 134, 3, 27, "Input"],
Cell[18137, 448, 155, 3, 42, "Input"],
Cell[18295, 453, 118, 3, 27, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18462, 462, 37, 0, 36, "Subsection"],
Cell[18502, 464, 71, 0, 30, "Text"]
}, Closed]],
Cell[CellGroupData[{
Cell[18610, 469, 68, 0, 28, "Subsection"],
Cell[CellGroupData[{
Cell[18703, 473, 45, 0, 42, "Subsubsection"],
Cell[18751, 475, 2179, 58, 176, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20967, 538, 71, 0, 42, "Subsubsection"],
Cell[21041, 540, 1192, 25, 140, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22270, 570, 86, 1, 42, "Subsubsection"],
Cell[22359, 573, 375, 7, 50, "Text"],
Cell[22737, 582, 2591, 68, 230, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25365, 655, 52, 0, 42, "Subsubsection"],
Cell[25420, 657, 341, 6, 50, "Text"],
Cell[25764, 665, 1234, 30, 140, "Text"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[27047, 701, 35, 0, 28, "Subsection"],
Cell[CellGroupData[{
Cell[27107, 705, 136, 3, 29, "Text"],
Cell[27246, 710, 196, 6, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27479, 721, 112, 3, 29, "Text"],
Cell[27594, 726, 157, 4, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27788, 735, 98, 2, 29, "Text"],
Cell[27889, 739, 164, 4, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28090, 748, 171, 3, 29, "Text"],
Cell[28264, 753, 111, 3, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28412, 761, 59, 0, 29, "Text"],
Cell[28474, 763, 186, 7, 99, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28697, 775, 114, 3, 29, "Text"],
Cell[28814, 780, 56, 0, 31, "Input"],
Cell[28873, 782, 58, 0, 31, "Input"],
Cell[28934, 784, 58, 0, 31, "Input"],
Cell[28995, 786, 58, 0, 31, "Input"],
Cell[29056, 788, 62, 0, 31, "Input"],
Cell[29121, 790, 56, 0, 31, "Input"],
Cell[29180, 792, 68, 0, 31, "Input"],
Cell[29251, 794, 60, 0, 31, "Input"],
Cell[29314, 796, 62, 0, 31, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[29413, 801, 38, 0, 26, "Text"],
Cell[29454, 803, 57, 0, 31, "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[29550, 808, 27, 0, 31, "Input"],
Cell[CellGroupData[{
Cell[29602, 812, 59, 0, 36, "Subsection"],
Cell[CellGroupData[{
Cell[29686, 816, 35, 0, 31, "Input"],
Cell[29724, 818, 1012, 19, 39, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30773, 842, 73, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[30871, 847, 133, 3, 31, "Input"],
Cell[31007, 852, 2845, 48, 30, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[33901, 906, 54, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[33980, 910, 196, 12, 201, "Input"],
Cell[34179, 924, 3143, 56, 131, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[37371, 986, 47, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[37443, 990, 214, 12, 177, "Input"],
Cell[37660, 1004, 2855, 48, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[40564, 1058, 34, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[40623, 1062, 108, 3, 27, "Input"],
Cell[40734, 1067, 2434, 38, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43205, 1110, 108, 3, 27, "Input"],
Cell[43316, 1115, 2427, 38, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45780, 1158, 94, 2, 27, "Input"],
Cell[45877, 1162, 2401, 36, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48315, 1203, 96, 2, 27, "Input"],
Cell[48414, 1207, 2395, 36, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[50858, 1249, 51, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[50934, 1253, 58, 0, 27, "Input"],
Cell[50995, 1255, 2430, 37, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53462, 1297, 58, 0, 27, "Input"],
Cell[53523, 1299, 2467, 37, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56027, 1341, 46, 0, 27, "Input"],
Cell[56076, 1343, 2416, 35, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58529, 1383, 48, 0, 27, "Input"],
Cell[58580, 1385, 2361, 34, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[60990, 1425, 50, 0, 26, "Text"],
Cell[61043, 1427, 168, 6, 99, "Input"],
Cell[61214, 1435, 129, 3, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61380, 1443, 41, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[61446, 1447, 18, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[61489, 1451, 27, 0, 27, "Input"],
Cell[61519, 1453, 2373, 34, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63929, 1492, 283, 9, 27, "Input"],
Cell[64215, 1503, 3034, 53, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67286, 1561, 502, 13, 27, "Input"],
Cell[67791, 1576, 8013, 138, 70, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[75853, 1720, 18, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[75896, 1724, 27, 0, 27, "Input"],
Cell[75926, 1726, 2384, 34, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78347, 1765, 283, 9, 27, "Input"],
Cell[78633, 1776, 2953, 51, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81623, 1832, 503, 13, 27, "Input"],
Cell[82129, 1847, 8004, 138, 70, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[90182, 1991, 18, 0, 23, "Text"],
Cell[CellGroupData[{
Cell[90225, 1995, 27, 0, 27, "Input"],
Cell[90255, 1997, 2373, 34, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[92665, 2036, 283, 9, 27, "Input"],
Cell[92951, 2047, 3022, 53, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[96010, 2105, 518, 14, 27, "Input"],
Cell[96531, 2121, 8009, 139, 70, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[104589, 2266, 18, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[104632, 2270, 27, 0, 27, "Input"],
Cell[104662, 2272, 2385, 34, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[107084, 2311, 283, 9, 27, "Input"],
Cell[107370, 2322, 3066, 53, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110473, 2380, 520, 14, 27, "Input"],
Cell[110996, 2396, 8030, 140, 70, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[119075, 2542, 18, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[119118, 2546, 27, 0, 27, "Input"],
Cell[119148, 2548, 2350, 34, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121535, 2587, 283, 9, 27, "Input"],
Cell[121821, 2598, 2968, 51, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[124826, 2654, 539, 15, 27, "Input"],
Cell[125368, 2671, 7877, 137, 70, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[133294, 2814, 18, 0, 26, "Text"],
Cell[CellGroupData[{
Cell[133337, 2818, 27, 0, 27, "Input"],
Cell[133367, 2820, 2367, 33, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[135771, 2858, 283, 9, 27, "Input"],
Cell[136057, 2869, 3007, 53, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[139101, 2927, 539, 15, 27, "Input"],
Cell[139643, 2944, 8006, 139, 70, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[147722, 3091, 58, 0, 36, "Subsection"],
Cell[147783, 3093, 34, 0, 31, "Input"],
Cell[CellGroupData[{
Cell[147842, 3097, 73, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[147940, 3102, 132, 3, 31, "Input"],
Cell[148075, 3107, 1362, 30, 30, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[149486, 3143, 54, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[149565, 3147, 194, 12, 201, "Input"],
Cell[149762, 3161, 1637, 37, 131, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[151448, 3204, 47, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[151520, 3208, 212, 12, 201, "Input"],
Cell[151735, 3222, 1379, 31, 44, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[153163, 3259, 34, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[153222, 3263, 107, 3, 31, "Input"],
Cell[153332, 3268, 968, 20, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[154337, 3293, 107, 3, 31, "Input"],
Cell[154447, 3298, 964, 20, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[155448, 3323, 93, 2, 31, "Input"],
Cell[155544, 3327, 921, 18, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[156502, 3350, 95, 2, 31, "Input"],
Cell[156600, 3354, 921, 18, 30, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[157570, 3378, 51, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[157646, 3382, 57, 0, 31, "Input"],
Cell[157706, 3384, 967, 19, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[158710, 3408, 57, 0, 31, "Input"],
Cell[158770, 3410, 965, 19, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[159772, 3434, 45, 0, 31, "Input"],
Cell[159820, 3436, 921, 17, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[160778, 3458, 47, 0, 31, "Input"],
Cell[160828, 3460, 920, 17, 30, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[161797, 3483, 41, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[161863, 3487, 18, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[161906, 3491, 26, 0, 31, "Input"],
Cell[161935, 3493, 915, 16, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[162887, 3514, 282, 9, 31, "Input"],
Cell[163172, 3525, 1533, 33, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[164742, 3563, 607, 15, 31, "Input"],
Cell[165352, 3580, 8062, 139, 447, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[173463, 3725, 18, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[173506, 3729, 26, 0, 31, "Input"],
Cell[173535, 3731, 914, 16, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[174486, 3752, 282, 9, 31, "Input"],
Cell[174771, 3763, 1577, 34, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[176385, 3802, 475, 12, 31, "Input"],
Cell[176863, 3816, 8003, 138, 447, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[184915, 3960, 18, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[184958, 3964, 26, 0, 31, "Input"],
Cell[184987, 3966, 919, 16, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185943, 3987, 282, 9, 31, "Input"],
Cell[186228, 3998, 1592, 35, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[187857, 4038, 543, 14, 31, "Input"],
Cell[188403, 4054, 7995, 138, 447, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[196447, 4198, 18, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[196490, 4202, 26, 0, 31, "Input"],
Cell[196519, 4204, 915, 16, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197471, 4225, 282, 9, 31, "Input"],
Cell[197756, 4236, 1599, 35, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[199392, 4276, 514, 14, 31, "Input"],
Cell[199909, 4292, 8034, 140, 447, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[207992, 4438, 18, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[208035, 4442, 26, 0, 31, "Input"],
Cell[208064, 4444, 906, 16, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[209007, 4465, 282, 9, 31, "Input"],
Cell[209292, 4476, 1554, 34, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[210883, 4515, 537, 15, 31, "Input"],
Cell[211423, 4532, 7874, 137, 447, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[219346, 4675, 18, 0, 29, "Text"],
Cell[CellGroupData[{
Cell[219389, 4679, 26, 0, 31, "Input"],
Cell[219418, 4681, 915, 16, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[220370, 4702, 282, 9, 31, "Input"],
Cell[220655, 4713, 1580, 35, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[222272, 4753, 535, 15, 31, "Input"],
Cell[222810, 4770, 7995, 138, 447, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[230878, 4916, 106, 1, 27, "Subsubsection"],
Cell[CellGroupData[{
Cell[231009, 4921, 688, 19, 52, "Input"],
Cell[231700, 4942, 3892, 68, 526, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[235629, 5015, 664, 19, 52, "Input"],
Cell[236296, 5036, 3754, 66, 526, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[240087, 5107, 698, 19, 52, "Input"],
Cell[240788, 5128, 3748, 67, 526, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[244573, 5200, 740, 20, 52, "Input"],
Cell[245316, 5222, 3920, 69, 526, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[249273, 5296, 746, 20, 52, "Input"],
Cell[250022, 5318, 3709, 66, 526, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[253768, 5389, 747, 20, 52, "Input"],
Cell[254518, 5411, 3821, 68, 526, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
